from PyTango import AsynCall
from PyTango import AsynReplyNotArrived
from PyTango import CommunicationFailed
from PyTango import ConnectionFailed
from PyTango import DevFailed
from PyTango import DeviceUnlocked
from PyTango import EventSystemFailed
from PyTango import NonDbDevice
from PyTango import NonSupportedFeature
from PyTango import NotAllowed
from PyTango import WrongData
from PyTango import WrongNameSyntax
from __future__ import annotations
from tango import _telemetry
from tango import constants
import typing
__all__ = ['AccessControlType', 'ApiUtil', 'ArchiveEventInfo', 'AsynCall', 'AsynReplyNotArrived', 'AttReqType', 'Attr', 'AttrConfEventData', 'AttrDataFormat', 'AttrList', 'AttrMemorizedType', 'AttrProperty', 'AttrQuality', 'AttrReadEvent', 'AttrSerialModel', 'AttrWriteType', 'AttrWrittenEvent', 'Attribute', 'AttributeAlarmInfo', 'AttributeDimension', 'AttributeEventInfo', 'AttributeInfo', 'AttributeInfoEx', 'AttributeInfoList', 'AttributeInfoListEx', 'AttributeList', 'AutoTangoAllowThreads', 'AutoTangoMonitor', 'ChangeEventInfo', 'CmdArgType', 'CmdDoneEvent', 'CommandInfo', 'CommandInfoList', 'CommunicationFailed', 'Connection', 'ConnectionFailed', 'ConstDevString', 'DServer', 'DataReadyEventData', 'Database', 'DbData', 'DbDatum', 'DbDevExportInfo', 'DbDevExportInfos', 'DbDevFullInfo', 'DbDevImportInfo', 'DbDevImportInfos', 'DbDevInfo', 'DbDevInfos', 'DbHistory', 'DbHistoryList', 'DbServerData', 'DbServerInfo', 'DevBoolean', 'DevCommandInfo', 'DevDouble', 'DevEncoded', 'DevEnum', 'DevError', 'DevFailed', 'DevFloat', 'DevIntrChangeEventData', 'DevLong', 'DevLong64', 'DevPipeBlob', 'DevShort', 'DevSource', 'DevState', 'DevString', 'DevUChar', 'DevULong', 'DevULong64', 'DevUShort', 'DevVarBooleanArray', 'DevVarCharArray', 'DevVarDoubleArray', 'DevVarDoubleStringArray', 'DevVarFloatArray', 'DevVarLong64Array', 'DevVarLongArray', 'DevVarLongStringArray', 'DevVarShortArray', 'DevVarStateArray', 'DevVarStringArray', 'DevVarULong64Array', 'DevVarULongArray', 'DevVarUShortArray', 'DevVoid', 'DeviceAttribute', 'DeviceAttributeConfig', 'DeviceAttributeHistory', 'DeviceClass', 'DeviceData', 'DeviceDataHistory', 'DeviceDataHistoryList', 'DeviceDataList', 'DeviceImpl', 'DeviceInfo', 'DevicePipe', 'DeviceProxy', 'DeviceUnlocked', 'Device_2Impl', 'Device_3Impl', 'Device_4Impl', 'Device_5Impl', 'Device_6Impl', 'DispLevel', 'EncodedAttribute', 'EnsureOmniThread', 'ErrSeverity', 'EventData', 'EventSystemFailed', 'EventType', 'Except', 'ExtractAs', 'FMT_UNKNOWN', 'FwdAttr', 'GreenMode', 'GroupAttrReply', 'GroupAttrReplyList', 'GroupCmdReply', 'GroupCmdReplyList', 'GroupReply', 'GroupReplyList', 'IMAGE', 'ImageAttr', 'Interceptors', 'KeepAliveCmdCode', 'Level', 'LockCmdCode', 'LockerInfo', 'LockerLanguage', 'LogLevel', 'LogTarget', 'Logger', 'Logging', 'MessBoxType', 'MultiAttribute', 'MultiClassAttribute', 'NamedDevFailed', 'NamedDevFailedList', 'NonDbDevice', 'NonSupportedFeature', 'NotAllowed', 'PeriodicEventInfo', 'Pipe', 'PipeEventData', 'PipeInfo', 'PipeInfoList', 'PipeList', 'PipeReqType', 'PipeSerialModel', 'PipeWriteType', 'PollCmdCode', 'PollDevice', 'PollObjType', 'READ', 'READ_WITH_WRITE', 'READ_WRITE', 'SCALAR', 'SPECTRUM', 'SerialModel', 'SpectrumAttr', 'StdDoubleVector', 'StdGroupAttrReplyVector', 'StdGroupCmdReplyVector', 'StdGroupReplyVector', 'StdLongVector', 'StdNamedDevFailedVector', 'StdStringVector', 'SubDevDiag', 'TimeVal', 'UserDefaultAttrProp', 'UserDefaultFwdAttrProp', 'UserDefaultPipeProp', 'Util', 'WAttribute', 'WPipe', 'WRITE', 'WT_UNKNOWN', 'WrongData', 'WrongNameSyntax', 'alarm_flags', 'asyn_req_type', 'cb_sub_model', 'constants', 'is_omni_thread', 'raise_asynch_exception']
class AccessControlType(Boost.Python.enum):
    """
    
        An enumeration representing the AccessControlType
    
            - ACCESS_READ
            - ACCESS_WRITE
    
        New in PyTango 7.0.0
        
    """
    ACCESS_READ: typing.ClassVar[AccessControlType]  # value = tango._tango.AccessControlType.ACCESS_READ
    ACCESS_WRITE: typing.ClassVar[AccessControlType]  # value = tango._tango.AccessControlType.ACCESS_WRITE
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'ACCESS_READ': tango._tango.AccessControlType.ACCESS_READ, 'ACCESS_WRITE': tango._tango.AccessControlType.ACCESS_WRITE}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AccessControlType.ACCESS_READ, 1: tango._tango.AccessControlType.ACCESS_WRITE}
class ApiUtil(Boost.Python.instance):
    """
    
        This class allows you to access the tango syncronization model API.
        It is designed as a singleton. To get a reference to the singleton object
        you must do::
    
            import tango
            apiutil = tango.ApiUtil.instance()
    
        New in PyTango 7.1.3
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def cleanup(*args, **kwargs):
        """
        
        
            cleanup() -> None
        
                    Destroy the ApiUtil singleton instance.
                    After `cleanup()` all references to
                    `DeviceProxy`, `AttributeProxy` or `Database` objects
                    in the current process become invalid
                    and these objects need to be reconstructed.
        
                Parameters : None
                Return     : None
        
                New in PyTango 9.3.0
            
        """
    @staticmethod
    def get_asynch_cb_sub_model(*args, **kwargs):
        """
        
        
            get_asynch_cb_sub_model(self) -> cb_sub_model
        
                    Get the asynchronous callback sub-model.
        
                Parameters : None
                Return     : (cb_sub_model) the active asynchronous callback sub-model.
        
                New in PyTango 7.1.3
            
        """
    @staticmethod
    def get_asynch_replies(*args, **kwargs):
        """
        
        
            get_asynch_replies(self) -> None
        
                    Fire callback methods for all (any device) asynchronous requests
                    (command and attribute) with already arrived replied. Returns
                    immediately if there is no replies already arrived or if there is
                    no asynchronous requests.
        
                Parameters : None
                Return     : None
        
                Throws     : None, all errors are reported using the err and errors fields
                             of the parameter passed to the callback method.
        
                New in PyTango 7.1.3
        
            get_asynch_replies(self) -> None
        
                    Fire callback methods for all (any device) asynchronous requests
                    (command and attributes) with already arrived replied. Wait and
                    block the caller for timeout milliseconds if they are some
                    device asynchronous requests which are not yet arrived.
                    Returns immediately if there is no asynchronous request.
                    If timeout is set to 0, the call waits until all the asynchronous
                    requests sent has received a reply.
        
                Parameters :
                    - timeout : (int) timeout (milliseconds)
                Return     : None
        
                Throws     : AsynReplyNotArrived. All other errors are reported using
                             the err and errors fields of the object passed to the
                             callback methods.
        
                New in PyTango 7.1.3
            
        """
    @staticmethod
    def get_env_var(*args, **kwargs):
        ...
    @staticmethod
    def get_ip_from_if(*args, **kwargs):
        ...
    @staticmethod
    def get_user_connect_timeout(*args, **kwargs):
        ...
    @staticmethod
    def in_server(*args, **kwargs):
        """
        
        
            in_server() -> bool
        
                    Returns True if current process is a running Tango device server.
        
                :returns: running in server
                :rtype: bool
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def instance(*args, **kwargs):
        """
        
        
            instance() -> ApiUtil
        
                    Returns the ApiUtil singleton instance.
        
                Parameters : None
                Return     : (ApiUtil) a reference to the ApiUtil singleton object.
        
                New in PyTango 7.1.3
            
        """
    @staticmethod
    def is_notifd_event_consumer_created(*args, **kwargs):
        ...
    @staticmethod
    def is_zmq_event_consumer_created(*args, **kwargs):
        ...
    @staticmethod
    def pending_asynch_call(*args, **kwargs):
        """
        
        
            pending_asynch_call(self, req) -> int
        
                    Return number of asynchronous pending requests (any device).
                    The input parameter is an enumeration with three values which are:
        
                        - POLLING: Return only polling model asynchronous request number
                        - CALL_BACK: Return only callback model asynchronous request number
                        - ALL_ASYNCH: Return all asynchronous request number
        
                Parameters :
                    - req : (asyn_req_type) asynchronous request type
        
                Return     : (int) the number of pending requests for the given type
        
                New in PyTango 7.1.3
            
        """
    @staticmethod
    def set_asynch_cb_sub_model(*args, **kwargs):
        """
        
        
            set_asynch_cb_sub_model(self, model) -> None
        
                    Set the asynchronous callback sub-model between the pull and push sub-model.
                    The cb_sub_model data type is an enumeration with two values which are:
        
                        - PUSH_CALLBACK: The push sub-model
                        - PULL_CALLBACK: The pull sub-model
        
                Parameters :
                    - model : (cb_sub_model) the callback sub-model
                Return     : None
        
                New in PyTango 7.1.3
            
        """
class ArchiveEventInfo(Boost.Python.instance):
    """
    
        A structure containing available archiving event information for an attribute
        with the following members:
    
            - archive_rel_change : (str) relative change that will generate an event
            - archive_abs_change : (str) absolute change that will generate an event
            - archive_period : (str) archive period
            - extensions : (sequence<str>) extensions (currently not used)
    """
    __instance_size__: typing.ClassVar[int] = 120
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def archive_abs_change(*args, **kwargs):
        ...
    @archive_abs_change.setter
    def archive_abs_change(*args, **kwargs):
        ...
    @property
    def archive_period(*args, **kwargs):
        ...
    @archive_period.setter
    def archive_period(*args, **kwargs):
        ...
    @property
    def archive_rel_change(*args, **kwargs):
        ...
    @archive_rel_change.setter
    def archive_rel_change(*args, **kwargs):
        ...
    @property
    def extensions(*args, **kwargs):
        ...
    @extensions.setter
    def extensions(*args, **kwargs):
        ...
class AttReqType(Boost.Python.enum):
    """
    
        An enumeration representing the type of attribute request
    
            - READ_REQ
            - WRITE_REQ
        
    """
    READ_REQ: typing.ClassVar[AttReqType]  # value = tango._tango.AttReqType.READ_REQ
    WRITE_REQ: typing.ClassVar[AttReqType]  # value = tango._tango.AttReqType.WRITE_REQ
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'READ_REQ': tango._tango.AttReqType.READ_REQ, 'WRITE_REQ': tango._tango.AttReqType.WRITE_REQ}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AttReqType.READ_REQ, 1: tango._tango.AttReqType.WRITE_REQ}
class Attr(Boost.Python.instance):
    """
    
        This class represents a Tango writable attribute.
        
    """
    __instance_size__: typing.ClassVar[int] = 200
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def check_type(*args, **kwargs):
        """
        
        
            check_type(self)
        
                This method checks data type and throws an exception in case of unsupported data type
        
                :raises: :class:`DevFailed`: If the data type is unsupported.
            
        """
    @staticmethod
    def get_assoc(*args, **kwargs):
        """
        
        
            get_assoc(self) -> str
        
                Get the associated name.
        
                :returns: the associated name
                :rtype: bool
            
        """
    @staticmethod
    def get_cl_name(*args, **kwargs):
        """
        
        
            get_cl_name(self) -> str
        
                Returns the class name.
        
                :returns: the class name
                :rtype: str
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_class_properties(*args, **kwargs):
        """
        
        
            get_class_properties(self) -> Sequence[AttrProperty]
        
                Get the class level attribute properties.
        
                :returns: the class attribute properties
                :rtype: Sequence[AttrProperty]
            
        """
    @staticmethod
    def get_disp_level(*args, **kwargs):
        """
        
        
            get_disp_level(self) -> DispLevel
        
                Get the attribute display level.
        
                :returns: the attribute display level
                :rtype: DispLevel
            
        """
    @staticmethod
    def get_format(*args, **kwargs):
        """
        
        
            get_format(self) -> AttrDataFormat
        
                Get the attribute format.
        
                :returns: the attribute format
                :rtype: AttrDataFormat
            
        """
    @staticmethod
    def get_memorized(*args, **kwargs):
        """
        
        
            get_memorized(self) -> bool
        
                Determine if the attribute is memorized or not.
        
                :returns: True if the attribute is memorized
                :rtype: bool
            
        """
    @staticmethod
    def get_memorized_init(*args, **kwargs):
        """
        
        
            get_memorized_init(self) -> bool
        
                Determine if the attribute is written at startup from the memorized
                value if it is memorized.
        
                :returns: True if initialized with memorized value or not
                :rtype: bool
            
        """
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
            get_name(self) -> str
        
                Get the attribute name.
        
                :returns: the attribute name
                :rtype: str
            
        """
    @staticmethod
    def get_polling_period(*args, **kwargs):
        """
        
        
            get_polling_period(self) -> int
        
                Get the polling period (mS).
        
                :returns: the polling period (mS)
                :rtype: int
            
        """
    @staticmethod
    def get_type(*args, **kwargs):
        """
        
        
            get_type(self) -> int
        
                Get the attribute data type.
        
                :returns: the attribute data type
                :rtype: int
            
        """
    @staticmethod
    def get_user_default_properties(*args, **kwargs):
        """
        
        
            get_user_default_properties(self) -> Sequence[AttrProperty]
        
                Get the user default attribute properties.
        
                :returns: the user default attribute properties
                :rtype: Sequence[AttrProperty]
            
        """
    @staticmethod
    def get_writable(*args, **kwargs):
        """
        
        
            get_writable(self) -> AttrWriteType
        
                Get the attribute write type.
        
                :returns: the attribute write type
                :rtype: AttrWriteType
            
        """
    @staticmethod
    def is_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def is_allowed(*args, **kwargs):
        """
        
        
            is_allowed(self, device, request_type) -> bool
        
                Returns whether the request_type is allowed for the specified device
        
                :param device: instance of Device
                :type device: :class:`tango.server.Device`
        
                :param request_type: AttReqType.READ_REQ for read request or AttReqType.WRITE_REQ for write request
                :type request_type: :const:`AttReqType`
        
                :returns: True if request_type is allowed for the specified device
                :rtype: bool
            
        """
    @staticmethod
    def is_archive_event(*args, **kwargs):
        """
        
        
            is_archive_event(self) -> bool
        
                Check if the archive event is fired manually for this attribute.
        
                :returns: true if a manual fire archive event is implemented.
                :rtype: bool
            
        """
    @staticmethod
    def is_assoc(*args, **kwargs):
        """
        
        
            is_assoc(self) -> bool
        
                Determine if it is assoc.
        
                :returns: if it is assoc
                :rtype: bool
            
        """
    @staticmethod
    def is_change_event(*args, **kwargs):
        """
        
        
            is_change_event(self) -> bool
        
                Check if the change event is fired manually for this attribute.
        
                :returns: true if a manual fire change event is implemented.
                :rtype: bool
            
        """
    @staticmethod
    def is_check_archive_criteria(*args, **kwargs):
        """
        
        
            is_check_archive_criteria(self) -> bool
        
                Check if the archive event criteria should be checked when firing the event manually.
        
                :returns: true if a archive event criteria will be checked.
                :rtype: bool
            
        """
    @staticmethod
    def is_check_change_criteria(*args, **kwargs):
        """
        
        
            is_check_change_criteria(self) -> bool
        
                Check if the change event criteria should be checked when firing the event manually.
        
                :returns: true if a change event criteria will be checked.
                :rtype: bool
            
        """
    @staticmethod
    def is_data_ready_event(*args, **kwargs):
        """
        
        
            is_data_ready_event(self) -> bool
        
                Check if the data ready event is fired for this attribute.
        
                :returns: true if firing data ready event is implemented.
                :rtype: bool
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def read(*args, **kwargs):
        ...
    @staticmethod
    def set_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def set_archive_event(*args, **kwargs):
        """
        
        
            set_archive_event(self)
        
                Set a flag to indicate that the server fires archive events manually
                without the polling to be started for the attribute.
        
                If the detect
                parameter is set to true, the criteria specified for the archive
                event are verified and the event is only pushed if they are fullfilled.
        
                If detect is set to false the event is fired without checking!
        
                :param implemented: True when the server fires change events manually.
                :type implemented: bool
                :param detect: Triggers the verification of the archive event properties
                               when set to true.
                :type detect: bool
            
        """
    @staticmethod
    def set_change_event(*args, **kwargs):
        """
        
        
            set_change_event(self, implemented, detect)
        
                Set a flag to indicate that the server fires change events manually
                without the polling to be started for the attribute.
        
                If the detect parameter is set to true, the criteria specified for
                the change event are verified and the event is only pushed if they
                are fullfilled.
        
                If detect is set to false the event is fired without checking!
        
                :param implemented: True when the server fires change events manually.
                :type implemented: bool
                :param detect: Triggers the verification of the change event properties
                               when set to true.
                :type detect: bool
            
        """
    @staticmethod
    def set_cl_name(*args, **kwargs):
        """
        
        
            set_cl_name(self, cl)
        
                Sets the class name.
        
                :param cl: new class name
                :type cl: str
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def set_class_properties(*args, **kwargs):
        """
        
        
            set_class_properties(self, props)
        
                Set the class level attribute properties.
        
                :param props: new class level attribute properties
                :type props: StdAttrPropertyVector
            
        """
    @staticmethod
    def set_data_ready_event(*args, **kwargs):
        """
        
        
            set_data_ready_event(self, implemented)
        
                Set a flag to indicate that the server fires data ready events.
        
                :param implemented: True when the server fires data ready events
                :type implemented: bool
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def set_default_properties(*args, **kwargs):
        """
        
        
            set_default_properties(self)
        
                Set default attribute properties.
        
                :param attr_prop: the user default property class
                :type attr_prop: UserDefaultAttrProp
            
        """
    @staticmethod
    def set_disp_level(*args, **kwargs):
        """
        
        
            set_disp_level(self, disp_lelel)
        
                Set the attribute display level.
        
                :param disp_level: the new display level
                :type disp_level: DispLevel
            
        """
    @staticmethod
    def set_memorized(*args, **kwargs):
        """
        
        
            set_memorized(self)
        
                Set the attribute as memorized in database (only for scalar
                and writable attribute).
        
                By default the setpoint will be written to the attribute during initialisation!
                Use method set_memorized_init() with False as argument if you don't
                want this feature.
            
        """
    @staticmethod
    def set_memorized_init(*args, **kwargs):
        """
        
        
            set_memorized_init(self, write_on_init)
        
                Set the initialisation flag for memorized attributes.
        
                - true = the setpoint value will be written to the attribute on initialisation
                - false = only the attribute setpoint is initialised.
        
                No action is taken on the attribute
        
                :param write_on_init: if true the setpoint value will be written
                                      to the attribute on initialisation
                :type write_on_init: bool
            
        """
    @staticmethod
    def set_polling_period(*args, **kwargs):
        """
        
        
            set_polling_period(self, period)
        
                Set the attribute polling update period.
        
                :param period: the attribute polling period (in mS)
                :type period: int
            
        """
    @staticmethod
    def write(*args, **kwargs):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class AttrConfEventData(Boost.Python.instance):
    """
    
        This class is used to pass data to the callback method when a
        configuration event is sent to the client. It contains the
        following public fields:
    
            - device : (DeviceProxy) The DeviceProxy object on which the call was executed
            - attr_name : (str) The attribute name
            - event : (str) The event name
            - attr_conf : (AttributeInfoEx) The attribute data
            - err : (bool) A boolean flag set to true if the request failed. False
              otherwise
            - errors : (sequence<DevError>) The error stack
            - reception_date: (TimeVal)
        
    """
    __instance_size__: typing.ClassVar[int] = 136
    attr_conf = None
    device = None
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        """
        
        
            get_date(self) -> TimeVal
        
                    Returns the timestamp of the event.
        
                Parameters : None
                Return     : (TimeVal) the timestamp of the event
        
                New in PyTango 7.0.0
            
        """
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def attr_name(*args, **kwargs):
        ...
    @attr_name.setter
    def attr_name(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @err.setter
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @errors.setter
    def errors(*args, **kwargs):
        ...
    @property
    def event(*args, **kwargs):
        ...
    @event.setter
    def event(*args, **kwargs):
        ...
    @property
    def reception_date(*args, **kwargs):
        ...
    @reception_date.setter
    def reception_date(*args, **kwargs):
        ...
class AttrDataFormat(Boost.Python.enum):
    """
    
        An enumeration representing the attribute format
    
            - SCALAR
            - SPECTRUM
            - IMAGE
            - FMT_UNKNOWN
        
    """
    FMT_UNKNOWN: typing.ClassVar[AttrDataFormat]  # value = tango._tango.AttrDataFormat.FMT_UNKNOWN
    IMAGE: typing.ClassVar[AttrDataFormat]  # value = tango._tango.AttrDataFormat.IMAGE
    SCALAR: typing.ClassVar[AttrDataFormat]  # value = tango._tango.AttrDataFormat.SCALAR
    SPECTRUM: typing.ClassVar[AttrDataFormat]  # value = tango._tango.AttrDataFormat.SPECTRUM
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'SCALAR': tango._tango.AttrDataFormat.SCALAR, 'SPECTRUM': tango._tango.AttrDataFormat.SPECTRUM, 'IMAGE': tango._tango.AttrDataFormat.IMAGE, 'FMT_UNKNOWN': tango._tango.AttrDataFormat.FMT_UNKNOWN}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AttrDataFormat.SCALAR, 1: tango._tango.AttrDataFormat.SPECTRUM, 2: tango._tango.AttrDataFormat.IMAGE, 3: tango._tango.AttrDataFormat.FMT_UNKNOWN}
class AttrList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __getitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
class AttrMemorizedType(Boost.Python.enum):
    MEMORIZED: typing.ClassVar[AttrMemorizedType]  # value = tango._tango.AttrMemorizedType.MEMORIZED
    MEMORIZED_WRITE_INIT: typing.ClassVar[AttrMemorizedType]  # value = tango._tango.AttrMemorizedType.MEMORIZED_WRITE_INIT
    NONE: typing.ClassVar[AttrMemorizedType]  # value = tango._tango.AttrMemorizedType.NONE
    NOT_KNOWN: typing.ClassVar[AttrMemorizedType]  # value = tango._tango.AttrMemorizedType.NOT_KNOWN
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'NOT_KNOWN': tango._tango.AttrMemorizedType.NOT_KNOWN, 'NONE': tango._tango.AttrMemorizedType.NONE, 'MEMORIZED': tango._tango.AttrMemorizedType.MEMORIZED, 'MEMORIZED_WRITE_INIT': tango._tango.AttrMemorizedType.MEMORIZED_WRITE_INIT}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AttrMemorizedType.NOT_KNOWN, 1: tango._tango.AttrMemorizedType.NONE, 2: tango._tango.AttrMemorizedType.MEMORIZED, 3: tango._tango.AttrMemorizedType.MEMORIZED_WRITE_INIT}
class AttrProperty(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 80
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_lg_value(*args, **kwargs):
        ...
    @staticmethod
    def get_name(*args, **kwargs):
        ...
    @staticmethod
    def get_value(*args, **kwargs):
        ...
class AttrQuality(Boost.Python.enum):
    """
    
        An enumeration representing the attribute quality
    
            - ATTR_VALID
            - ATTR_INVALID
            - ATTR_ALARM
            - ATTR_CHANGING
            - ATTR_WARNING
        
    """
    ATTR_ALARM: typing.ClassVar[AttrQuality]  # value = tango._tango.AttrQuality.ATTR_ALARM
    ATTR_CHANGING: typing.ClassVar[AttrQuality]  # value = tango._tango.AttrQuality.ATTR_CHANGING
    ATTR_INVALID: typing.ClassVar[AttrQuality]  # value = tango._tango.AttrQuality.ATTR_INVALID
    ATTR_VALID: typing.ClassVar[AttrQuality]  # value = tango._tango.AttrQuality.ATTR_VALID
    ATTR_WARNING: typing.ClassVar[AttrQuality]  # value = tango._tango.AttrQuality.ATTR_WARNING
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'ATTR_VALID': tango._tango.AttrQuality.ATTR_VALID, 'ATTR_INVALID': tango._tango.AttrQuality.ATTR_INVALID, 'ATTR_ALARM': tango._tango.AttrQuality.ATTR_ALARM, 'ATTR_CHANGING': tango._tango.AttrQuality.ATTR_CHANGING, 'ATTR_WARNING': tango._tango.AttrQuality.ATTR_WARNING}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AttrQuality.ATTR_VALID, 1: tango._tango.AttrQuality.ATTR_INVALID, 2: tango._tango.AttrQuality.ATTR_ALARM, 3: tango._tango.AttrQuality.ATTR_CHANGING, 4: tango._tango.AttrQuality.ATTR_WARNING}
class AttrReadEvent(Boost.Python.instance):
    """
    
            This class is used to pass data to the callback method in
            asynchronous callback model for read_attribute(s) execution.
    
            It has the following members:
                - device     : (DeviceProxy) The DeviceProxy object on which the call was executed
                - attr_names : (sequence<str>) The attribute name list
                - argout     : (DeviceAttribute) The attribute value
                - err        : (bool) A boolean flag set to true if the command failed. False otherwise
                - errors     : (sequence<DevError>) The error stack
                - ext        :
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @property
    def argout(*args, **kwargs):
        ...
    @property
    def attr_names(*args, **kwargs):
        ...
    @property
    def device(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @property
    def ext(*args, **kwargs):
        ...
class AttrSerialModel(Boost.Python.enum):
    """
    
        An enumeration representing the AttrSerialModel
    
            - ATTR_NO_SYNC
            - ATTR_BY_KERNEL
            - ATTR_BY_USER
    
        New in PyTango 7.1.0
        
    """
    ATTR_BY_KERNEL: typing.ClassVar[AttrSerialModel]  # value = tango._tango.AttrSerialModel.ATTR_BY_KERNEL
    ATTR_BY_USER: typing.ClassVar[AttrSerialModel]  # value = tango._tango.AttrSerialModel.ATTR_BY_USER
    ATTR_NO_SYNC: typing.ClassVar[AttrSerialModel]  # value = tango._tango.AttrSerialModel.ATTR_NO_SYNC
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'ATTR_NO_SYNC': tango._tango.AttrSerialModel.ATTR_NO_SYNC, 'ATTR_BY_KERNEL': tango._tango.AttrSerialModel.ATTR_BY_KERNEL, 'ATTR_BY_USER': tango._tango.AttrSerialModel.ATTR_BY_USER}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AttrSerialModel.ATTR_NO_SYNC, 1: tango._tango.AttrSerialModel.ATTR_BY_KERNEL, 2: tango._tango.AttrSerialModel.ATTR_BY_USER}
class AttrWriteType(Boost.Python.enum):
    """
    
        An enumeration representing the attribute type
    
            - READ
            - READ_WITH_WRITE
            - WRITE
            - READ_WRITE
        
    """
    READ: typing.ClassVar[AttrWriteType]  # value = tango._tango.AttrWriteType.READ
    READ_WITH_WRITE: typing.ClassVar[AttrWriteType]  # value = tango._tango.AttrWriteType.READ_WITH_WRITE
    READ_WRITE: typing.ClassVar[AttrWriteType]  # value = tango._tango.AttrWriteType.READ_WRITE
    WRITE: typing.ClassVar[AttrWriteType]  # value = tango._tango.AttrWriteType.WRITE
    WT_UNKNOWN: typing.ClassVar[AttrWriteType]  # value = tango._tango.AttrWriteType.WT_UNKNOWN
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'READ': tango._tango.AttrWriteType.READ, 'READ_WITH_WRITE': tango._tango.AttrWriteType.READ_WITH_WRITE, 'WRITE': tango._tango.AttrWriteType.WRITE, 'READ_WRITE': tango._tango.AttrWriteType.READ_WRITE, 'WT_UNKNOWN': tango._tango.AttrWriteType.WT_UNKNOWN}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.AttrWriteType.READ, 1: tango._tango.AttrWriteType.READ_WITH_WRITE, 2: tango._tango.AttrWriteType.WRITE, 3: tango._tango.AttrWriteType.READ_WRITE, 4: tango._tango.AttrWriteType.WT_UNKNOWN}
class AttrWrittenEvent(Boost.Python.instance):
    """
    
            This class is used to pass data to the callback method in
            asynchronous callback model for write_attribute(s) execution
    
            It has the following members:
                - device     : (DeviceProxy) The DeviceProxy object on which the call was executed
                - attr_names : (sequence<str>) The attribute name list
                - err        : (bool) A boolean flag set to true if the command failed. False otherwise
                - errors     : (NamedDevFailedList) The error stack
                - ext        :
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @property
    def attr_names(*args, **kwargs):
        ...
    @property
    def device(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @property
    def ext(*args, **kwargs):
        ...
class Attribute(Boost.Python.instance):
    """
    
        This class represents a Tango attribute.
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _get_properties_multi_attr_prop(*args, **kwargs):
        ...
    @staticmethod
    def _set_properties_multi_attr_prop(*args, **kwargs):
        ...
    @staticmethod
    def _set_value(*args, **kwargs):
        ...
    @staticmethod
    def _set_value_date_quality(*args, **kwargs):
        ...
    @staticmethod
    def alarm_event_subscribed(*args, **kwargs):
        ...
    @staticmethod
    def archive_event_subscribed(*args, **kwargs):
        ...
    @staticmethod
    def change_event_subscribed(*args, **kwargs):
        ...
    @staticmethod
    def check_alarm(*args, **kwargs):
        """
        
        
            check_alarm(self) -> bool
        
                Check if the attribute read value is below/above the alarm level.
        
                :returns: true if the attribute is in alarm condition.
                :rtype: bool
        
                :raises DevFailed: If no alarm level is defined.
            
        """
    @staticmethod
    def fire_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def fire_change_event(*args, **kwargs):
        ...
    @staticmethod
    def get_assoc_ind(*args, **kwargs):
        """
        
        
            get_assoc_ind(self) -> int
        
                Get index of the associated writable attribute.
        
                :returns: the index in the main attribute vector of the associated writable attribute
                :rtype: int
            
        """
    @staticmethod
    def get_assoc_name(*args, **kwargs):
        """
        
        
            get_assoc_name(self) -> str
        
                Get name of the associated writable attribute.
        
                :returns: the associated writable attribute name
                :rtype: str
            
        """
    @staticmethod
    def get_attr_serial_model(*args, **kwargs):
        """
        
        
            get_attr_serial_model(self) -> AttrSerialModel
        
                Get attribute serialization model.
        
                :returns: The attribute serialization model
                :rtype: AttrSerialModel
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def get_data_format(*args, **kwargs):
        """
        
        
            get_data_format(self) -> AttrDataFormat
        
                Get attribute data format.
        
                :returns: the attribute data format
                :rtype: AttrDataFormat
            
        """
    @staticmethod
    def get_data_size(*args, **kwargs):
        """
        
        
            get_data_size(self)
        
                Get attribute data size.
        
                :returns: the attribute data size
                :rtype: int
            
        """
    @staticmethod
    def get_data_type(*args, **kwargs):
        """
        
        
            get_data_type(self) -> int
        
                Get attribute data type.
        
                :returns: the attribute data type
                :rtype: int
            
        """
    @staticmethod
    def get_date(*args, **kwargs):
        """
        
        
            get_date(self) -> TimeVal
        
                Get a COPY of the attribute date.
        
                :returns: the attribute date
                :rtype: TimeVal
            
        """
    @staticmethod
    def get_disp_level(*args, **kwargs):
        ...
    @staticmethod
    def get_label(*args, **kwargs):
        """
        
        
            get_label(self, ) -> str
        
                Get attribute label property.
        
                :returns: the attribute label
                :rtype: str
            
        """
    @staticmethod
    def get_max_alarm(*args, **kwargs):
        ...
    @staticmethod
    def get_max_dim_x(*args, **kwargs):
        """
        
        
            get_max_dim_x(self) -> int
        
                Get attribute maximum data size in x dimension.
        
                :returns: the attribute maximum data size in x dimension. Set to 1 for scalar attribute
                :rtype: int
            
        """
    @staticmethod
    def get_max_dim_y(*args, **kwargs):
        """
        
        
            get_max_dim_y(self) -> int
        
                Get attribute maximum data size in y dimension.
        
                :returns: the attribute maximum data size in y dimension. Set to 0 for scalar attribute
                :rtype: int
            
        """
    @staticmethod
    def get_max_warning(*args, **kwargs):
        ...
    @staticmethod
    def get_min_alarm(*args, **kwargs):
        ...
    @staticmethod
    def get_min_warning(*args, **kwargs):
        ...
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
            get_name(self) -> str
        
                Get attribute name.
        
                :returns: The attribute name
                :rtype: str
            
        """
    @staticmethod
    def get_polling_period(*args, **kwargs):
        """
        
        
            get_polling_period(self) -> int
        
                Get attribute polling period.
        
                :returns: The attribute polling period in mS. Set to 0 when the attribute is not polled
                :rtype: int
            
        """
    @staticmethod
    def get_quality(*args, **kwargs):
        """
        
        
            get_quality(self) -> AttrQuality
        
                Get a COPY of the attribute data quality.
        
                :returns: the attribute data quality
                :rtype: AttrQuality
            
        """
    @staticmethod
    def get_value_flag(*args, **kwargs):
        ...
    @staticmethod
    def get_writable(*args, **kwargs):
        """
        
        
            get_writable(self) -> AttrWriteType
        
                Get the attribute writable type (RO/WO/RW).
        
                :returns: The attribute write type.
                :rtype: AttrWriteType
            
        """
    @staticmethod
    def get_x(*args, **kwargs):
        """
        
        
            get_x(self) -> int
        
                Get attribute data size in x dimension.
        
                :returns: the attribute data size in x dimension. Set to 1 for scalar attribute
                :rtype: int
            
        """
    @staticmethod
    def get_y(*args, **kwargs):
        """
        
        
            get_y(self) -> int
        
                Get attribute data size in y dimension.
        
                :returns: the attribute data size in y dimension. Set to 0 for scalar attribute
                :rtype: int
            
        """
    @staticmethod
    def is_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def is_archive_event(*args, **kwargs):
        """
        
        
            is_archive_event(self) -> bool
        
                Check if the archive event is fired manually (without polling) for this attribute.
        
                :returns: True if a manual fire archive event is implemented.
                :rtype: bool
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def is_change_event(*args, **kwargs):
        """
        
        
            is_change_event(self) -> bool
        
                Check if the change event is fired manually (without polling) for this attribute.
        
                :returns: True if a manual fire change event is implemented.
                :rtype: bool
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def is_check_alarm_criteria(*args, **kwargs):
        ...
    @staticmethod
    def is_check_archive_criteria(*args, **kwargs):
        """
        
        
            is_check_archive_criteria(self) -> bool
        
                Check if the archive event criteria should be checked when firing the
                event manually.
        
                :returns: True if a archive event criteria will be checked.
                :rtype: bool
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def is_check_change_criteria(*args, **kwargs):
        """
        
        
            is_check_change_criteria(self) -> bool
        
                Check if the change event criteria should be checked when firing the
                event manually.
        
                :returns: True if a change event criteria will be checked.
                :rtype: bool
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def is_data_ready_event(*args, **kwargs):
        """
        
        
            is_data_ready_event(self) -> bool
        
                Check if the data ready event is fired manually (without polling)
                for this attribute.
        
                :returns: True if a manual fire data ready event is implemented.
                :rtype: bool
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def is_max_alarm(*args, **kwargs):
        """
        
        
            is_max_alarm(self) -> bool
        
                Check if the attribute is in maximum alarm condition.
        
                :returns: true if the attribute is in alarm condition (read value above the max. alarm).
                :rtype: bool
            
        """
    @staticmethod
    def is_max_warning(*args, **kwargs):
        """
        
        
            is_max_warning(self) -> bool
        
                Check if the attribute is in maximum warning condition.
        
                :returns: true if the attribute is in warning condition (read value above the max. warning).
                :rtype: bool
            
        """
    @staticmethod
    def is_min_alarm(*args, **kwargs):
        """
        
        
            is_min_alarm(self) -> bool
        
                Check if the attribute is in minimum alarm condition.
        
                :returns: true if the attribute is in alarm condition (read value below the min. alarm).
                :rtype: bool
            
        """
    @staticmethod
    def is_min_warning(*args, **kwargs):
        """
        
        
            is_min_warning(self) -> bool
        
                Check if the attribute is in minimum warning condition.
        
                :returns: true if the attribute is in warning condition (read value below the min. warning).
                :rtype: bool
            
        """
    @staticmethod
    def is_polled(*args, **kwargs):
        """
        
        
            is_polled(self) -> bool
        
                Check if the attribute is polled.
        
                :returns: true if the attribute is polled.
                :rtype: bool
            
        """
    @staticmethod
    def is_rds_alarm(*args, **kwargs):
        """
        
        
            is_rds_alarm(self) -> bool
        
                Check if the attribute is in RDS alarm condition.
        
                :returns: true if the attribute is in RDS condition (Read Different than Set).
                :rtype: bool
            
        """
    @staticmethod
    def is_write_associated(*args, **kwargs):
        """
        
        
            is_write_associated(self) -> bool
        
                Check if the attribute has an associated writable attribute.
        
                :returns: True if there is an associated writable attribute
                :rtype: bool
            
        """
    @staticmethod
    def periodic_event_subscribed(*args, **kwargs):
        ...
    @staticmethod
    def quality_event_subscribed(*args, **kwargs):
        ...
    @staticmethod
    def remove_configuration(*args, **kwargs):
        """
        
        
            remove_configuration(self)
        
                Remove the attribute configuration from the database.
        
                This method can be used to clean-up all the configuration of an
                attribute to come back to its default values or the remove all
                configuration of a dynamic attribute before deleting it.
        
                The method removes all configured attribute properties and removes
                the attribute from the list of polled attributes.
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def set_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def set_archive_event(*args, **kwargs):
        """
        
        
            set_archive_event(self, implemented, detect = True)
        
                Set a flag to indicate that the server fires archive events manually,
                without the polling to be started for the attribute.
        
                If the detect parameter
                is set to true, the criteria specified for the archive event are verified
                and the event is only pushed if they are fullfilled.
        
                :param implemented: True when the server fires archive events manually.
                :type implemented: bool
                :param detect: (optional, default is True) Triggers the verification of
                               the archive event properties when set to true.
                :type detect: bool
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def set_assoc_ind(*args, **kwargs):
        """
        
        
            set_assoc_ind(self, index)
        
                Set index of the associated writable attribute.
        
                :param index: The new index in the main attribute vector of the associated writable attribute
                :type index: int
            
        """
    @staticmethod
    def set_attr_serial_model(*args, **kwargs):
        """
        
        
            set_attr_serial_model(self, ser_model) -> void
        
                Set attribute serialization model.
        
                This method allows the user to choose the attribute serialization model.
        
                :param ser_model: The new serialisation model. The
                                  serialization model must be one of ATTR_BY_KERNEL,
                                  ATTR_BY_USER or ATTR_NO_SYNC
                :type ser_model: AttrSerialModel
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def set_change_event(*args, **kwargs):
        """
        
        
            set_change_event(self, implemented, detect = True)
        
                Set a flag to indicate that the server fires change events manually,
                without the polling to be started for the attribute.
        
                If the detect parameter is set to true, the criteria specified for
                the change event are verified and the event is only pushed if they
                are fullfilled. If detect is set to false the event is fired without
                any value checking!
        
                :param implemented: True when the server fires change events manually.
                :type implemented: bool
                :param detect: (optional, default is True) Triggers the verification of
                               the change event properties when set to true.
                :type detect: bool
        
                New in PyTango 7.1.0
            
        """
    @staticmethod
    def set_data_ready_event(*args, **kwargs):
        """
        
        
            set_data_ready_event(self, implemented)
        
                Set a flag to indicate that the server fires data ready events.
        
                :param implemented: True when the server fires data ready events manually.
                :type implemented: bool
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def set_date(*args, **kwargs):
        """
        
        
            set_date(self, new_date)
        
                Set attribute date.
        
                :param new_date: the attribute date
                :type new_date: TimeVal
            
        """
    @staticmethod
    def set_max_alarm(*args, **kwargs):
        ...
    @staticmethod
    def set_max_warning(*args, **kwargs):
        ...
    @staticmethod
    def set_min_alarm(*args, **kwargs):
        ...
    @staticmethod
    def set_min_warning(*args, **kwargs):
        ...
    @staticmethod
    def set_quality(*args, **kwargs):
        """
        
        
            set_quality(self, quality, send_event=False)
        
                Set attribute data quality.
        
                :param quality: the new attribute data quality
                :type quality: AttrQuality
                :param send_event: true if a change event should be sent. Default is false.
                :type send_event: bool
            
        """
    @staticmethod
    def set_upd_properties(*args, **kwargs):
        ...
    @staticmethod
    def set_value_flag(*args, **kwargs):
        ...
    @staticmethod
    def use_notifd_event(*args, **kwargs):
        ...
    @staticmethod
    def use_zmq_event(*args, **kwargs):
        ...
    @staticmethod
    def user_event_subscribed(*args, **kwargs):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
    def get_properties(self, attr_cfg = None):
        """
        
            get_properties(self, attr_cfg = None) -> AttributeConfig
        
                Get attribute properties.
        
                :param conf: the config object to be filled with
                             the attribute configuration. Default is None meaning the
                             method will create internally a new AttributeConfig_5
                             and return it.
                             Can be AttributeConfig, AttributeConfig_2,
                             AttributeConfig_3, AttributeConfig_5 or
                             MultiAttrProp
        
                :returns: the config object filled with attribute configuration information
                :rtype: AttributeConfig
        
                New in PyTango 7.1.4
            
        """
    def set_properties(self, attr_cfg, dev = None):
        """
        
            set_properties(self, attr_cfg, dev)
        
                Set attribute properties.
        
                This method sets the attribute properties value with the content
                of the fileds in the AttributeConfig/ AttributeConfig_3 object
        
                :param conf: the config object.
                :type conf: AttributeConfig or AttributeConfig_3
                :param dev: the device (not used, maintained
                            for backward compatibility)
                :type dev: DeviceImpl
        
                New in PyTango 7.1.4
            
        """
    def set_value(self, *args):
        """
        
            .. function:: set_value(self, data)
                          set_value(self, str_data, data)
                          DEPRECATED:  set_value(self, data, dim_x = 1, dim_y = 0)
                :noindex:
        
            Set internal attribute value.
        
            This method stores the attribute read value inside the object.
            This method also stores the date when it is called and initializes the
            attribute quality factor.
        
            :param data: the data to be set. Data must be compatible with the attribute type and format.
                         In the DEPRECATED form for SPECTRUM and IMAGE attributes, data
                         can be any type of FLAT sequence of elements compatible with the
                         attribute type.
                         In the new form (without dim_x or dim_y) data should be any
                         sequence for SPECTRUM and a SEQUENCE of equal-length SEQUENCES
                         for IMAGE attributes.
                         The recommended sequence is a C continuous and aligned numpy
                         array, as it can be optimized.
            :param str_data: special variation for DevEncoded data type. In this case 'data' must
                             be a str or an object with the buffer interface.
            :type str_data: str
            :param dim_x: [DEPRECATED] the attribute x length. Default value is 1
            :type dim_x: int
            :param dim_y: [DEPRECATED] the attribute y length. Default value is 0
            :type dim_y: int
            
        """
    def set_value_date_quality(self, *args):
        """
        
            .. function::   set_value_date_quality(self, data, time_stamp, quality)
                            set_value_date_quality(self, str_data, data, time_stamp, quality)
                            DEPRECATED:  set_value_date_quality(self, data, time_stamp, quality, dim_x = 1, dim_y = 0)
                :noindex:
        
            Set internal attribute value, date and quality factor.
        
            This method stores the attribute read value, the date and the attribute quality
            factor inside the object.
        
            :param data: the data to be set. Data must be compatible with the attribute type and format.
                         In the DEPRECATED form for SPECTRUM and IMAGE attributes, data
                         can be any type of FLAT sequence of elements compatible with the
                         attribute type.
                         In the new form (without dim_x or dim_y) data should be any
                         sequence for SPECTRUM and a SEQUENCE of equal-length SEQUENCES
                         for IMAGE attributes.
                         The recommended sequence is a C continuous and aligned numpy
                         array, as it can be optimized.
            :param str_data: special variation for DevEncoded data type. In this case 'data' must
                             be a str or an object with the buffer interface.
            :type str_data: str
            :param time_stamp: the time stamp
            :type time_stamp: double
            :param quality: the attribute quality factor
            :type quality: AttrQuality
            :param dim_x: [DEPRECATED] the attribute x length. Default value is 1
            :type dim_x: int
            :param dim_y: [DEPRECATED] the attribute y length. Default value is 0
            :type dim_y: int
            
        """
class AttributeAlarmInfo(Boost.Python.instance):
    """
    
        A structure containing available alarm information for an attribute
        with the following members:
    
            - min_alarm : (str) low alarm level
            - max_alarm : (str) high alarm level
            - min_warning : (str) low warning level
            - max_warning : (str) high warning level
            - delta_t : (str) time delta
            - delta_val : (str) value delta
            - extensions : (StdStringVector) extensions (currently not used)
    """
    __instance_size__: typing.ClassVar[int] = 192
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def delta_t(*args, **kwargs):
        ...
    @delta_t.setter
    def delta_t(*args, **kwargs):
        ...
    @property
    def delta_val(*args, **kwargs):
        ...
    @delta_val.setter
    def delta_val(*args, **kwargs):
        ...
    @property
    def extensions(*args, **kwargs):
        ...
    @extensions.setter
    def extensions(*args, **kwargs):
        ...
    @property
    def max_alarm(*args, **kwargs):
        ...
    @max_alarm.setter
    def max_alarm(*args, **kwargs):
        ...
    @property
    def max_warning(*args, **kwargs):
        ...
    @max_warning.setter
    def max_warning(*args, **kwargs):
        ...
    @property
    def min_alarm(*args, **kwargs):
        ...
    @min_alarm.setter
    def min_alarm(*args, **kwargs):
        ...
    @property
    def min_warning(*args, **kwargs):
        ...
    @min_warning.setter
    def min_warning(*args, **kwargs):
        ...
class AttributeDimension(Boost.Python.instance):
    """
    
        A structure containing x and y attribute data dimensions with
        the following members:
    
            - dim_x : (int) x dimension
            - dim_y : (int) y dimension
    """
    __instance_size__: typing.ClassVar[int] = 40
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def dim_x(*args, **kwargs):
        ...
    @property
    def dim_y(*args, **kwargs):
        ...
class AttributeEventInfo(Boost.Python.instance):
    """
    
        A structure containing available event information for an attribute
        with the following members:
    
            - ch_event : (ChangeEventInfo) change event information
            - per_event : (PeriodicEventInfo) periodic event information
            - arch_event :  (ArchiveEventInfo) archiving event information
    """
    __instance_size__: typing.ClassVar[int] = 240
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def arch_event(*args, **kwargs):
        ...
    @arch_event.setter
    def arch_event(*args, **kwargs):
        ...
    @property
    def ch_event(*args, **kwargs):
        ...
    @ch_event.setter
    def ch_event(*args, **kwargs):
        ...
    @property
    def per_event(*args, **kwargs):
        ...
    @per_event.setter
    def per_event(*args, **kwargs):
        ...
class AttributeInfo(DeviceAttributeConfig):
    """
    
        A structure (inheriting from :class:`DeviceAttributeConfig`) containing
        available information for an attribute with the following members:
    
            - disp_level : (DispLevel) display level (OPERATOR, EXPERT)
    
            Inherited members are:
    
                - name : (str) attribute name
                - writable : (AttrWriteType) write type (R, W, RW, R with W)
                - data_format : (AttrDataFormat) data format (SCALAR, SPECTRUM, IMAGE)
                - data_type : (int) attribute type (float, string,..)
                - max_dim_x : (int) first dimension of attribute (spectrum or image attributes)
                - max_dim_y : (int) second dimension of attribute(image attribute)
                - description : (int) attribute description
                - label : (str) attribute label (Voltage, time, ...)
                - unit : (str) attribute unit (V, ms, ...)
                - standard_unit : (str) standard unit
                - display_unit : (str) display unit
                - format : (str) how to display the attribute value (ex: for floats could be '%6.2f')
                - min_value : (str) minimum allowed value
                - max_value : (str) maximum allowed value
                - min_alarm : (str) low alarm level
                - max_alarm : (str) high alarm level
                - writable_attr_name : (str) name of the writable attribute
                - extensions : (StdStringVector) extensions (currently not used)
    """
    __instance_size__: typing.ClassVar[int] = 368
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def disp_level(*args, **kwargs):
        ...
    @disp_level.setter
    def disp_level(*args, **kwargs):
        ...
class AttributeInfoEx(AttributeInfo):
    """
    
        A structure (inheriting from :class:`AttributeInfo`) containing
        available information for an attribute with the following members:
    
            - alarms : object containing alarm information (see AttributeAlarmInfo).
            - events : object containing event information (see AttributeEventInfo).
            - sys_extensions : StdStringVector
    
            Inherited members are:
    
                - name : (str) attribute name
                - writable : (AttrWriteType) write type (R, W, RW, R with W)
                - data_format : (AttrDataFormat) data format (SCALAR, SPECTRUM, IMAGE)
                - data_type : (int) attribute type (float, string,..)
                - max_dim_x : (int) first dimension of attribute (spectrum or image attributes)
                - max_dim_y : (int) second dimension of attribute(image attribute)
                - description : (int) attribute description
                - label : (str) attribute label (Voltage, time, ...)
                - unit : (str) attribute unit (V, ms, ...)
                - standard_unit : (str) standard unit
                - display_unit : (str) display unit
                - format : (str) how to display the attribute value (ex: for floats could be '%6.2f')
                - min_value : (str) minimum allowed value
                - max_value : (str) maximum allowed value
                - min_alarm : (str) low alarm level
                - max_alarm : (str) high alarm level
                - writable_attr_name : (str) name of the writable attribute
                - extensions : (StdStringVector) extensions (currently not used)
                - disp_level : (DispLevel) display level (OPERATOR, EXPERT)
    """
    __instance_size__: typing.ClassVar[int] = 832
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def alarms(*args, **kwargs):
        ...
    @alarms.setter
    def alarms(*args, **kwargs):
        ...
    @property
    def enum_labels(*args, **kwargs):
        ...
    @enum_labels.setter
    def enum_labels(*args, **kwargs):
        ...
    @property
    def events(*args, **kwargs):
        ...
    @events.setter
    def events(*args, **kwargs):
        ...
    @property
    def memorized(*args, **kwargs):
        ...
    @memorized.setter
    def memorized(*args, **kwargs):
        ...
    @property
    def root_attr_name(*args, **kwargs):
        ...
    @root_attr_name.setter
    def root_attr_name(*args, **kwargs):
        ...
    @property
    def sys_extensions(*args, **kwargs):
        ...
    @sys_extensions.setter
    def sys_extensions(*args, **kwargs):
        ...
class AttributeInfoList(Boost.Python.instance):
    """
    
        List of AttributeInfo objects, containing available information for the attributes
    """
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class AttributeInfoListEx(Boost.Python.instance):
    """
    
        List of AttributeInfoEx objects, containing available information for the attributes
    """
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class AttributeList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __getitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
class AutoTangoAllowThreads(Boost.Python.instance):
    """
    
        In a tango server, free the tango monitor within a context:
    
            with AutoTangoAllowThreads(dev):
                # code here is not under the tango device monitor
                do something
        
    """
    __instance_size__: typing.ClassVar[int] = 56
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _acquire(*args, **kwargs):
        ...
    def __enter__(self):
        ...
    def __exit__(self, *args, **kwargs):
        ...
class AutoTangoMonitor(Boost.Python.instance):
    """
    
        In a tango server, guard the tango monitor within a python context::
    
            with AutoTangoMonitor(dev):
                # code here is protected by the tango device monitor
                do something
        
    """
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _acquire(*args, **kwargs):
        ...
    @staticmethod
    def _release(*args, **kwargs):
        ...
    def __enter__(self):
        ...
    def __exit__(self, *args, **kwargs):
        ...
class ChangeEventInfo(Boost.Python.instance):
    """
    
        A structure containing available change event information for an attribute
        with the following members:
    
            - rel_change : (str) relative change that will generate an event
            - abs_change : (str) absolute change that will generate an event
            - extensions : (StdStringVector) extensions (currently not used)
    """
    __instance_size__: typing.ClassVar[int] = 96
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def abs_change(*args, **kwargs):
        ...
    @abs_change.setter
    def abs_change(*args, **kwargs):
        ...
    @property
    def extensions(*args, **kwargs):
        ...
    @extensions.setter
    def extensions(*args, **kwargs):
        ...
    @property
    def rel_change(*args, **kwargs):
        ...
    @rel_change.setter
    def rel_change(*args, **kwargs):
        ...
class CmdArgType(Boost.Python.enum):
    """
    
        An enumeration representing the command argument type.
    
            - DevVoid
            - DevBoolean
            - DevShort
            - DevLong
            - DevFloat
            - DevDouble
            - DevUShort
            - DevULong
            - DevString
            - DevVarCharArray
            - DevVarShortArray
            - DevVarLongArray
            - DevVarFloatArray
            - DevVarDoubleArray
            - DevVarUShortArray
            - DevVarULongArray
            - DevVarStringArray
            - DevVarLongStringArray
            - DevVarDoubleStringArray
            - DevState
            - ConstDevString
            - DevVarBooleanArray
            - DevUChar
            - DevLong64
            - DevULong64
            - DevVarLong64Array
            - DevVarULong64Array
            - DevEncoded
            - DevEnum
            - DevPipeBlob
        
    """
    ConstDevString: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.ConstDevString
    DevBoolean: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevBoolean
    DevDouble: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevDouble
    DevEncoded: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevEncoded
    DevEnum: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevEnum
    DevFloat: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevFloat
    DevLong: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevLong
    DevLong64: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevLong64
    DevPipeBlob: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevPipeBlob
    DevShort: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevShort
    DevState: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevState
    DevString: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevString
    DevUChar: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevUChar
    DevULong: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevULong
    DevULong64: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevULong64
    DevUShort: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevUShort
    DevVarBooleanArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarBooleanArray
    DevVarCharArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarCharArray
    DevVarDoubleArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarDoubleArray
    DevVarDoubleStringArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarDoubleStringArray
    DevVarFloatArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarFloatArray
    DevVarLong64Array: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarLong64Array
    DevVarLongArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarLongArray
    DevVarLongStringArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarLongStringArray
    DevVarShortArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarShortArray
    DevVarStateArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarStateArray
    DevVarStringArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarStringArray
    DevVarULong64Array: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarULong64Array
    DevVarULongArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarULongArray
    DevVarUShortArray: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVarUShortArray
    DevVoid: typing.ClassVar[CmdArgType]  # value = tango._tango.CmdArgType.DevVoid
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'DevVoid': tango._tango.CmdArgType.DevVoid, 'DevBoolean': tango._tango.CmdArgType.DevBoolean, 'DevShort': tango._tango.CmdArgType.DevShort, 'DevLong': tango._tango.CmdArgType.DevLong, 'DevFloat': tango._tango.CmdArgType.DevFloat, 'DevDouble': tango._tango.CmdArgType.DevDouble, 'DevUShort': tango._tango.CmdArgType.DevUShort, 'DevULong': tango._tango.CmdArgType.DevULong, 'DevString': tango._tango.CmdArgType.DevString, 'DevVarCharArray': tango._tango.CmdArgType.DevVarCharArray, 'DevVarShortArray': tango._tango.CmdArgType.DevVarShortArray, 'DevVarLongArray': tango._tango.CmdArgType.DevVarLongArray, 'DevVarFloatArray': tango._tango.CmdArgType.DevVarFloatArray, 'DevVarDoubleArray': tango._tango.CmdArgType.DevVarDoubleArray, 'DevVarUShortArray': tango._tango.CmdArgType.DevVarUShortArray, 'DevVarULongArray': tango._tango.CmdArgType.DevVarULongArray, 'DevVarStringArray': tango._tango.CmdArgType.DevVarStringArray, 'DevVarLongStringArray': tango._tango.CmdArgType.DevVarLongStringArray, 'DevVarDoubleStringArray': tango._tango.CmdArgType.DevVarDoubleStringArray, 'DevState': tango._tango.CmdArgType.DevState, 'ConstDevString': tango._tango.CmdArgType.ConstDevString, 'DevVarBooleanArray': tango._tango.CmdArgType.DevVarBooleanArray, 'DevUChar': tango._tango.CmdArgType.DevUChar, 'DevLong64': tango._tango.CmdArgType.DevLong64, 'DevULong64': tango._tango.CmdArgType.DevULong64, 'DevVarLong64Array': tango._tango.CmdArgType.DevVarLong64Array, 'DevVarULong64Array': tango._tango.CmdArgType.DevVarULong64Array, 'DevEncoded': tango._tango.CmdArgType.DevEncoded, 'DevEnum': tango._tango.CmdArgType.DevEnum, 'DevPipeBlob': tango._tango.CmdArgType.DevPipeBlob, 'DevVarStateArray': tango._tango.CmdArgType.DevVarStateArray}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.CmdArgType.DevVoid, 1: tango._tango.CmdArgType.DevBoolean, 2: tango._tango.CmdArgType.DevShort, 3: tango._tango.CmdArgType.DevLong, 4: tango._tango.CmdArgType.DevFloat, 5: tango._tango.CmdArgType.DevDouble, 6: tango._tango.CmdArgType.DevUShort, 7: tango._tango.CmdArgType.DevULong, 8: tango._tango.CmdArgType.DevString, 9: tango._tango.CmdArgType.DevVarCharArray, 10: tango._tango.CmdArgType.DevVarShortArray, 11: tango._tango.CmdArgType.DevVarLongArray, 12: tango._tango.CmdArgType.DevVarFloatArray, 13: tango._tango.CmdArgType.DevVarDoubleArray, 14: tango._tango.CmdArgType.DevVarUShortArray, 15: tango._tango.CmdArgType.DevVarULongArray, 16: tango._tango.CmdArgType.DevVarStringArray, 17: tango._tango.CmdArgType.DevVarLongStringArray, 18: tango._tango.CmdArgType.DevVarDoubleStringArray, 19: tango._tango.CmdArgType.DevState, 20: tango._tango.CmdArgType.ConstDevString, 21: tango._tango.CmdArgType.DevVarBooleanArray, 22: tango._tango.CmdArgType.DevUChar, 23: tango._tango.CmdArgType.DevLong64, 24: tango._tango.CmdArgType.DevULong64, 25: tango._tango.CmdArgType.DevVarLong64Array, 26: tango._tango.CmdArgType.DevVarULong64Array, 28: tango._tango.CmdArgType.DevEncoded, 29: tango._tango.CmdArgType.DevEnum, 30: tango._tango.CmdArgType.DevPipeBlob, 31: tango._tango.CmdArgType.DevVarStateArray}
class CmdDoneEvent(Boost.Python.instance):
    """
    
            This class is used to pass data to the callback method in
            asynchronous callback model for command execution.
    
            It has the following members:
                - device     : (DeviceProxy) The DeviceProxy object on which the call was executed.
                - cmd_name   : (str) The command name
                - argout_raw : (DeviceData) The command argout
                - argout     : The command argout
                - err        : (bool) A boolean flag set to true if the command failed. False otherwise
                - errors     : (sequence<DevError>) The error stack
                - ext        :
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @property
    def argout(*args, **kwargs):
        ...
    @argout.setter
    def argout(*args, **kwargs):
        ...
    @property
    def argout_raw(*args, **kwargs):
        ...
    @property
    def cmd_name(*args, **kwargs):
        ...
    @property
    def device(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @property
    def ext(*args, **kwargs):
        ...
class CommandInfo(DevCommandInfo):
    """
    
        A device command info (inheriting from :class:`DevCommandInfo`) with the following members:
    
            - disp_level : (DispLevel) command display level
    
            Inherited members are (from :class:`DevCommandInfo`):
    
                - cmd_name : (str) command name
                - cmd_tag : (str) command as binary value (for TACO)
                - in_type : (CmdArgType) input type
                - out_type : (CmdArgType) output type
                - in_type_desc : (str) description of input type
                - out_type_desc : (str) description of output type
    """
    __instance_size__: typing.ClassVar[int] = 128
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def disp_level(*args, **kwargs):
        ...
class CommandInfoList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class Connection(Boost.Python.instance):
    """
    
            The abstract Connection class for DeviceProxy. Not to be initialized directly.
        
    """
    defaultCommandExtractAs: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Numpy
    @staticmethod
    def __command_inout(*args, **kwargs):
        ...
    @staticmethod
    def __command_inout_asynch_cb(*args, **kwargs):
        ...
    @staticmethod
    def __command_inout_asynch_id(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def cancel_all_polling_asynch_request(*args, **kwargs):
        """
        
        
            cancel_all_polling_asynch_request(self) -> None
        
                    Cancel all running asynchronous request
        
                    This is a client side call. Obviously, the calls cannot be
                    aborted while it is running in the device.
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def cancel_asynch_request(*args, **kwargs):
        """
        
        
            cancel_asynch_request(self, id ) -> None
        
                    Cancel a running asynchronous request
        
                    This is a client side call. Obviously, the call cannot be
                    aborted while it is running in the device.
        
                Parameters :
                    - id : The asynchronous call identifier
                Return     : None
        
                    New in PyTango 7.0.0
            
        """
    @staticmethod
    def command_inout(obj, *args, **kwargs):
        """
        
            command_inout( self, cmd_name, cmd_param=None, green_mode=None, wait=True, timeout=None) -> any
        
                    Execute a command on a device.
        
                Parameters :
                        - cmd_name  : (str) Command name.
                        - cmd_param : (any) It should be a value of the type expected by the
                                      command or a DeviceData object with this value inserted.
                                      It can be omitted if the command should not get any argument.
                        - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                       (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                       :meth:`~tango.DeviceProxy.set_green_mode`).
                        - wait       : (bool) whether or not to wait for result. If green_mode
                                       is *Synchronous*, this parameter is ignored as it always
                                       waits for the result.
                                       Ignored when green_mode is Synchronous (always waits).
                        - timeout    : (float) The number of seconds to wait for the result.
                                       If None, then there is no limit on the wait time.
                                       Ignored when green_mode is Synchronous or wait is False.
                Return     : The result of the command. The type depends on the command. It may be None.
        
                Throws     : ConnectionFailed, CommunicationFailed, DeviceUnlocked, DevFailed from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
                             TypeError if cmd_param's type is not compatible with the command.
        
            .. versionadded:: 8.1.0
                *green_mode* parameter.
                *wait* parameter.
                *timeout* parameter.
        
            .. versionchanged:: 10.0.0
                TypeError's for invalid command input arguments are now more detailed.
                For commands with a DEV_STRING input argument, invalid data will now raise TypeError instead of SystemError.
            
        """
    @staticmethod
    def command_inout_reply_raw(*args, **kwargs):
        """
        
        
            command_inout_reply_raw(self, id, timeout) -> DeviceData
        
                    Check if the answer of an asynchronous command_inout is arrived
                    (polling model). id is the asynchronous call identifier. If the
                    reply is arrived and if it is a valid reply, it is returned to
                    the caller in a DeviceData object. If the reply is an exception,
                    it is re-thrown by this call. If the reply is not yet arrived,
                    the call will wait (blocking the process) for the time specified
                    in timeout. If after timeout milliseconds, the reply is still
                    not there, an exception is thrown. If timeout is set to 0, the
                    call waits until the reply arrived.
        
                Parameters :
                    - id      : (int) Asynchronous call identifier.
                    - timeout : (int)
                Return     : (DeviceData)
                Throws     : AsynCall, AsynReplyNotArrived, CommunicationFailed, DevFailed from device
            
        
        
            command_inout_reply_raw(self, id) -> DeviceData
        
                    Check if the answer of an asynchronous command_inout is arrived
                    (polling model). If the reply is arrived and if it is a valid
                    reply, it is returned to the caller in a DeviceData object. If
                    the reply is an exception, it is re-thrown by this call. An
                    exception is also thrown in case of the reply is not yet arrived.
        
                Parameters :
                    - id      : (int) Asynchronous call identifier.
                Return     : (DeviceData)
                Throws     : AsynCall, AsynReplyNotArrived, CommunicationFailed, DevFailed from device
            
        """
    @staticmethod
    def connect(*args, **kwargs):
        """
        
        
            connect(self, corba_name) -> None
        
                    Creates a connection to a TANGO device using it's stringified
                    CORBA reference i.e. IOR or corbaloc.
        
                Parameters :
                    - corba_name : (str) Name of the CORBA object
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def dev_name(*args, **kwargs):
        """
        
        
            dev_name(self) -> str
        
                    Return the device name as it is stored locally
        
                Parameters : None
                Return     : (str)
            
        """
    @staticmethod
    def get_access_control(*args, **kwargs):
        """
        
        
            get_access_control(self) -> AccessControlType
        
                    Returns the current access control type
        
                Parameters : None
                Return     : (AccessControlType) The current access control type
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_access_right(*args, **kwargs):
        """
        
        
            get_access_right(self) -> AccessControlType
        
                    Returns the current access control type
        
                Parameters : None
                Return     : (AccessControlType) The current access control type
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def get_asynch_replies(*args, **kwargs):
        """
        
        
            get_asynch_replies(self, call_timeout) -> None
        
                    Try to obtain data returned by a command asynchronously
                    requested. This method blocks for the specified timeout if the
                    reply is not yet arrived. This method fires callback when the
                    reply arrived. If the timeout is set to 0, the call waits
                    undefinitely for the reply
        
                Parameters :
                    - call_timeout : (int) timeout in miliseconds
                Return     : None
        
                New in PyTango 7.0.0
            
        
        
            get_asynch_replies(self) -> None
        
                    Try to obtain data returned by a command asynchronously
                    requested. This method does not block if the reply has not yet
                    arrived. It fires callback for already arrived replies.
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_db_host(*args, **kwargs):
        """
        
        
            get_db_host(self) -> str
        
                    Returns a string with the database host.
        
                Parameters : None
                Return     : (str)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_db_port(*args, **kwargs):
        """
        
        
            get_db_port(self) -> str
        
                    Returns a string with the database port.
        
                Parameters : None
                Return     : (str)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_db_port_num(*args, **kwargs):
        """
        
        
            get_db_port_num(self) -> int
        
                    Returns an integer with the database port.
        
                Parameters : None
                Return     : (int)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_dev_host(*args, **kwargs):
        """
        
        
            get_dev_host(self) -> str
        
                    Returns the current host
        
                Parameters : None
                Return     : (str) the current host
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_dev_port(*args, **kwargs):
        """
        
        
            get_dev_port(self) -> str
        
                    Returns the current port
        
                Parameters : None
                Return     : (str) the current port
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_fqdn(*args, **kwargs):
        """
        
        
            get_fqdn(self) -> str
        
                    Returns the fully qualified domain name
        
                Parameters : None
                Return     : (str) the fully qualified domain name
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_from_env_var(*args, **kwargs):
        """
        
        
            get_from_env_var(self) -> bool
        
                    Returns True if determined by environment variable or
                    False otherwise
        
                Parameters : None
                Return     : (bool)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_idl_version(*args, **kwargs):
        """
        
        
            get_idl_version(self) -> int
        
                    Get the version of the Tango Device interface implemented
                    by the device
        
                Parameters : None
                Return     : (int)
            
        """
    @staticmethod
    def get_source(*args, **kwargs):
        """
        
        
            get_source(self) -> DevSource
        
                    Get the data source(device, polling buffer, polling buffer
                    then device) used by command_inout or read_attribute methods
        
                Parameters : None
                Return     : (DevSource)
                Example    :
                            source = dev.get_source()
                            if source == DevSource.CACHE_DEV : ...
            
        """
    @staticmethod
    def get_timeout_millis(*args, **kwargs):
        """
        
        
            get_timeout_millis(self) -> int
        
                    Get the client side timeout in milliseconds
        
                Parameters : None
                Return     : (int)
            
        """
    @staticmethod
    def get_transparency_reconnection(*args, **kwargs):
        """
        
        
            get_transparency_reconnection(self) -> bool
        
                    Returns the device transparency reconnection flag.
        
                Parameters : None
                Return     : (bool) True if transparency reconnection is set
                                    or False otherwise
            
        """
    @staticmethod
    def is_dbase_used(*args, **kwargs):
        """
        
        
            is_dbase_used(self) -> bool
        
                    Returns if the database is being used
        
                Parameters : None
                Return     : (bool) True if the database is being used
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def reconnect(*args, **kwargs):
        """
        
        
            reconnect(self, db_used) -> None
        
                    Reconnecto to a CORBA object.
        
                Parameters :
                    - db_used : (bool) Use thatabase
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def set_access_control(*args, **kwargs):
        """
        
        
            set_access_control(self, acc) -> None
        
                    Sets the current access control type
        
                Parameters :
                    - acc: (AccessControlType) the type of access
                           control to set
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def set_source(*args, **kwargs):
        """
        
        
            set_source(self, source) -> None
        
                    Set the data source(device, polling buffer, polling buffer
                    then device) for command_inout and read_attribute methods.
        
                Parameters :
                    - source: (DevSource) constant.
                Return     : None
                Example    :
                            dev.set_source(DevSource.CACHE_DEV)
            
        """
    @staticmethod
    def set_timeout_millis(*args, **kwargs):
        """
        
        
            set_timeout_millis(self, timeout) -> None
        
                    Set client side timeout for device in milliseconds. Any method
                    which takes longer than this time to execute will throw an
                    exception
        
                Parameters :
                    - timeout : integer value of timeout in milliseconds
                Return     : None
                Example    :
                            dev.set_timeout_millis(1000)
            
        """
    @staticmethod
    def set_transparency_reconnection(*args, **kwargs):
        """
        
        
            set_transparency_reconnection(self, yesno) -> None
        
                    Set the device transparency reconnection flag
        
                Parameters :
                    "    - val : (bool) True to set transparency reconnection
                    "                   or False otherwise
                Return     : None
            
        """
    def command_inout_asynch(self, cmd_name, *args):
        """
        
            command_inout_asynch(self, cmd_name) -> id
            command_inout_asynch(self, cmd_name, cmd_param) -> id
            command_inout_asynch(self, cmd_name, cmd_param, forget) -> id
        
                    Execute asynchronously (polling model) a command on a device
        
                Parameters :
                        - cmd_name  : (str) Command name.
                        - cmd_param : (any) It should be a value of the type expected by the
                                      command or a DeviceData object with this value inserted.
                                      It can be omitted if the command should not get any argument.
                                      If the command should get no argument and you want
                                      to set the 'forget' param, use None for cmd_param.
                        - forget    : (bool) If this flag is set to true, this means that the client
                                      does not care at all about the server answer and will even
                                      not try to get it. Default value is False. Please,
                                      note that device re-connection will not take place (in case
                                      it is needed) if the fire and forget mode is used. Therefore,
                                      an application using only fire and forget requests is not able
                                      to automatically re-connnect to device.
                Return     : (int) This call returns an asynchronous call identifier which is
                             needed to get the command result (see command_inout_reply)
        
                Throws     : ConnectionFailed, TypeError, anything thrown by command_query
        
            command_inout_asynch( self, cmd_name, callback) -> None
            command_inout_asynch( self, cmd_name, cmd_param, callback) -> None
        
                    Execute asynchronously (callback model) a command on a device.
        
                Parameters :
                        - cmd_name  : (str) Command name.
                        - cmd_param : (any)It should be a value of the type expected by the
                                      command or a DeviceData object with this value inserted.
                                      It can be omitted if the command should not get any argument.
                        - callback  : Any callable object (function, lambda...) or any oject
                                      with a method named "cmd_ended".
                Return     : None
        
                Throws     : ConnectionFailed, TypeError, anything thrown by command_query
        
            .. important::
                by default, TANGO is initialized with the **polling** model. If you want
                to use the **push** model (the one with the callback parameter), you
                need to change the global TANGO model to PUSH_CALLBACK.
                You can do this with the :meth:`tango.ApiUtil.set_asynch_cb_sub_model`
        
            .. versionchanged:: 10.0.0
                TypeError's for invalid command input arguments are now more detailed.
                For commands with a DEV_STRING input argument, invalid data will now raise TypeError instead of SystemError.
            
        """
    def command_inout_raw(self, cmd_name, cmd_param = None):
        """
        
            command_inout_raw( self, cmd_name, cmd_param=None) -> DeviceData
        
                    Execute a command on a device.
        
                Parameters :
                        - cmd_name  : (str) Command name.
                        - cmd_param : (any) It should be a value of the type expected by the
                                      command or a DeviceData object with this value inserted.
                                      It can be omitted if the command should not get any argument.
                Return     : A DeviceData object.
        
                Throws     : ConnectionFailed, CommunicationFailed, DeviceUnlocked, DevFailed from device.
                             TypeError if cmd_param's type is not compatible with the command.
        
            .. versionchanged:: 10.0.0
                TypeError's for invalid command input arguments are now more detailed.
                For commands with a DEV_STRING input argument, invalid data will now raise TypeError instead of SystemError.
            
        """
    def command_inout_reply(self, idx, timeout = None):
        """
        
            command_inout_reply(self, idx, timeout=None) -> DeviceData
        
                    Check if the answer of an asynchronous command_inout is arrived
                    (polling model). If the reply is arrived and if it is a valid
                    reply, it is returned to the caller in a DeviceData object. If
                    the reply is an exception, it is re-thrown by this call. If optional
                    `timeout` parameter is not provided an exception is also thrown in case
                    of the reply is not yet arrived. If `timeout` is provided, the call will
                    wait (blocking the process) for the time specified
                    in timeout. If after timeout milliseconds, the reply is still
                    not there, an exception is thrown. If timeout is set to 0, the
                    call waits until the reply arrived.
        
                Parameters :
                    - idx      : (int) Asynchronous call identifier.
                    - timeout  : (int) (optional) Milliseconds to wait for the reply.
                Return     : (DeviceData)
                Throws     : AsynCall, AsynReplyNotArrived, CommunicationFailed, DevFailed from device
            
        """
class DServer(Device_5Impl):
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def add_event_heartbeat(*args, **kwargs):
        ...
    @staticmethod
    def add_obj_polling(*args, **kwargs):
        ...
    @staticmethod
    def delete_devices(*args, **kwargs):
        ...
    @staticmethod
    def dev_lock_status(*args, **kwargs):
        ...
    @staticmethod
    def dev_poll_status(*args, **kwargs):
        ...
    @staticmethod
    def get_fqdn(*args, **kwargs):
        ...
    @staticmethod
    def get_full_name(*args, **kwargs):
        ...
    @staticmethod
    def get_instance_name(*args, **kwargs):
        ...
    @staticmethod
    def get_opt_pool_usage(*args, **kwargs):
        ...
    @staticmethod
    def get_personal_name(*args, **kwargs):
        ...
    @staticmethod
    def get_poll_th_conf(*args, **kwargs):
        ...
    @staticmethod
    def get_poll_th_pool_size(*args, **kwargs):
        ...
    @staticmethod
    def get_process_name(*args, **kwargs):
        ...
    @staticmethod
    def kill(*args, **kwargs):
        ...
    @staticmethod
    def lock_device(*args, **kwargs):
        ...
    @staticmethod
    def polled_device(*args, **kwargs):
        ...
    @staticmethod
    def query_class(*args, **kwargs):
        ...
    @staticmethod
    def query_class_prop(*args, **kwargs):
        ...
    @staticmethod
    def query_dev_prop(*args, **kwargs):
        ...
    @staticmethod
    def query_device(*args, **kwargs):
        ...
    @staticmethod
    def query_sub_device(*args, **kwargs):
        ...
    @staticmethod
    def re_lock_devices(*args, **kwargs):
        ...
    @staticmethod
    def rem_event_heartbeat(*args, **kwargs):
        ...
    @staticmethod
    def rem_obj_polling(*args, **kwargs):
        ...
    @staticmethod
    def restart(*args, **kwargs):
        ...
    @staticmethod
    def restart_server(*args, **kwargs):
        ...
    @staticmethod
    def start_logging(*args, **kwargs):
        ...
    @staticmethod
    def start_polling(*args, **kwargs):
        ...
    @staticmethod
    def stop_logging(*args, **kwargs):
        ...
    @staticmethod
    def stop_polling(*args, **kwargs):
        ...
    @staticmethod
    def un_lock_device(*args, **kwargs):
        ...
    @staticmethod
    def upd_obj_polling_period(*args, **kwargs):
        ...
class DataReadyEventData(Boost.Python.instance):
    """
    
        This class is used to pass data to the callback method when an
        attribute data ready event is sent to the clien. It contains the
        following public fields:
    
            - device : (DeviceProxy) The DeviceProxy object on which the call was executed
            - attr_name : (str) The attribute name
            - event : (str) The event name
            - attr_data_type : (int) The attribute data type
            - ctr : (int) The user counter. Set to 0 if not defined when sent by the
              server
            - err : (bool) A boolean flag set to true if the request failed. False
              otherwise
            - errors : (sequence<DevError>) The error stack
            - reception_date: (TimeVal)
    
            New in PyTango 7.0.0
    """
    __instance_size__: typing.ClassVar[int] = 136
    device = None
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        """
        
        
            get_date(self) -> TimeVal
        
                    Returns the timestamp of the event.
        
                Parameters : None
                Return     : (TimeVal) the timestamp of the event
        
                New in PyTango 7.0.0
            
        """
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def attr_data_type(*args, **kwargs):
        ...
    @attr_data_type.setter
    def attr_data_type(*args, **kwargs):
        ...
    @property
    def attr_name(*args, **kwargs):
        ...
    @attr_name.setter
    def attr_name(*args, **kwargs):
        ...
    @property
    def ctr(*args, **kwargs):
        ...
    @ctr.setter
    def ctr(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @err.setter
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @errors.setter
    def errors(*args, **kwargs):
        ...
    @property
    def event(*args, **kwargs):
        ...
    @event.setter
    def event(*args, **kwargs):
        ...
    @property
    def reception_date(*args, **kwargs):
        ...
    @reception_date.setter
    def reception_date(*args, **kwargs):
        ...
class Database(Connection):
    """
    
        Database is the high level Tango object which contains the link to the static database.
        Database provides methods for all database commands : get_device_property(),
        put_device_property(), info(), etc..
        To create a Database, use the default constructor. Example::
    
            db = Database()
    
        The constructor uses the TANGO_HOST env. variable to determine which
        instance of the Database to connect to.
    
        If TANGO_HOST env is not set, or you want to connect to a specific database, you can provide host and port to constructor:
    
             db = Database(host: str, port: int)
    
             or:
    
             db = Database(host: str, port: str)
    
        Alternatively, it is possible to start Database using file instead of a real database:
    
            db = Database(filename: str)
    
        
    """
    __instance_size__: typing.ClassVar[int] = 848
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __getinitargs__(*args, **kwargs):
        ...
    @staticmethod
    def __init_orig__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _add_server(*args, **kwargs):
        """
        
        
            _add_server(self, serv_name, dev_info) -> None
        
                    Add a group of devices to the database.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - serv_name : (str) server name
                    - dev_info : (DbDevInfos) server device(s) information
                Return     : None
            
        """
    @staticmethod
    def _delete_class_attribute_property(*args, **kwargs):
        """
        
        
            _delete_class_attribute_property(self, class_name, props) -> None
        
                    Delete a list of attribute properties for the specified class.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) server name
                    - props : (DbData) attribute property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _delete_class_pipe_property(*args, **kwargs):
        """
        
        
            _delete_class_pipe_property(self, class_name, props) -> None
        
                    Delete a list of pipe properties for the specified class.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) server name
                    - props : (DbData) pipe property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _delete_class_property(*args, **kwargs):
        """
        
        
            _delete_class_property(self, class_name, props) -> None
        
                    Delete a list of properties for the specified class.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props  : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _delete_device_attribute_property(*args, **kwargs):
        """
        
        
            _delete_device_attribute_property(self, dev_name, props) -> None
        
                    Delete a list of attribute properties for the specified device.
                    The attribute names are specified by the vector of DbDatum structures. Here
                    is an example of how to delete the unit property of the velocity attribute of
                    the id11/motor/1 device using this method :
        
                    db_data = tango.DbData();
                    db_data.append(DbDatum("velocity"));
                    db_data.append(DbDatum("unit"));
                    db.delete_device_attribute_property("id11/motor/1", db_data);
        
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - serv_name : (str) server name
                    - props : (DbData) attribute property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _delete_device_pipe_property(*args, **kwargs):
        """
        
        
            _delete_device_pipe_property(self, dev_name, props) -> None
        
                    Delete a list of pipe properties for the specified device.
                    The pipe names are specified by the vector of DbDatum structures. Here
                    See _delete_device_attribute_property for example usage.
        
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - serv_name : (str) server name
                    - props : (DbData) pipe property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _delete_device_property(*args, **kwargs):
        """
        
        
            _delete_device_property(self, dev_name, props) -> None
        
                    Delete a list of properties for the specified device.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props : (DbData) property names to be deleted
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _delete_property(*args, **kwargs):
        """
        
        
            _delete_property(self, obj_name, props) -> None
        
                    Delete a list of properties for the specified object.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - obj_name : (str) object name
                    - props : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _export_server(*args, **kwargs):
        """
        
        
            _export_server(self, dev_info) -> None
        
                    Export a group of devices to the database.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_info : (DbDevExportInfos) device(s) to export information
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_class_attribute_property(*args, **kwargs):
        """
        
        
            _get_class_attribute_property(self, class_name, props) -> None
        
                    Query the database for a list of class attribute properties for
                    the specified object. The attribute names are returned with the
                    number of properties specified as their value. The first DbDatum
                    element of the returned DbData vector contains the first
                    attribute name and the first attribute property number. The
                    following DbDatum element contains the first attribute property
                    name and property values.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props [in,out] : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_class_pipe_property(*args, **kwargs):
        """
        
        
            _get_class_pipe_property(self, class_name, props) -> None
        
                    Query the database for a list of class pipe properties for
                    the specified object. The pipe names are returned with the
                    number of properties specified as their value. The first DbDatum
                    element of the returned DbData vector contains the first
                    pipe name and the first pipe property number. The
                    following DbDatum element contains the first pipe property
                    name and property values.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props [in,out] : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_class_property(*args, **kwargs):
        """
        
        
            _get_class_property(self, class_name, props) -> None
        
                    Query the database for a list of class properties. The property
                    names are specified by the DbData (seq<DbDatum>) structures.
                    The method returns the properties in the same DbDatum structures.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props [in, out] : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_device_attribute_property(*args, **kwargs):
        """
        
        
            _get_device_attribute_property(self, dev_name, props) -> None
        
                    Query the database for a list of device attribute properties for
                    the specified device. The attribute names are specified by the
                    DbData (seq<DbDatum>) structures. The method returns all the
                    properties for the specified attributes in the same DbDatum structures.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props [in, out] : (DbData) attribute names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_device_pipe_property(*args, **kwargs):
        """
        
        
            _get_device_pipe_property(self, dev_name, props) -> None
        
                    Query the database for a list of device pipe properties for
                    the specified device. The pipe names are specified by the
                    DbData (seq<DbDatum>) structures. The method returns all the
                    properties for the specified pipes in the same DbDatum structures.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props [in, out] : (DbData) pipe names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_device_property(*args, **kwargs):
        """
        
        
            _get_device_property(self, dev_name, props) -> None
        
                    Query the database for a list of device properties for the
                    specified device. The property names are specified by the
                    DbData (seq<DbDatum>) structures. The method returns the
                    properties in the same DbDatum structures
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_device_property_list(*args, **kwargs):
        """
        
        
            _get_device_property_list(self, dev_name, wildcard) -> DbDatum
            _get_device_property_list(self, dev_name, wildcard, container) -> None
        
                    Query the database for a list of properties defined for the
                    specified device and which match the specified wildcard.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - wildcard : (str) property name wildcard
                    - container [out] : (StdStringVector) array that will contain the matching
                                        property names
                Return     : DbDatum containing the list of property names or None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def _get_property(*args, **kwargs):
        """
        
        
            _get_property(self, obj_name, props) -> None
        
                    Query the database for a list of object (i.e non-device)
                    properties. The property names are specified by the
                    DbData (seq<DbDatum>) structures. The method returns the
                    properties in the same DbDatum structures
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - obj_name : (str) object name
                    - props [in, out] : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _get_property_forced(*args, **kwargs):
        """
        
        
            _get_property_forced(self, obj_name, props) -> None
        
                    Query the database for a list of object (i.e non-device)
                    properties. The property names are specified by the
                    DbData (seq<DbDatum>) structures. The method returns the
                    properties in the same DbDatum structures
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - obj_name : (str) object name
                    - props [in, out] : (DbData) property names
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def _put_class_attribute_property(*args, **kwargs):
        """
        
        
            _put_class_attribute_property(self, class_name, props) -> None
        
                    Insert or update a list of attribute properties for the specified class.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props : (DbData) property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _put_class_pipe_property(*args, **kwargs):
        """
        
        
            _put_class_pipe_property(self, class_name, props) -> None
        
                    Insert or update a list of pipe properties for the specified class.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props : (DbData) property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _put_class_property(*args, **kwargs):
        """
        
        
            _put_class_property(self, class_name, props) -> None
        
                    Insert or update a list of properties for the specified class.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - props : (DbData) property data to be inserted
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _put_device_attribute_property(*args, **kwargs):
        """
        
        
            _put_device_attribute_property(self, dev_name, props) -> None
        
                    Insert or update a list of attribute properties for the specified device.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props : (DbData) property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _put_device_pipe_property(*args, **kwargs):
        """
        
        
            _put_device_pipe_property(self, dev_name, props) -> None
        
                    Insert or update a list of pipe properties for the specified device.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props : (DbData) property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _put_device_property(*args, **kwargs):
        """
        
        
            _put_device_property(self, dev_name, props) -> None
        
                    Insert or update a list of properties for the specified device.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - props : (DbData) property data
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def _put_property(*args, **kwargs):
        ...
    @staticmethod
    def add_device(*args, **kwargs):
        """
        
        
            add_device(self, dev_info) -> None
        
                    Add a device to the database. The device name, server and class
                    are specified in the DbDevInfo structure
        
                    Example :
                        dev_info = DbDevInfo()
                        dev_info.name = 'my/own/device'
                        dev_info._class = 'MyDevice'
                        dev_info.server = 'MyServer/test'
                        db.add_device(dev_info)
        
                Parameters :
                    - dev_info : (DbDevInfo) device information
                Return     : None
            
        """
    @staticmethod
    def build_connection(*args, **kwargs):
        """
        
        
            build_connection(self) -> None
        
                    Tries to build a connection to the Database server.
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def check_access_control(*args, **kwargs):
        """
        
        
            check_access_control(self, dev_name) -> AccessControlType
        
                    Check the access for the given device for this client.
        
                Parameters :
                    - dev_name : (str) device name
                Return     : the access control type as a AccessControlType object
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def check_tango_host(*args, **kwargs):
        """
        
        
            check_tango_host(self, tango_host_env) -> None
        
                    Check the TANGO_HOST environment variable syntax and extract
                    database server host(s) and port(s) from it.
        
                Parameters :
                    - tango_host_env : (str) The TANGO_HOST env. variable value
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def delete_attribute_alias(*args, **kwargs):
        """
        
        
            delete_attribute_alias(self, alias) -> None
        
                    Remove the alias associated to an attribute name.
        
                Parameters :
                    - alias : (str) alias
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def delete_device(*args, **kwargs):
        """
        
        
            delete_device(self, dev_name) -> None
        
                    Delete the device of the specified name from the database.
        
                Parameters :
                    - dev_name : (str) device name
                Return     : None
            
        """
    @staticmethod
    def delete_device_alias(*args, **kwargs):
        """
        
        
            delete_device_alias(self, alias) -> void
        
                    Delete a device alias
        
                Parameters :
                    - alias : (str) alias name
                Return     : None
            
        """
    @staticmethod
    def delete_server(*args, **kwargs):
        """
        
        
            delete_server(self, server) -> None
        
                    Delete the device server and its associated devices from database.
        
                Parameters :
                    - server : (str) name of the server to be deleted with
                               format: <server name>/<instance>
                Return     : None
            
        """
    @staticmethod
    def delete_server_info(*args, **kwargs):
        """
        
        
            delete_server_info(self, server) -> None
        
                    Delete server information of the specified server from the database.
        
                Parameters :
                    - server : (str) name of the server to be deleted with
                               format: <server name>/<instance>
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def dev_name(*args, **kwargs):
        ...
    @staticmethod
    def export_device(*args, **kwargs):
        """
        
        
            export_device(self, dev_export) -> None
        
                    Update the export info for this device in the database.
        
                    Example :
                        dev_export = DbDevExportInfo()
                        dev_export.name = 'my/own/device'
                        dev_export.ior = <the real ior>
                        dev_export.host = <the host>
                        dev_export.version = '3.0'
                        dev_export.pid = '....'
                        db.export_device(dev_export)
        
                Parameters :
                    - dev_export : (DbDevExportInfo) export information
                Return     : None
            
        """
    @staticmethod
    def export_event(*args, **kwargs):
        """
        
        
            export_event(self, event_data) -> None
        
                    Export an event to the database.
        
                Parameters :
                    - eventdata : (sequence<str>) event data (same as DbExportEvent Database command)
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_access_except_errors(*args, **kwargs):
        """
        
        
            get_access_except_errors(self) -> DevErrorList
        
                    Returns a reference to the control access exceptions.
        
                Parameters : None
                Return     : DevErrorList
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_alias(*args, **kwargs):
        """
        
        
            get_alias(self, alias) -> str
        
                    Get the device alias name from its name.
        
                Parameters :
                    - alias : (str) device name
                Return     : alias
        
                New in PyTango 3.0.4
        
                .. deprecated:: 8.1.0
                    Use :meth:`~tango.Database.get_alias_from_device` instead
            
        """
    @staticmethod
    def get_alias_from_attribute(*args, **kwargs):
        """
        
        
            get_alias_from_attribute(self, attr_name) -> str
        
                    Get the attribute alias from the full attribute name.
        
                Parameters :
                    - attr_name : (str) full attribute name
                Return     :  attribute alias
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def get_alias_from_device(*args, **kwargs):
        """
        
        
            get_alias_from_device(self, alias) -> str
        
                    Get the device alias name from its name.
        
                Parameters :
                    - alias : (str) device name
                Return     : alias
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def get_attribute_alias(*args, **kwargs):
        """
        
        
            get_attribute_alias(self, alias) -> str
        
                    Get the full attribute name from an alias.
        
                Parameters :
                    - alias : (str) attribute alias
                Return     :  full attribute name
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                .. deprecated:: 8.1.0
                    Use :meth:`~tango.Database.get_attribute_from_alias` instead
            
        """
    @staticmethod
    def get_attribute_alias_list(*args, **kwargs):
        """
        
        
            get_attribute_alias_list(self, filter) -> DbDatum
        
                    Get attribute alias list. The parameter alias is a string to
                    filter the alias list returned. Wildcard (*) is supported. For
                    instance, if the string alias passed as the method parameter
                    is initialised with only the * character, all the defined
                    attribute alias will be returned. If there is no alias with the
                    given filter, the returned array will have a 0 size.
        
                Parameters :
                    - filter : (str) attribute alias filter
                Return     : DbDatum containing the list of matching attribute alias
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_attribute_from_alias(*args, **kwargs):
        """
        
        
            get_attribute_from_alias(self, alias) -> str
        
                    Get the full attribute name from an alias.
        
                Parameters :
                    - alias : (str) attribute alias
                Return     :  full attribute name
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def get_class_attribute_list(*args, **kwargs):
        """
        
        
            get_class_attribute_list(self, class_name, wildcard) -> DbDatum
        
                    Query the database for a list of attributes defined for the specified
                    class which match the specified wildcard.
        
                Parameters :
                    - class_name : (str) class name
                    - wildcard : (str) attribute name
                Return     : DbDatum containing the list of matching attributes for the given class
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_class_attribute_property_history(*args, **kwargs):
        """
        
        
            get_class_attribute_property_history(self, dev_name, attr_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specifed class attribute
                    property. Note that prop_name and attr_name can contain a wildcard character
                    (eg: 'prop*').
        
                Parameters :
                    - dev_name : (str) device name
                    - attr_name : (str) attribute name
                    - prop_name : (str) property name
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_class_for_device(*args, **kwargs):
        """
        
        
            get_class_for_device(self, dev_name) -> str
        
                    Return the class of the specified device.
        
                Parameters :
                    - dev_name : (str) device name
                Return     : a string containing the device class
            
        
        
            get_class_for_device(self, dev_name) -> str
        
                    Return the class of the specified device.
        
                Parameters :
                    - dev_name : (str) device name
                Return     : a string containing the device class
            
        """
    @staticmethod
    def get_class_inheritance_for_device(*args, **kwargs):
        """
        
        
            get_class_inheritance_for_device(self, dev_name) -> DbDatum
        
                    Return the class inheritance scheme of the specified device.
        
                Parameters :
                    - devn_ame : (str) device name
                Return     : DbDatum with the inheritance class list
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_class_list(*args, **kwargs):
        """
        
        
            get_class_list(self, wildcard) -> DbDatum
        
                    Query the database for a list of classes which match the specified wildcard
        
                Parameters :
                    - wildcard : (str) class wildcard
                Return     : DbDatum containing the list of matching classes
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_class_pipe_list(*args, **kwargs):
        """
        
        
            get_class_pipe_list(self, class_name, wildcard) -> DbDatum
        
                    Query the database for a list of pipes defined for the specified
                    class which match the specified wildcard.
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - class_name : (str) class name
                    - wildcard : (str) pipe name
                Return     : DbDatum containing the list of matching pipes for the given class
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_class_pipe_property_history(*args, **kwargs):
        """
        
        
            get_class_pipe_property_history(self, dev_name, pipe_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specifed class pipe
                    property. Note that prop_name and attr_name can contain a wildcard character
                    (eg: 'prop*').
        
                Parameters :
                    - dev_name : (str) device name
                    - pipe_name : (str) pipe name
                    - prop_name : (str) property name
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_class_property_history(*args, **kwargs):
        """
        
        
            get_class_property_history(self, class_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specified class
                    property. Note that propname can contain a wildcard character
                    (eg: 'prop*').
        
                Parameters :
                    - class_name : (str) class name
                    - prop_name : (str) property name
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_class_property_list(*args, **kwargs):
        """
        
        
            get_class_property_list(self, class_name) -> DbDatum
        
                    Query the database for a list of properties defined for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                Return     : DbDatum containing the list of properties for the specified class
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_device_alias(*args, **kwargs):
        """
        
        
            get_device_alias(self, alias) -> str
        
                    Get the device name from an alias.
        
                Parameters :
                    - alias : (str) alias
                Return     : device name
        
                .. deprecated:: 8.1.0
                    Use :meth:`~tango.Database.get_device_from_alias` instead
            
        """
    @staticmethod
    def get_device_alias_list(*args, **kwargs):
        """
        
        
            get_device_alias_list(self, filter) -> DbDatum
        
                    Get device alias list. The parameter alias is a string to filter
                    the alias list returned. Wildcard (*) is supported.
        
                Parameters :
                    - filter : (str) a string with the alias filter (wildcard (*) is supported)
                Return     : DbDatum with the list of device names
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_attribute_list(*args, **kwargs):
        """
        
        
            get_device_attribute_list(self, dev_name, att_list) -> None
        
                    Get the list of attribute(s) with some data defined in database
                    for a specified device. Note that this is not the list of all
                    device attributes because not all attribute(s) have some data
                    in database
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - att_list [out] : (StdStringVector) array that will contain the
                                       attribute name list
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_device_attribute_property_history(*args, **kwargs):
        """
        
        
            get_device_attribute_property_history(self, dev_name, attr_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specified device
                    attribute property. Note that propname and devname can contain a
                    wildcard character (eg: 'prop*').
        
                Parameters :
                    - dev_name : (str) device name
                    - attr_name : (str) attribute name
                    - prop_name : (str) property name
        
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_class_list(*args, **kwargs):
        """
        
        
            get_device_class_list(self, server) -> DbDatum
        
                    Query the database for a list of devices and classes served by
                    the specified server. Return a list with the following structure:
                    [device name, class name, device name, class name, ...]
        
                Parameters :
                    - server : (str) name of the server with format: <server name>/<instance>
                Return     : DbDatum containing list with the following structure:
                             [device_name, class name]
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_device_domain(*args, **kwargs):
        """
        
        
            get_device_domain(self, wildcard) -> DbDatum
        
                    Query the database for a list of of device domain names which
                    match the wildcard provided (* is wildcard for any character(s)).
                    Domain names are case insensitive.
        
                Parameters :
                    - wildcard : (str) domain filter
                Return     : DbDatum with the list of device domain names
            
        """
    @staticmethod
    def get_device_exported(*args, **kwargs):
        """
        
        
            get_device_exported(self, filter) -> DbDatum
        
                    Query the database for a list of exported devices whose names
                    satisfy the supplied filter (* is wildcard for any character(s))
        
                Parameters :
                    - filter : (str) device name filter (wildcard)
                Return     : DbDatum with the list of exported devices
            
        """
    @staticmethod
    def get_device_exported_for_class(*args, **kwargs):
        """
        
        
            get_device_exported_for_class(self, class_name) -> DbDatum
        
                    Query database for list of exported devices for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                Return     : DbDatum with the list of exported devices for the
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_family(*args, **kwargs):
        """
        
        
            get_device_family(self, wildcard) -> DbDatum
        
                    Query the database for a list of of device family names which
                    match the wildcard provided (* is wildcard for any character(s)).
                    Family names are case insensitive.
        
                Parameters :
                    - wildcard : (str) family filter
                Return     : DbDatum with the list of device family names
            
        """
    @staticmethod
    def get_device_from_alias(*args, **kwargs):
        """
        
        
            get_device_from_alias(self, alias) -> str
        
                    Get the device name from an alias.
        
                Parameters :
                    - alias : (str) alias
                Return     : device name
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def get_device_info(*args, **kwargs):
        """
        
        
            get_device_info(self, dev_name) -> DbDevFullInfo
        
                    Query the databse for the full info of the specified device.
        
                    Example :
                        dev_info = db.get_device_info('my/own/device')
                        print(dev_info.name)
                        print(dev_info.class_name)
                        print(dev_info.ds_full_name)
                        print(dev_info.exported)
                        print(dev_info.ior)
                        print(dev_info.version)
                        print(dev_info.pid)
                        print(dev_info.started_date)
                        print(dev_info.stopped_date)
        
                Parameters :
                    - dev_name : (str) device name
                Return     : DbDevFullInfo
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def get_device_member(*args, **kwargs):
        """
        
        
            get_device_member(self, wildcard) -> DbDatum
        
                    Query the database for a list of of device member names which
                    match the wildcard provided (* is wildcard for any character(s)).
                    Member names are case insensitive.
        
                Parameters :
                    - wildcard : (str) member filter
                Return     : DbDatum with the list of device member names
            
        """
    @staticmethod
    def get_device_name(*args, **kwargs):
        """
        
        
            get_device_name(self, serv_name, class_name) -> DbDatum
        
                    Query the database for a list of devices served by a server for
                    a given device class
        
                Parameters :
                    - serv_name : (str) server name
                    - class_name : (str) device class name
                Return     : DbDatum with the list of device names
            
        """
    @staticmethod
    def get_device_pipe_list(*args, **kwargs):
        """
        
        
            get_device_pipe_list(self, dev_name, pipe_list) -> None
        
                    Get the list of pipe(s) with some data defined in database
                    for a specified device. Note that this is not the list of all
                    device pipes because not all pipe(s) have some data
                    in database
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - dev_name : (str) device name
                    - pipe_list [out] : (StdStringVector) array that will contain the
                                        pipe name list
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_device_pipe_property_history(*args, **kwargs):
        """
        
        
            get_device_pipe_property_history(self, dev_name, pipe_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specified device
                    pipe property. Note that propname and devname can contain a
                    wildcard character (eg: 'prop*').
        
                Parameters :
                    - dev_name : (str) device name
                    - pipe_name : (str) pipe name
                    - prop_name : (str) property name
        
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def get_device_property_history(*args, **kwargs):
        """
        
        
            get_device_property_history(self, dev_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specified device
                    property. Note that propname can contain a wildcard character
                    (eg: 'prop*').
                    This corresponds to the pure C++ API call.
        
                Parameters :
                    - serv_name : (str) server name
                    - prop_name : (str) property name
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_service_list(*args, **kwargs):
        """
        
        
            get_device_service_list(self, dev_name) -> DbDatum
        
                    Query database for the list of services provided by the given device.
        
                Parameters :
                    - dev_name : (str) device name
                Return     : DbDatum with the list of services
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def get_file_name(*args, **kwargs):
        """
        
        
            get_file_name(self) -> str
        
                    Returns the database file name or throws an exception
                    if not using a file database
        
                Parameters : None
                Return     : a string containing the database file name
        
                Throws     : DevFailed
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_host_list(*args, **kwargs):
        """
        
        
            get_host_list(self) -> DbDatum
            get_host_list(self, wildcard) -> DbDatum
        
                    Returns the list of all host names registered in the database.
        
                Parameters :
                    - wildcard : (str) (optional) wildcard (eg: 'l-c0*')
                Return     : DbDatum with the list of registered host names
            
        """
    @staticmethod
    def get_host_server_list(*args, **kwargs):
        """
        
        
            get_host_server_list(self, host_name) -> DbDatum
        
                    Query the database for a list of servers registered on the specified host.
        
                Parameters :
                    - host_name : (str) host name
                Return     : DbDatum containing list of servers for the specified host
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_info(*args, **kwargs):
        """
        
        
            get_info(self) -> str
        
                    Query the database for some general info about the tables.
        
                Parameters : None
                Return     : a multiline string
            
        """
    @staticmethod
    def get_instance_name_list(*args, **kwargs):
        """
        
        
            get_instance_name_list(self, serv_name) -> DbDatum
        
                    Return the list of all instance names existing in the database for the specifed server.
        
                Parameters :
                    - serv_name : (str) server name with format <server name>
                Return     : DbDatum containing list of instance names for the specified server
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_object_list(*args, **kwargs):
        """
        
        
            get_object_list(self, wildcard) -> DbDatum
        
                    Query the database for a list of object (free properties) for
                    which properties are defined and which match the specified
                    wildcard.
        
                Parameters :
                    - wildcard : (str) object wildcard
                Return     : DbDatum containing the list of object names matching the given wildcard
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_object_property_list(*args, **kwargs):
        """
        
        
            get_object_property_list(self, obj_name, wildcard) -> DbDatum
        
                    Query the database for a list of properties defined for the
                    specified object and which match the specified wildcard.
        
                Parameters :
                    - obj_name : (str) object name
                    - wildcard : (str) property name wildcard
                Return     : DbDatum with list of properties defined for the specified
                             object and which match the specified wildcard
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_property_history(*args, **kwargs):
        """
        
        
            get_property_history(self, obj_name, prop_name) -> DbHistoryList
        
                    Get the list of the last 10 modifications of the specifed object
                    property. Note that propname can contain a wildcard character
                    (eg: 'prop*')
        
                Parameters :
                    - serv_name : (str) server name
                    - prop_name : (str) property name
                Return     : DbHistoryList containing the list of modifications
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_server_class_list(*args, **kwargs):
        """
        
        
            get_server_class_list(self, server) -> DbDatum
        
                    Query the database for a list of classes instantiated by the
                    specified server. The DServer class exists in all TANGO servers
                    and for this reason this class is removed from the returned list.
        
                Parameters :
                    - server : (str) name of the server to be deleted with
                               format: <server name>/<instance>
                Return     : DbDatum containing list of class names instanciated by
                             the specified server
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_server_info(*args, **kwargs):
        """
        
        
            get_server_info(self, server) -> DbServerInfo
        
                    Query the database for server information.
        
                Parameters :
                    - server : (str) name of the server with format: <server name>/<instance>
                Return     : DbServerInfo with server information
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_server_list(*args, **kwargs):
        """
        
        
            get_server_list(self) -> DbDatum
            get_server_list(self, wildcard) -> DbDatum
        
                    Return the list of all servers registered in the database.
                    If wildcard parameter is given, then the list of matching servers
                    will be returned (ex: Serial/\\*)
        
                Parameters :
                    - wildcard : (str) host wildcard (ex: Serial/\\*)
                Return     : DbDatum containing list of registered servers
            
        """
    @staticmethod
    def get_server_name_list(*args, **kwargs):
        """
        
        
            get_server_name_list(self) -> DbDatum
        
                    Return the list of all server names registered in the database.
        
                Parameters : None
                Return     : DbDatum containing list of server names
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_server_release(*args, **kwargs):
        ...
    @staticmethod
    def get_services(*args, **kwargs):
        """
        
        
            get_services(self, serv_name, inst_name) -> DbDatum
        
                    Query database for specified services.
        
                Parameters :
                    - serv_name : (str) service name
                    - inst_name : (str) instance name (can be a wildcard character ('*'))
                Return     : DbDatum with the list of available services
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def import_device(*args, **kwargs):
        """
        
        
            import_device(self, dev_name) -> DbDevImportInfo
        
                    Query the databse for the export info of the specified device.
        
                    Example :
                        dev_imp_info = db.import_device('my/own/device')
                        print(dev_imp_info.name)
                        print(dev_imp_info.exported)
                        print(dev_imp_info.ior)
                        print(dev_imp_info.version)
        
                Parameters :
                    - dev_name : (str) device name
                Return     : DbDevImportInfo
            
        """
    @staticmethod
    def is_control_access_checked(*args, **kwargs):
        """
        
        
            is_control_access_checked(self) -> bool
        
                    Returns True if control access is checked or False otherwise.
        
                Parameters : None
                Return     : (bool) True if control access is checked or False
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def is_multi_tango_host(*args, **kwargs):
        """
        
        
            is_multi_tango_host(self) -> bool
        
                    Returns if in multi tango host.
        
                Parameters : None
                Return     : True if multi tango host or False otherwise
        
                New in PyTango 7.1.4
            
        """
    @staticmethod
    def put_attribute_alias(*args, **kwargs):
        """
        
        
            put_attribute_alias(self, attr_name, alias) -> None
        
                    Set an alias for an attribute name. The attribute alias is
                    specified by alias and the attribute name is specifed by
                    attr_name. If the given alias already exists, a DevFailed exception
                    is thrown.
        
                Parameters :
                    - attr_name : (str) full attribute name
                    - alias : (str) alias
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def put_device_alias(*args, **kwargs):
        """
        
        
            put_device_alias(self, dev_name, alias) -> None
        
                    Query database for list of exported devices for the specified class.
        
                Parameters :
                    - dev_name : (str) device name
                    - alias : (str) alias name
                Return     : None
            
        """
    @staticmethod
    def put_server_info(*args, **kwargs):
        """
        
        
            put_server_info(self, info) -> None
        
                    Add/update server information in the database.
        
                Parameters :
                    - info : (DbServerInfo) new server information
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def register_service(*args, **kwargs):
        """
        
        
            register_service(self, serv_name, inst_name, dev_name) -> None
        
                    Register the specified service wihtin the database.
        
                Parameters :
                    - serv_name : (str) service name
                    - inst_name : (str) instance name
                    - dev_name : (str) device name
                Return     : None
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def rename_server(*args, **kwargs):
        """
        
        
            rename_server(self, old_ds_name, new_ds_name) -> None
        
                    Rename a device server process.
        
                Parameters :
                    - old_ds_name : (str) old name
                    - new_ds_name : (str) new name
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def reread_filedatabase(*args, **kwargs):
        """
        
        
            reread_filedatabase(self) -> None
        
                    Force a complete refresh over the database if using a file based database.
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def set_access_checked(*args, **kwargs):
        """
        
        
            set_access_checked(self, val) -> None
        
                    Sets or unsets the control access check.
        
                Parameters :
                    - val : (bool) True to set or False to unset the access control
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def unexport_device(*args, **kwargs):
        """
        
        
            unexport_device(self, dev_name) -> None
        
                    Mark the specified device as unexported in the database
        
                    Example :
                       db.unexport_device('my/own/device')
        
                Parameters :
                    - dev_name : (str) device name
                Return     : None
            
        """
    @staticmethod
    def unexport_event(*args, **kwargs):
        """
        
        
            unexport_event(self, event) -> None
        
                    Un-export an event from the database.
        
                Parameters :
                    - event : (str) event
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def unexport_server(*args, **kwargs):
        """
        
        
            unexport_server(self, server) -> None
        
                    Mark all devices exported for this server as unexported.
        
                Parameters :
                    - server : (str) name of the server to be unexported with
                               format: <server name>/<instance>
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    @staticmethod
    def unregister_service(*args, **kwargs):
        """
        
        
            unregister_service(self, serv_name, inst_name) -> None
        
                    Unregister the specified service from the database.
        
                Parameters :
                    - serv_name : (str) service name
                    - inst_name : (str) instance name
                Return     : None
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def write_filedatabase(*args, **kwargs):
        """
        
        
            write_filedatabase(self) -> None
        
                    Force a write to the file if using a file based database.
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    def __init__(self, *args, **kwargs):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
    def add_server(self, servname, dev_info, with_dserver = False):
        """
        
            add_server( self, servname, dev_info, with_dserver=False) -> None
        
                    Add a (group of) devices to the database. This is considered as a
                    low level call because it may render the database inconsistent
                    if it is not used properly.
        
                    If *with_dserver* parameter is set to False (default), this
                    call will only register the given dev_info(s). You should include
                    in the list of dev_info an entry to the usually hidden **DServer**
                    device.
        
                    If *with_dserver* parameter is set to True, the call will add an
                    additional **DServer** device if it is not included in the
                    *dev_info* parameter.
        
                Example using *with_dserver=True*::
        
                    dev_info1 = DbDevInfo()
                    dev_info1.name = 'my/own/device'
                    dev_info1._class = 'MyDevice'
                    dev_info1.server = 'MyServer/test'
                    db.add_server(dev_info1.server, dev_info1, with_dserver=True)
        
                Same example using *with_dserver=False*::
        
                    dev_info1 = DbDevInfo()
                    dev_info1.name = 'my/own/device'
                    dev_info1._class = 'MyDevice'
                    dev_info1.server = 'MyServer/test'
        
                    dev_info2 = DbDevInfo()
                    dev_info2.name = 'dserver/' + dev_info1.server
                    dev_info2._class = 'DServer
                    dev_info2.server = dev_info1.server
        
                    dev_info = dev_info1, dev_info2
                    db.add_server(dev_info1.server, dev_info)
        
                .. versionadded:: 8.1.7
                    added *with_dserver* parameter
        
                Parameters :
                    - servname : (str) server name
                    - dev_info : (sequence<DbDevInfo> | DbDevInfos | DbDevInfo) containing the server device(s) information
                    - with_dserver: (bool) whether or not to auto create **DServer** device in server
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def delete_class_attribute_property(self, class_name, value):
        """
        
            delete_class_attribute_property(self, class_name, value) -> None
        
                    Delete a list of attribute properties for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                    - propnames : can be one of the following:
        
                        1. DbData [in] - several property data to be deleted
                        2. sequence<str> [in]- several property data to be deleted
                        3. sequence<DbDatum> [in] - several property data to be deleted
                        4. dict<str, seq<str>> keys are attribute names and value being a
                           list of attribute property names
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed
                             DevFailed from device (DB_SQLError)
        """
    def delete_class_pipe_property(self, class_name, value):
        """
        
            delete_class_pipe_property(self, class_name, value) -> None
        
                    Delete a list of pipe properties for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                    - propnames : can be one of the following:
        
                        1. DbData [in] - several property data to be deleted
                        2. sequence<str> [in]- several property data to be deleted
                        3. sequence<DbDatum> [in] - several property data to be deleted
                        4. dict<str, seq<str>> keys are pipe names and value being a
                           list of pipe property names
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed
                             DevFailed from device (DB_SQLError)
        """
    def delete_class_property(self, class_name, value):
        """
        
            delete_class_property(self, class_name, value) -> None
        
                    Delete a the given of properties for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                    - value : can be one of the following:
        
                        1. str [in] - single property data to be deleted
                        2. DbDatum [in] - single property data to be deleted
                        3. DbData [in] - several property data to be deleted
                        4. sequence<str> [in]- several property data to be deleted
                        5. sequence<DbDatum> [in] - several property data to be deleted
                        6. dict<str, obj> [in] - keys are property names to be deleted
                           (values are ignored)
                        7. dict<str, DbDatum> [in] - several DbDatum.name are property names
                           to be deleted (keys are ignored)
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def delete_device_attribute_property(self, dev_name, value):
        """
        
            delete_device_attribute_property(self, dev_name, value) -> None
        
                    Delete a list of attribute properties for the specified device.
        
                Parameters :
                    - devname : (string) device name
                    - propnames : can be one of the following:
                        1. DbData [in] - several property data to be deleted
                        2. sequence<str> [in]- several property data to be deleted
                        3. sequence<DbDatum> [in] - several property data to be deleted
                        3. dict<str, seq<str>> with each key an attribute name and the value a list of attribute property names to delete from that attribute
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def delete_device_pipe_property(self, dev_name, value):
        """
        
            delete_device_pipe_property(self, dev_name, value) -> None
        
                    Delete a list of pipe properties for the specified device.
        
                Parameters :
                    - devname : (string) device name
                    - propnames : can be one of the following:
                        1. DbData [in] - several property data to be deleted
                        2. sequence<str> [in]- several property data to be deleted
                        3. sequence<DbDatum> [in] - several property data to be deleted
                        3. dict<str, seq<str>> with each key a pipe name and the value a list of pipe property names to delete from that pipe
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def delete_device_property(self, dev_name, value):
        """
        
            delete_device_property(self, dev_name, value) -> None
        
                Delete a the given of properties for the specified device.
        
                Parameters :
                    - dev_name : (str) object name
                    - value : can be one of the following:
                        1. str [in] - single property data to be deleted
                        2. DbDatum [in] - single property data to be deleted
                        3. DbData [in] - several property data to be deleted
                        4. sequence<str> [in]- several property data to be deleted
                        5. sequence<DbDatum> [in] - several property data to be deleted
                        6. dict<str, obj> [in] - keys are property names to be deleted (values are ignored)
                        7. dict<str, DbDatum> [in] - several DbDatum.name are property names to be deleted (keys are ignored)
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def delete_property(self, obj_name, value):
        """
        
            delete_property(self, obj_name, value) -> None
        
                    Delete a the given of properties for the specified object.
        
                Parameters :
                    - obj_name : (str) object name
                    - value : can be one of the following:
        
                        1. str [in] - single property data to be deleted
                        2. DbDatum [in] - single property data to be deleted
                        3. DbData [in] - several property data to be deleted
                        4. sequence<string> [in]- several property data to be deleted
                        5. sequence<DbDatum> [in] - several property data to be deleted
                        6. dict<str, obj> [in] - keys are property names to be deleted
                           (values are ignored)
                        7. dict<str, DbDatum> [in] - several DbDatum.name are property names
                           to be deleted (keys are ignored)
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def export_server(self, dev_info):
        """
        
            export_server(self, dev_info) -> None
        
                    Export a group of devices to the database.
        
                Parameters :
                    - devinfo : (sequence<DbDevExportInfo> | DbDevExportInfos | DbDevExportInfo)
                                containing the device(s) to export information
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_class_attribute_property(self, class_name, value):
        """
        
            get_class_attribute_property( self, class_name, value) -> dict<str, dict<str, seq<str>>
        
                    Query the database for a list of class attribute properties for the
                    specified class. The method returns all the properties for the specified
                    attributes.
        
                Parameters :
                    - class_name : (str) class name
                    - propnames : can be one of the following:
        
                        1. str [in] - single attribute properties to be fetched
                        2. DbDatum [in] - single attribute properties to be fetched
                        3. DbData [in,out] - several attribute properties to be fetched
                           In this case (direct C++ API) the DbData will be filled with the property
                           values
                        4. sequence<str> [in] - several attribute properties to be fetched
                        5. sequence<DbDatum> [in] - several attribute properties to be fetched
                        6. dict<str, obj> [in,out] - keys are attribute names
                           In this case the given dict values will be changed to contain the several
                           attribute property values
        
                Return     : a dictionary which keys are the attribute names the
                             value associated with each key being a another
                             dictionary where keys are property names and value is
                             a sequence of strings being the property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_class_pipe_property(self, class_name, value):
        """
        
            get_class_pipe_property( self, class_name, value) -> dict<str, dict<str, seq<str>>
        
                    Query the database for a list of class pipe properties for the
                    specified class. The method returns all the properties for the specified
                    pipes.
        
                Parameters :
                    - class_name : (str) class name
                    - propnames : can be one of the following:
        
                        1. str [in] - single pipe properties to be fetched
                        2. DbDatum [in] - single pipe properties to be fetched
                        3. DbData [in,out] - several pipe properties to be fetched
                           In this case (direct C++ API) the DbData will be filled with the property
                           values
                        4. sequence<str> [in] - several pipe properties to be fetched
                        5. sequence<DbDatum> [in] - several pipe properties to be fetched
                        6. dict<str, obj> [in,out] - keys are pipe names
                           In this case the given dict values will be changed to contain the several
                           pipe property values
        
                Return     : a dictionary which keys are the pipe names the
                             value associated with each key being a another
                             dictionary where keys are property names and value is
                             a sequence of strings being the property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_class_property(self, class_name, value):
        """
        
            get_class_property(self, class_name, value) -> dict<str, seq<str>>
        
                    Query the database for a list of class properties.
        
                Parameters :
                    - class_name : (str) class name
                    - value : can be one of the following:
        
                        1. str [in] - single property data to be fetched
                        2. tango.DbDatum [in] - single property data to be fetched
                        3. tango.DbData [in,out] - several property data to be fetched
                           In this case (direct C++ API) the DbData will be filled with
                           the property values
                        4. sequence<str> [in] - several property data to be fetched
                        5. sequence<DbDatum> [in] - several property data to be fetched
                        6. dict<str, obj> [in,out] - keys are property names
                           In this case the given dict values will be changed to contain
                           the several property values
        
                Return     : a dictionary which keys are the property names the value
                             associated with each key being a a sequence of strings being the
                             property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_device_attribute_property(self, dev_name, value):
        """
        
            get_device_attribute_property(self, dev_name, value) -> dict<str, dict<str, seq<str>>>
        
                    Query the database for a list of device attribute properties for the
                    specified device. The method returns all the properties for the specified
                    attributes.
        
                Parameters :
                    - dev_name : (string) device name
                    - value : can be one of the following:
        
                        1. str [in] - single attribute properties to be fetched
                        2. DbDatum [in] - single attribute properties to be fetched
                        3. DbData [in,out] - several attribute properties to be fetched
                           In this case (direct C++ API) the DbData will be filled with
                           the property values
                        4. sequence<str> [in] - several attribute properties to be fetched
                        5. sequence<DbDatum> [in] - several attribute properties to be fetched
                        6. dict<str, obj> [in,out] - keys are attribute names
                           In this case the given dict values will be changed to contain the
                           several attribute property values
        
                Return     :  a dictionary which keys are the attribute names the
                                     value associated with each key being a another
                                     dictionary where keys are property names and value is
                                     a DbDatum containing the property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_device_pipe_property(self, dev_name, value):
        """
        
            get_device_pipe_property(self, dev_name, value) -> dict<str, dict<str, seq<str>>>
        
                    Query the database for a list of device pipe properties for the
                    specified device. The method returns all the properties for the specified
                    pipes.
        
                Parameters :
                    - dev_name : (string) device name
                    - value : can be one of the following:
        
                        1. str [in] - single pipe properties to be fetched
                        2. DbDatum [in] - single pipe properties to be fetched
                        3. DbData [in,out] - several pipe properties to be fetched
                           In this case (direct C++ API) the DbData will be filled with
                           the property values
                        4. sequence<str> [in] - several pipe properties to be fetched
                        5. sequence<DbDatum> [in] - several pipe properties to be fetched
                        6. dict<str, obj> [in,out] - keys are pipe names
                           In this case the given dict values will be changed to contain the
                           several pipe property values
        
                Return     :  a dictionary which keys are the pipe names the
                                     value associated with each key being a another
                                     dictionary where keys are property names and value is
                                     a DbDatum containing the property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_device_property(self, dev_name, value):
        """
        
            get_device_property(self, dev_name, value) -> dict<str, seq<str>>
        
                Query the database for a list of device properties.
        
                Parameters :
                    - dev_name : (str) object name
                    - value : can be one of the following:
        
                        1. str [in] - single property data to be fetched
                        2. DbDatum [in] - single property data to be fetched
                        3. DbData [in,out] - several property data to be fetched
                           In this case (direct C++ API) the DbData will be filled with
                           the property values
                        4. sequence<str> [in] - several property data to be fetched
                        5. sequence<DbDatum> [in] - several property data to be fetched
                        6. dict<str, obj> [in,out] - keys are property names
                           In this case the given dict values will be changed to contain
                           the several property values
        
                Return     : a dictionary which keys are the property names the value
                            associated with each key being a a sequence of strings being the
                            property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_device_property_list(self, dev_name, wildcard, array = None):
        """
        
            get_device_property_list(self, dev_name, wildcard, array=None) -> DbData
        
                    Query the database for a list of properties defined for the
                    specified device and which match the specified wildcard.
                    If array parameter is given, it must be an object implementing de 'append'
                    method. If given, it is filled with the matching property names. If not given
                    the method returns a new DbDatum containing the matching property names.
        
                New in PyTango 7.0.0
        
                Parameters :
                    - dev_name : (str) device name
                    - wildcard : (str) property name wildcard
                    - array : [out] (sequence) (optional) array that
                                  will contain the matching property names.
                Return     : if container is None, return is a new DbDatum containing the
                             matching property names. Otherwise returns the given array
                             filled with the property names
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device
        """
    def get_property(self, obj_name, value):
        """
        
            get_property(self, obj_name, value) -> dict<str, seq<str>>
        
                    Query the database for a list of object (i.e non-device) properties.
        
                Parameters :
                    - obj_name : (str) object name
                    - value : can be one of the following:
        
                        1. str [in] - single property data to be fetched
                        2. DbDatum [in] - single property data to be fetched
                        3. DbData [in,out] - several property data to be fetched
                           In this case (direct C++ API) the DbData will be filled with
                           the property values
                        4. sequence<str> [in] - several property data to be fetched
                        5. sequence<DbDatum> [in] - several property data to be fetched
                        6. dict<str, obj> [in,out] - keys are property names
                           In this case the given dict values will be changed to contain
                           the several property values
        
                Return     : a dictionary which keys are the property names the value
                             associated with each key being a a sequence of strings being
                             the property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_property_forced(self, obj_name, value):
        """
        
            get_property(self, obj_name, value) -> dict<str, seq<str>>
        
                    Query the database for a list of object (i.e non-device) properties.
        
                Parameters :
                    - obj_name : (str) object name
                    - value : can be one of the following:
        
                        1. str [in] - single property data to be fetched
                        2. DbDatum [in] - single property data to be fetched
                        3. DbData [in,out] - several property data to be fetched
                           In this case (direct C++ API) the DbData will be filled with
                           the property values
                        4. sequence<str> [in] - several property data to be fetched
                        5. sequence<DbDatum> [in] - several property data to be fetched
                        6. dict<str, obj> [in,out] - keys are property names
                           In this case the given dict values will be changed to contain
                           the several property values
        
                Return     : a dictionary which keys are the property names the value
                             associated with each key being a a sequence of strings being
                             the property value.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def get_service_list(self, filter = '.*'):
        ...
    def put_class_attribute_property(self, class_name, value):
        """
        
            put_class_attribute_property(self, class_name, value) -> None
        
                    Insert or update a list of properties for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                    - propdata : can be one of the following:
        
                        1. tango.DbData - several property data to be inserted
                        2. sequence<DbDatum> - several property data to be inserted
                        3. dict<str, dict<str, obj>> keys are attribute names and value
                           being another dictionary which keys are the attribute property
                           names and the value associated with each key being:
        
                           3.1 seq<str>
                           3.2 tango.DbDatum
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def put_class_pipe_property(self, class_name, value):
        """
        
            put_class_pipe_property(self, class_name, value) -> None
        
                    Insert or update a list of properties for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                    - propdata : can be one of the following:
        
                        1. tango.DbData - several property data to be inserted
                        2. sequence<DbDatum> - several property data to be inserted
                        3. dict<str, dict<str, obj>> keys are pipe names and value
                           being another dictionary which keys are the pipe property
                           names and the value associated with each key being:
        
                           3.1 seq<str>
                           3.2 tango.DbDatum
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def put_class_property(self, class_name, value):
        """
        
            put_class_property(self, class_name, value) -> None
        
                    Insert or update a list of properties for the specified class.
        
                Parameters :
                    - class_name : (str) class name
                    - value : can be one of the following:
                        1. DbDatum - single property data to be inserted
                        2. DbData - several property data to be inserted
                        3. sequence<DbDatum> - several property data to be inserted
                        4. dict<str, DbDatum> - keys are property names and value has data to be inserted
                        5. dict<str, obj> - keys are property names and str(obj) is property value
                        6. dict<str, seq<str>> - keys are property names and value has data to be inserted
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def put_device_attribute_property(self, dev_name, value):
        """
        
            put_device_attribute_property( self, dev_name, value) -> None
        
                    Insert or update a list of properties for the specified device.
        
                Parameters :
                    - dev_name : (str) device name
                    - value : can be one of the following:
        
                        1. DbData - several property data to be inserted
                        2. sequence<DbDatum> - several property data to be inserted
                        3. dict<str, dict<str, obj>> keys are attribute names and value being another
                           dictionary which keys are the attribute property names and the value
                           associated with each key being:
        
                           3.1 seq<str>
                           3.2 tango.DbDatum
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def put_device_pipe_property(self, dev_name, value):
        """
        
            put_device_pipe_property( self, dev_name, value) -> None
        
                    Insert or update a list of properties for the specified device.
        
                Parameters :
                    - dev_name : (str) device name
                    - value : can be one of the following:
        
                        1. DbData - several property data to be inserted
                        2. sequence<DbDatum> - several property data to be inserted
                        3. dict<str, dict<str, obj>> keys are pipe names and value being another
                           dictionary which keys are the pipe property names and the value
                           associated with each key being:
        
                           3.1 seq<str>
                           3.2 tango.DbDatum
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def put_device_property(self, dev_name, value):
        """
        
            put_device_property(self, dev_name, value) -> None
        
                Insert or update a list of properties for the specified device.
        
                Parameters :
                    - dev_name : (str) object name
                    - value : can be one of the following:
        
                        1. DbDatum - single property data to be inserted
                        2. DbData - several property data to be inserted
                        3. sequence<DbDatum> - several property data to be inserted
                        4. dict<str, DbDatum> - keys are property names and value has data to be inserted
                        5. dict<str, obj> - keys are property names and str(obj) is property value
                        6. dict<str, seq<str>> - keys are property names and value has data to be inserted
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
    def put_property(self, obj_name, value):
        """
        
            put_property(self, obj_name, value) -> None
        
                Insert or update a list of properties for the specified object.
        
            Parameters :
                - obj_name : (str) object name
                - value : can be one of the following:
        
                    1. DbDatum - single property data to be inserted
                    2. DbData - several property data to be inserted
                    3. sequence<DbDatum> - several property data to be inserted
                    4. dict<str, DbDatum> - keys are property names and value has data to be inserted
                    5. dict<str, obj> - keys are property names and str(obj) is property value
                    6. dict<str, seq<str>> - keys are property names and value has data to be inserted
            Return     : None
        
            Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device (DB_SQLError)
            
        """
class DbData(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class DbDatum(Boost.Python.instance):
    """
    
        A single database value which has a name, type, address and value
        and methods for inserting and extracting C++ native types. This is
        the fundamental type for specifying database properties. Every
        property has a name and has one or more values associated with it.
        A status flag indicates if there is data in the DbDatum object or
        not. An additional flag allows the user to activate exceptions.
    
        Note: DbDatum is extended to support the python sequence API.
              This way the DbDatum behaves like a sequence of strings.
              This allows the user to work with a DbDatum as if it was
              working with the old list of strings.
    
        New in PyTango 7.0.0
    """
    __instance_size__: typing.ClassVar[int] = 96
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def is_empty(*args, **kwargs):
        """
        
        
            is_empty(self) -> bool
        
                    Returns True or False depending on whether the
                    DbDatum object contains data or not. It can be used to test
                    whether a property is defined in the database or not.
        
                Parameters : None
                Return     : (bool) True if no data or False otherwise.
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def size(*args, **kwargs):
        """
        
        
            size(self) -> int
        
                    Returns the number of separate elements in the value.
        
                Parameters : None
                Return     : the number of separate elements in the value.
        
                New in PyTango 7.0.0
            
        """
    def __add__(self, seq):
        ...
    def __contains__(self, v):
        ...
    def __delitem__(self, k):
        ...
    def __getitem__(self, k):
        ...
    def __imul__(self, n):
        ...
    def __iter__(self):
        ...
    def __len__(self):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setitem__(self, k, v):
        ...
    def __str__(self):
        ...
    def append(self, v):
        ...
    def extend(self, v):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def value_string(*args, **kwargs):
        ...
    @value_string.setter
    def value_string(*args, **kwargs):
        ...
class DbDevExportInfo(Boost.Python.instance):
    """
    
        A structure containing export info for a device (should be
        retrieved from the database) with the following members:
    
            - name : (str) device name
            - ior : (str) CORBA reference of the device
            - host : name of the computer hosting the server
            - version : (str) version
            - pid : process identifier
    """
    __instance_size__: typing.ClassVar[int] = 128
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def host(*args, **kwargs):
        ...
    @host.setter
    def host(*args, **kwargs):
        ...
    @property
    def ior(*args, **kwargs):
        ...
    @ior.setter
    def ior(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def pid(*args, **kwargs):
        ...
    @pid.setter
    def pid(*args, **kwargs):
        ...
    @property
    def version(*args, **kwargs):
        ...
    @version.setter
    def version(*args, **kwargs):
        ...
class DbDevExportInfos(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class DbDevFullInfo(DbDevImportInfo):
    __instance_size__: typing.ClassVar[int] = 232
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @property
    def class_name(*args, **kwargs):
        ...
    @property
    def ds_full_name(*args, **kwargs):
        ...
    @property
    def pid(*args, **kwargs):
        ...
    @property
    def started_date(*args, **kwargs):
        ...
    @property
    def stopped_date(*args, **kwargs):
        ...
class DbDevImportInfo(Boost.Python.instance):
    """
    
        A structure containing import info for a device (should be
        retrieved from the database) with the following members:
    
            - name : (str) device name
            - exported : 1 if device is running, 0 else
            - ior : (str)CORBA reference of the device
            - version : (str) version
    """
    __instance_size__: typing.ClassVar[int] = 104
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def exported(*args, **kwargs):
        ...
    @property
    def ior(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @property
    def version(*args, **kwargs):
        ...
class DbDevImportInfos(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class DbDevInfo(Boost.Python.instance):
    """
    
        A structure containing available information for a device with
        the following members:
    
            - name : (str) name
            - _class : (str) device class
            - server : (str) server
    """
    __instance_size__: typing.ClassVar[int] = 96
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def _class(*args, **kwargs):
        ...
    @_class.setter
    def _class(*args, **kwargs):
        ...
    @property
    def klass(*args, **kwargs):
        ...
    @klass.setter
    def klass(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def server(*args, **kwargs):
        ...
    @server.setter
    def server(*args, **kwargs):
        ...
class DbDevInfos(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class DbHistory(Boost.Python.instance):
    """
    
        A structure containing the modifications of a property. No public members.
    """
    __instance_size__: typing.ClassVar[int] = 176
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_attribute_name(*args, **kwargs):
        """
        
        
            get_attribute_name(self) -> str
        
                    Returns the attribute name (empty for object properties or device properties)
        
                Parameters : None
                Return     : (str) attribute name
            
        """
    @staticmethod
    def get_date(*args, **kwargs):
        """
        
        
            get_date(self) -> str
        
                    Returns the update date
        
                Parameters : None
                Return     : (str) update date
            
        """
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
            get_name(self) -> str
        
                    Returns the property name.
        
                Parameters : None
                Return     : (str) property name
            
        """
    @staticmethod
    def get_value(*args, **kwargs):
        """
        
        
            get_value(self) -> DbDatum
        
                    Returns a COPY of the property value
        
                Parameters : None
                Return     : (DbDatum) a COPY of the property value
            
        """
    @staticmethod
    def is_deleted(*args, **kwargs):
        """
        
        
            is_deleted(self) -> bool
        
                    Returns True if the property has been deleted or False otherwise
        
                Parameters : None
                Return     : (bool) True if the property has been deleted or False otherwise
            
        """
class DbHistoryList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class DbServerData(Boost.Python.instance):
    """
        A structure used for moving DS from one tango host to another.
        Create a new instance by: DbServerData(<server name>, <server instance>)
    """
    __instance_size__: typing.ClassVar[int] = 72
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def already_exist(*args, **kwargs):
        """
        
        
            already_exist(self, tg_host) -> bool
        
                    Check if any of the device server process device(s) is already
                    defined in the database specified by the tango host given as input arg
        
                Parameters :
                    - tg_host : (str) The tango host for the new database
                Return     : (str) True in case any of the device is already known. False otherwise
            
        """
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
            get_name(self) -> str
        
                    Returns the full server name
        
                Parameters : None
                Return     : (str) the full server name
            
        """
    @staticmethod
    def put_in_database(*args, **kwargs):
        """
        
        
            put_in_database(self, tg_host) -> None
        
                    Store all the data related to the device server process in the
                    database specified by the input arg.
        
                Parameters :
                    - tg_host : (str) The tango host for the new database
                Return     : None
            
        """
    @staticmethod
    def remove(*args, **kwargs):
        """
        
        
            remove(self) -> None
            remove(self, tg_host) -> None
        
                    Remove device server process from a database.
        
                Parameters :
                    - tg_host : (str) The tango host for the new database
                Return     : None
            
        """
class DbServerInfo(Boost.Python.instance):
    """
    
        A structure containing available information for a device server with
        the following members:
    
            - name : (str) name
            - host : (str) host
            - mode : (str) mode
            - level : (str) level
    """
    __instance_size__: typing.ClassVar[int] = 80
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def host(*args, **kwargs):
        ...
    @host.setter
    def host(*args, **kwargs):
        ...
    @property
    def level(*args, **kwargs):
        ...
    @level.setter
    def level(*args, **kwargs):
        ...
    @property
    def mode(*args, **kwargs):
        ...
    @mode.setter
    def mode(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
class DevCommandInfo(Boost.Python.instance):
    """
    
        A device command info with the following members:
    
            - cmd_name : (str) command name
            - cmd_tag : command as binary value (for TACO)
            - in_type : (CmdArgType) input type
            - out_type : (CmdArgType) output type
            - in_type_desc : (str) description of input type
            - out_type_desc : (str) description of output type
    
        New in PyTango 7.0.0
    """
    __instance_size__: typing.ClassVar[int] = 120
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def cmd_name(*args, **kwargs):
        ...
    @property
    def cmd_tag(*args, **kwargs):
        ...
    @property
    def in_type(*args, **kwargs):
        ...
    @property
    def in_type_desc(*args, **kwargs):
        ...
    @property
    def out_type(*args, **kwargs):
        ...
    @property
    def out_type_desc(*args, **kwargs):
        ...
class DevError(Boost.Python.instance):
    """
    
        Structure describing any error resulting from a command execution,
        or an attribute query, with following members:
    
            - reason : (str) reason
            - severity : (ErrSeverity) error severty (WARN, ERR, PANIC)
            - desc : (str) error description
            - origin : (str) Tango server method in which the error happened
    """
    __instance_size__: typing.ClassVar[int] = 56
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def desc(*args, **kwargs):
        ...
    @desc.setter
    def desc(*args, **kwargs):
        ...
    @property
    def origin(*args, **kwargs):
        ...
    @origin.setter
    def origin(*args, **kwargs):
        ...
    @property
    def reason(*args, **kwargs):
        ...
    @reason.setter
    def reason(*args, **kwargs):
        ...
    @property
    def severity(*args, **kwargs):
        ...
    @severity.setter
    def severity(*args, **kwargs):
        ...
class DevIntrChangeEventData(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 176
    att_list = None
    cmd_list = None
    device = None
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        ...
    @property
    def dev_started(*args, **kwargs):
        ...
    @dev_started.setter
    def dev_started(*args, **kwargs):
        ...
    @property
    def device_name(*args, **kwargs):
        ...
    @device_name.setter
    def device_name(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @err.setter
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @errors.setter
    def errors(*args, **kwargs):
        ...
    @property
    def event(*args, **kwargs):
        ...
    @event.setter
    def event(*args, **kwargs):
        ...
    @property
    def reception_date(*args, **kwargs):
        ...
    @reception_date.setter
    def reception_date(*args, **kwargs):
        ...
class DevSource(Boost.Python.enum):
    """
    
        An enumeration representing the device source for data
    
            - DEV
            - CACHE
            - CACHE_DEV
        
    """
    CACHE: typing.ClassVar[DevSource]  # value = tango._tango.DevSource.CACHE
    CACHE_DEV: typing.ClassVar[DevSource]  # value = tango._tango.DevSource.CACHE_DEV
    DEV: typing.ClassVar[DevSource]  # value = tango._tango.DevSource.DEV
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'DEV': tango._tango.DevSource.DEV, 'CACHE': tango._tango.DevSource.CACHE, 'CACHE_DEV': tango._tango.DevSource.CACHE_DEV}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.DevSource.DEV, 1: tango._tango.DevSource.CACHE, 2: tango._tango.DevSource.CACHE_DEV}
class DevState(Boost.Python.enum):
    """
    
        An enumeration representing the device state
    
            - ON
            - OFF
            - CLOSE
            - OPEN
            - INSERT
            - EXTRACT
            - MOVING
            - STANDBY
            - FAULT
            - INIT
            - RUNNING
            - ALARM
            - DISABLE
            - UNKNOWN
        
    """
    ALARM: typing.ClassVar[DevState]  # value = tango._tango.DevState.ALARM
    CLOSE: typing.ClassVar[DevState]  # value = tango._tango.DevState.CLOSE
    DISABLE: typing.ClassVar[DevState]  # value = tango._tango.DevState.DISABLE
    EXTRACT: typing.ClassVar[DevState]  # value = tango._tango.DevState.EXTRACT
    FAULT: typing.ClassVar[DevState]  # value = tango._tango.DevState.FAULT
    INIT: typing.ClassVar[DevState]  # value = tango._tango.DevState.INIT
    INSERT: typing.ClassVar[DevState]  # value = tango._tango.DevState.INSERT
    MOVING: typing.ClassVar[DevState]  # value = tango._tango.DevState.MOVING
    OFF: typing.ClassVar[DevState]  # value = tango._tango.DevState.OFF
    ON: typing.ClassVar[DevState]  # value = tango._tango.DevState.ON
    OPEN: typing.ClassVar[DevState]  # value = tango._tango.DevState.OPEN
    RUNNING: typing.ClassVar[DevState]  # value = tango._tango.DevState.RUNNING
    STANDBY: typing.ClassVar[DevState]  # value = tango._tango.DevState.STANDBY
    UNKNOWN: typing.ClassVar[DevState]  # value = tango._tango.DevState.UNKNOWN
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'ON': tango._tango.DevState.ON, 'OFF': tango._tango.DevState.OFF, 'CLOSE': tango._tango.DevState.CLOSE, 'OPEN': tango._tango.DevState.OPEN, 'INSERT': tango._tango.DevState.INSERT, 'EXTRACT': tango._tango.DevState.EXTRACT, 'MOVING': tango._tango.DevState.MOVING, 'STANDBY': tango._tango.DevState.STANDBY, 'FAULT': tango._tango.DevState.FAULT, 'INIT': tango._tango.DevState.INIT, 'RUNNING': tango._tango.DevState.RUNNING, 'ALARM': tango._tango.DevState.ALARM, 'DISABLE': tango._tango.DevState.DISABLE, 'UNKNOWN': tango._tango.DevState.UNKNOWN}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.DevState.ON, 1: tango._tango.DevState.OFF, 2: tango._tango.DevState.CLOSE, 3: tango._tango.DevState.OPEN, 4: tango._tango.DevState.INSERT, 5: tango._tango.DevState.EXTRACT, 6: tango._tango.DevState.MOVING, 7: tango._tango.DevState.STANDBY, 8: tango._tango.DevState.FAULT, 9: tango._tango.DevState.INIT, 10: tango._tango.DevState.RUNNING, 11: tango._tango.DevState.ALARM, 12: tango._tango.DevState.DISABLE, 13: tango._tango.DevState.UNKNOWN}
class DeviceAttribute(Boost.Python.instance):
    """
    
            This is the fundamental type for RECEIVING data from device attributes.
    
            It contains several fields. The most important ones depend on the
            ExtractAs method used to get the value. Normally they are:
    
                - value   : Normal scalar value or numpy array of values.
                - w_value : The write part of the attribute.
    
            See other ExtractAs for different possibilities. There are some more
            fields, these really fixed:
    
                - name        : (str)
                - data_format : (AttrDataFormat) Attribute format
                - quality     : (AttrQuality)
                - time        : (TimeVal)
                - dim_x       : (int) attribute dimension x
                - dim_y       : (int) attribute dimension y
                - w_dim_x     : (int) attribute written dimension x
                - w_dim_y     : (int) attribute written dimension y
                - r_rimension : (tuple<int,int>) Attribute read dimensions.
                - w_dimension : (tuple<int,int>) Attribute written dimensions.
                - nb_read     : (int) attribute read total length
                - nb_written  : (int) attribute written total length
    
    
            And two methods:
                - get_date
                - get_err_stack
        
    """
    class ExtractAs(Boost.Python.enum):
        """
        
            Defines what will go into value field of DeviceAttribute, or what will
            Attribute.get_write_value() return... Not all the possible values are valid
            in all the cases.
        
            Valid possible values are:
        
                - Numpy    : Value will be stored in [value, w_value]. If the
                  attribute is an scalar, they will contain a value. If it's
                  an SPECTRUM or IMAGE it will be exported as a numpy array.
                - Tuple    : Value will be stored in [value, w_value]. If the
                  attribute is an scalar, they will contain a value. If it's
                  an SPECTRUM or IMAGE it will be exported as a tuple or
                  tuple of tuples.
                - List     : Value will be stored in [value, w_value]. If the
                  attribute is an scalar, they will contain a value. If it's
                  an SPECTRUM or IMAGE it will be exported as a list or list
                  of lists
                - String   : The data will be stored 'as is', the binary data
                  as it comes from TangoC++ in 'value'.
                - Nothing  : The value will not be extracted from DeviceAttribute
            
        """
        ByteArray: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.ByteArray
        Bytes: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Bytes
        List: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.List
        Nothing: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Nothing
        Numpy: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Numpy
        String: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.String
        Tuple: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Tuple
        __slots__: typing.ClassVar[tuple] = tuple()
        names: typing.ClassVar[dict]  # value = {'Numpy': tango._tango.ExtractAs.Numpy, 'ByteArray': tango._tango.ExtractAs.ByteArray, 'Bytes': tango._tango.ExtractAs.Bytes, 'Tuple': tango._tango.ExtractAs.Tuple, 'List': tango._tango.ExtractAs.List, 'String': tango._tango.ExtractAs.String, 'Nothing': tango._tango.ExtractAs.Nothing}
        values: typing.ClassVar[dict]  # value = {0: tango._tango.ExtractAs.Numpy, 1: tango._tango.ExtractAs.ByteArray, 2: tango._tango.ExtractAs.Bytes, 3: tango._tango.ExtractAs.Tuple, 4: tango._tango.ExtractAs.List, 5: tango._tango.ExtractAs.String, 7: tango._tango.ExtractAs.Nothing}
    class except_flags(Boost.Python.enum):
        __slots__: typing.ClassVar[tuple] = tuple()
        failed_flag: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.failed_flag
        isempty_flag: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.isempty_flag
        names: typing.ClassVar[dict]  # value = {'isempty_flag': tango._tango.except_flags.isempty_flag, 'wrongtype_flag': tango._tango.except_flags.wrongtype_flag, 'failed_flag': tango._tango.except_flags.failed_flag, 'numFlags': tango._tango.except_flags.numFlags}
        numFlags: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.numFlags
        values: typing.ClassVar[dict]  # value = {0: tango._tango.except_flags.isempty_flag, 1: tango._tango.except_flags.wrongtype_flag, 2: tango._tango.except_flags.failed_flag, 4: tango._tango.except_flags.numFlags}
        wrongtype_flag: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.wrongtype_flag
    __instance_size__: typing.ClassVar[int] = 240
    @staticmethod
    def __init_orig(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        """
        
        
            get_date(self) -> TimeVal
        
                    Get the time at which the attribute was read by the server.
        
                    Note: It's the same as reading the "time" attribute.
        
                Parameters : None
                Return     : (TimeVal) The attribute read timestamp.
            
        """
    @staticmethod
    def get_err_stack(*args, **kwargs):
        """
        
        
            get_err_stack(self) -> sequence<DevError>
        
                    Returns the error stack reported by the server when the
                    attribute was read.
        
                Parameters : None
                Return     : (sequence<DevError>)
            
        """
    @staticmethod
    def set_w_dim_x(*args, **kwargs):
        """
        
        
            set_w_dim_x(self, val) -> None
        
                    Sets the write value dim x.
        
                Parameters :
                    - val : (int) new write dim x
        
                Return     : None
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def set_w_dim_y(*args, **kwargs):
        """
        
        
            set_w_dim_y(self, val) -> None
        
                    Sets the write value dim y.
        
                Parameters :
                    - val : (int) new write dim y
        
                Return     : None
        
                New in PyTango 8.0.0
            
        """
    def __init__(self, da = None):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def data_format(*args, **kwargs):
        ...
    @property
    def dim_x(*args, **kwargs):
        ...
    @property
    def dim_y(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def nb_read(*args, **kwargs):
        ...
    @property
    def nb_written(*args, **kwargs):
        ...
    @property
    def quality(*args, **kwargs):
        ...
    @quality.setter
    def quality(*args, **kwargs):
        ...
    @property
    def r_dimension(*args, **kwargs):
        ...
    @property
    def time(*args, **kwargs):
        ...
    @time.setter
    def time(*args, **kwargs):
        ...
    @property
    def w_dim_x(*args, **kwargs):
        ...
    @property
    def w_dim_y(*args, **kwargs):
        ...
    @property
    def w_dimension(*args, **kwargs):
        ...
class DeviceAttributeConfig(Boost.Python.instance):
    """
    
        A base structure containing available information for an attribute
        with the following members:
    
            - name : (str) attribute name
            - writable : (AttrWriteType) write type (R, W, RW, R with W)
            - data_format : (AttrDataFormat) data format (SCALAR, SPECTRUM, IMAGE)
            - data_type : (int) attribute type (float, string,..)
            - max_dim_x : (int) first dimension of attribute (spectrum or image attributes)
            - max_dim_y : (int) second dimension of attribute(image attribute)
            - description : (int) attribute description
            - label : (str) attribute label (Voltage, time, ...)
            - unit : (str) attribute unit (V, ms, ...)
            - standard_unit : (str) standard unit
            - display_unit : (str) display unit
            - format : (str) how to display the attribute value (ex: for floats could be '%6.2f')
            - min_value : (str) minimum allowed value
            - max_value : (str) maximum allowed value
            - min_alarm : (str) low alarm level
            - max_alarm : (str) high alarm level
            - writable_attr_name : (str) name of the writable attribute
            - extensions : (StdStringVector) extensions (currently not used)
    """
    __instance_size__: typing.ClassVar[int] = 360
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def data_format(*args, **kwargs):
        ...
    @data_format.setter
    def data_format(*args, **kwargs):
        ...
    @property
    def data_type(*args, **kwargs):
        ...
    @data_type.setter
    def data_type(*args, **kwargs):
        ...
    @property
    def description(*args, **kwargs):
        ...
    @description.setter
    def description(*args, **kwargs):
        ...
    @property
    def display_unit(*args, **kwargs):
        ...
    @display_unit.setter
    def display_unit(*args, **kwargs):
        ...
    @property
    def extensions(*args, **kwargs):
        ...
    @extensions.setter
    def extensions(*args, **kwargs):
        ...
    @property
    def format(*args, **kwargs):
        ...
    @format.setter
    def format(*args, **kwargs):
        ...
    @property
    def label(*args, **kwargs):
        ...
    @label.setter
    def label(*args, **kwargs):
        ...
    @property
    def max_alarm(*args, **kwargs):
        ...
    @max_alarm.setter
    def max_alarm(*args, **kwargs):
        ...
    @property
    def max_dim_x(*args, **kwargs):
        ...
    @max_dim_x.setter
    def max_dim_x(*args, **kwargs):
        ...
    @property
    def max_dim_y(*args, **kwargs):
        ...
    @max_dim_y.setter
    def max_dim_y(*args, **kwargs):
        ...
    @property
    def max_value(*args, **kwargs):
        ...
    @max_value.setter
    def max_value(*args, **kwargs):
        ...
    @property
    def min_alarm(*args, **kwargs):
        ...
    @min_alarm.setter
    def min_alarm(*args, **kwargs):
        ...
    @property
    def min_value(*args, **kwargs):
        ...
    @min_value.setter
    def min_value(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def standard_unit(*args, **kwargs):
        ...
    @standard_unit.setter
    def standard_unit(*args, **kwargs):
        ...
    @property
    def unit(*args, **kwargs):
        ...
    @unit.setter
    def unit(*args, **kwargs):
        ...
    @property
    def writable(*args, **kwargs):
        ...
    @writable.setter
    def writable(*args, **kwargs):
        ...
    @property
    def writable_attr_name(*args, **kwargs):
        ...
    @writable_attr_name.setter
    def writable_attr_name(*args, **kwargs):
        ...
class DeviceAttributeHistory(DeviceAttribute):
    __instance_size__: typing.ClassVar[int] = 272
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
class DeviceClass(Boost.Python.instance):
    """
    
        Base class for all TANGO device-class class.
        A TANGO device-class class is a class where is stored all
        data/method common to all devices of a TANGO device class
        
    """
    __instance_size__: typing.ClassVar[int] = 40
    attr_list: typing.ClassVar[dict] = {}
    class_property_list: typing.ClassVar[dict] = {}
    cmd_list: typing.ClassVar[dict] = {}
    device_property_list: typing.ClassVar[dict] = {}
    pipe_list: typing.ClassVar[dict] = {}
    @staticmethod
    def __init_orig__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _add_device(*args, **kwargs):
        ...
    @staticmethod
    def _create_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _create_command(*args, **kwargs):
        ...
    @staticmethod
    def _create_fwd_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _create_pipe(*args, **kwargs):
        ...
    @staticmethod
    def _device_destroyer(*args, **kwargs):
        ...
    @staticmethod
    def add_wiz_class_prop(*args, **kwargs):
        """
        
        
            add_wiz_class_prop(self, name, desc) -> None
            add_wiz_class_prop(self, name, desc, def) -> None
        
                    For internal usage only
        
                :param str name: class property name
                :param str desc: class property description
                :param str def: class property default value
        
                :return: None
            
        """
    @staticmethod
    def add_wiz_dev_prop(*args, **kwargs):
        """
        
        
            add_wiz_dev_prop(self, name, desc) -> None
            add_wiz_dev_prop(self, name, desc, def) -> None
        
                    For internal usage only
        
                :param str name: device property name
                :param str desc: device property description
                :param str def: device property default value
        
                :return: None
            
        """
    @staticmethod
    def export_device(*args, **kwargs):
        """
        
        
            export_device(self, dev, corba_dev_name = 'Unused') -> None
        
                    For internal usage only
        
                Parameters :
                    - dev : (DeviceImpl) device object
                    - corba_dev_name : (str) CORBA device name. Default value is 'Unused'
        
                Return     : None
            
        """
    @staticmethod
    def get_class_attr(*args, **kwargs):
        """
        
        
            get_class_attr(self) -> None
        
                Returns the instance of the :class:`tango.MultiClassAttribute` for the class
        
                :param: None
        
                :returns: the instance of the :class:`tango.MultiClassAttribute` for the class
                :rtype: :class:`tango.MultiClassAttribute`
            
        """
    @staticmethod
    def get_cmd_by_name(*args, **kwargs):
        """
        
        
            get_cmd_by_name(self, (str)cmd_name) -> tango.Command
        
                    Get a reference to a command object.
        
                Parameters :
                    - cmd_name : (str) command name
                Return     : (tango.Command) tango.Command object
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def get_command_list(*args, **kwargs):
        """
        
        
            get_command_list(self) -> sequence<tango.Command>
        
                    Gets the list of tango.Command objects for this class
        
                Parameters : None
                Return     : (sequence<tango.Command>) list of tango.Command objects for this class
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def get_cvs_location(*args, **kwargs):
        """
        
        
            get_cvs_location(self) -> None
        
                    Gets the cvs localtion
        
                Parameters : None
                Return     : (str) cvs location
            
        """
    @staticmethod
    def get_cvs_tag(*args, **kwargs):
        """
        
        
            get_cvs_tag(self) -> str
        
                    Gets the cvs tag
        
                Parameters : None
                Return     : (str) cvs tag
            
        """
    @staticmethod
    def get_device_list(*args, **kwargs):
        """
        
        
            get_device_list(self) -> sequence<tango.DeviceImpl>
        
                    Gets the list of tango.DeviceImpl objects for this class
        
                Parameters : None
                Return     : (sequence<tango.DeviceImpl>) list of tango.DeviceImpl objects for this class
            
        """
    @staticmethod
    def get_doc_url(*args, **kwargs):
        """
        
        
            get_doc_url(self) -> str
        
                    Get the TANGO device class documentation URL.
        
                Parameters : None
                Return     : (str) the TANGO device type name
            
        """
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
            get_name(self) -> str
        
                    Get the TANGO device class name.
        
                Parameters : None
                Return     : (str) the TANGO device class name.
            
        """
    @staticmethod
    def get_pipe_by_name(*args, **kwargs):
        """
        
        
            get_pipe_by_name(self, pipe_name, dev_name) -> None
        
                Returns the :class:`Pipe` instance with name <pipe_name> for the specified device
        
                :param str pipe_name: name of the pipe
        
                :param str dev_name: name of the device
        
                :returns: :class:`tango.server.pipe` object
                :rtype: :class:`tango.server.pipe`
            
        """
    @staticmethod
    def get_pipe_list(*args, **kwargs):
        """
        
        
            get_pipe_list(self, dev_name) -> None
        
                Returns the list of pipes for the specified device
        
                :param atr dev_name: name of the device
        
                :returns: list of :class:`tango.server.pipe` objects for device
                :rtype: :class:`tango.server.pipe`
            
        """
    @staticmethod
    def get_type(*args, **kwargs):
        """
        
        
            get_type(self) -> str
        
                    Gets the TANGO device type name.
        
                Parameters : None
                Return     : (str) the TANGO device type name
            
        """
    @staticmethod
    def register_signal(*args, **kwargs):
        """
        
        
            register_signal(self, signo) -> None
            register_signal(self, signo, own_handler=false) -> None
        
                    Register a signal.
                    Register this class as class to be informed when signal signo
                    is sent to to the device server process.
                    The second version of the method is available only under Linux.
        
                Throws tango.DevFailed:
                    - if the signal number is out of range
                    - if the operating system failed to register a signal for the process.
        
                Parameters :
                    - signo : (int) signal identifier
                    - own_handler : (bool) true if you want the device signal handler
                                    to be executed in its own handler instead of being
                                    executed by the signal thread. If this parameter
                                    is set to true, care should be taken on how the
                                    handler is written. A default false value is provided
        
                Return     : None
            
        """
    @staticmethod
    def set_type(*args, **kwargs):
        """
        
        
            set_type(self, dev_type) -> None
        
                    Set the TANGO device type name.
        
                Parameters :
                    - dev_type : (str) the new TANGO device type name
                Return     : None
            
        """
    @staticmethod
    def signal_handler(*args, **kwargs):
        """
        
        
            signal_handler(self, signo) -> None
        
                    Signal handler.
        
                    The method executed when the signal arrived in the device server process.
                    This method is defined as virtual and then, can be redefined following
                    device class needs.
        
                Parameters :
                    - signo : (int) signal identifier
                Return     : None
            
        """
    @staticmethod
    def unregister_signal(*args, **kwargs):
        """
        
        
            unregister_signal(self, signo) -> None
        
                    Unregister a signal.
                    Unregister this class as class to be informed when signal signo
                    is sent to to the device server process
        
                Parameters :
                    - signo : (int) signal identifier
                Return     : None
            
        """
    def __init__(self, name):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
    def _attribute_factory(self, attr_list):
        """
        for internal usage only
        """
    def _command_factory(self):
        """
        for internal usage only
        """
    def _create_user_default_attr_prop(self, attr_name, extra_info):
        """
        for internal usage only
        """
    def _new_device(self, klass, dev_class, dev_name):
        ...
    def _pipe_factory(self, pipe_list):
        """
        for internal usage only
        """
    def create_device(self, device_name, alias = None, cb = None):
        """
        
            create_device(self, device_name, alias=None, cb=None) -> None
        
                Creates a new device of the given class in the database, creates a new
                DeviceImpl for it and calls init_device (just like it is done for
                existing devices when the DS starts up)
        
                An optional parameter callback is called AFTER the device is
                registered in the database and BEFORE the init_device for the
                newly created device is called
        
            Throws tango.DevFailed:
                - the device name exists already or
                - the given class is not registered for this DS.
                - the cb is not a callable
        
            New in PyTango 7.1.2
        
            Parameters :
                - device_name : (str) the device name
                - alias : (str) optional alias. Default value is None meaning do not create device alias
                - cb : (callable) a callback that is called AFTER the device is registered
                       in the database and BEFORE the init_device for the newly created
                       device is called. Typically you may want to put device and/or attribute
                       properties in the database here. The callback must receive a parameter:
                       device name (str). Default value is None meaning no callback
        
            Return     : None
        """
    def delete_device(self, device_name):
        """
        
            delete_device(self, klass_name, device_name) -> None
        
                Deletes an existing device from the database and from this running
                server
        
                Throws tango.DevFailed:
                    - the device name doesn't exist in the database
                    - the device name doesn't exist in this DS.
        
            New in PyTango 7.1.2
        
            Parameters :
                - klass_name : (str) the device class name
                - device_name : (str) the device name
        
            Return     : None
        """
    def device_destroyer(self, name):
        """
        for internal usage only
        """
    def device_factory(self, device_list):
        """
        for internal usage only
        """
    def device_name_factory(self, dev_name_list):
        """
        
            device_name_factory(self, dev_name_list) ->  None
        
                Create device(s) name list (for no database device server).
                This method can be re-defined in DeviceClass sub-class for
                device server started without database. Its rule is to
                initialise class device name. The default method does nothing.
        
            Parameters :
                - dev_name_list : (seq<str>) sequence of devices to be filled
        
            Return     : None
        """
    def dyn_attr(self, device_list):
        """
        
            dyn_attr(self,device_list) -> None
        
                Default implementation does not do anything
                Overwrite in order to provide dynamic attributes
        
            Parameters :
                - device_list : (seq<DeviceImpl>) sequence of devices of this class
        
            Return     : None
        """
class DeviceData(Boost.Python.instance):
    """
    
            This is the fundamental type for sending and receiving data from
            device commands. The values can be inserted and extracted using the
            insert() and extract() methods.
        
    """
    class except_flags(Boost.Python.enum):
        __slots__: typing.ClassVar[tuple] = tuple()
        isempty_flag: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.isempty_flag
        names: typing.ClassVar[dict]  # value = {'isempty_flag': tango._tango.except_flags.isempty_flag, 'wrongtype_flag': tango._tango.except_flags.wrongtype_flag, 'numFlags': tango._tango.except_flags.numFlags}
        numFlags: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.numFlags
        values: typing.ClassVar[dict]  # value = {0: tango._tango.except_flags.isempty_flag, 1: tango._tango.except_flags.wrongtype_flag, 2: tango._tango.except_flags.numFlags}
        wrongtype_flag: typing.ClassVar[except_flags]  # value = tango._tango.except_flags.wrongtype_flag
    __instance_size__: typing.ClassVar[int] = 56
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def extract(*args, **kwargs):
        """
        
        
            extract(self) -> any
        
                    Get the actual value stored in the DeviceData.
        
                Parameters : None
                Return     : Whatever is stored there, or None.
            
        """
    @staticmethod
    def get_type(*args, **kwargs):
        """
        
        
            get_type(self) -> CmdArgType
        
                    This method returns the Tango data type of the data inside the
                    DeviceData object.
        
                Parameters : None
                Return     : The content arg type.
            
        """
    @staticmethod
    def insert(*args, **kwargs):
        """
        
        
            insert(self, data_type, value) -> None
        
                    Inserts a value in the DeviceData.
        
                Parameters :
                        - data_type :
                        - value     : (any) The value to insert
                Return     : Whatever is stored there, or None.
            
        """
    @staticmethod
    def is_empty(*args, **kwargs):
        """
        
        
            is_empty(self) -> bool
        
                    It can be used to test whether the DeviceData object has been
                    initialized or not.
        
                Parameters : None
                Return     : True or False depending on whether the DeviceData object
                            contains data or not.
            
        """
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
class DeviceDataHistory(DeviceData):
    __instance_size__: typing.ClassVar[int] = 104
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        ...
    @staticmethod
    def get_err_stack(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
class DeviceDataHistoryList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class DeviceDataList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __getitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
class DeviceImpl(Boost.Python.instance):
    """
    
        Base class for all TANGO device.
    
        This class inherits from CORBA classes where all the network layer is implemented.
        
    """
    __instance_size__: typing.ClassVar[int] = 40
    _device_class_instance = None
    @staticmethod
    def __debug_stream(*args, **kwargs):
        ...
    @staticmethod
    def __error_stream(*args, **kwargs):
        ...
    @staticmethod
    def __fatal_stream(*args, **kwargs):
        ...
    @staticmethod
    def __info_stream(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __push_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def __push_archive_event(*args, **kwargs):
        ...
    @staticmethod
    def __push_change_event(*args, **kwargs):
        ...
    @staticmethod
    def __push_event(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __warn_stream(*args, **kwargs):
        ...
    @staticmethod
    def _add_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _add_command(*args, **kwargs):
        ...
    @staticmethod
    def _disable_kernel_traces(*args, **kwargs):
        ...
    @staticmethod
    def _disable_telemetry(*args, **kwargs):
        ...
    @staticmethod
    def _enable_kernel_traces(*args, **kwargs):
        ...
    @staticmethod
    def _enable_telemetry(*args, **kwargs):
        ...
    @staticmethod
    def _remove_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _remove_command(*args, **kwargs):
        ...
    @staticmethod
    def add_version_info(*args, **kwargs):
        """
        
        
            add_version_info(self, key, value) -> dict
        
                Method to add information about the module version a device is using
        
                :param key: Module name
                :type key: str
        
                :param value: Module version, or other relevant information.
                :type value: str
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def append_status(*args, **kwargs):
        """
        
        
            append_status(self, status, new_line=False)
        
                Appends a string to the device status.
        
                :param status: the string to be appened to the device status
                :type status: str
                :param new_line: If true, appends a new line character before the string. Default is False
                :type new_line: bool
            
        """
    @staticmethod
    def check_command_exists(*args, **kwargs):
        """
        
        
            check_command_exists(self)
        
                Check that a command is supported by the device and
                does not need input value.
        
                The method throws an exception if the
                command is not defined or needs an input value.
        
                :param cmd_name: the command name
                :type cmd_name: str
        
                :raises DevFailed:
                :raises API_IncompatibleCmdArgumentType:
                :raises API_CommandNotFound:
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def dev_state(*args, **kwargs):
        """
        
        
            dev_state(self) -> DevState
        
                Get device state.
        
                Default method to get device state. The behaviour of this method depends
                on the device state. If the device state is ON or ALARM, it reads the
                attribute(s) with an alarm level defined, check if the read value is
                above/below the alarm and eventually change the state to ALARM, return
                the device state. For all th other device state, this method simply
                returns the state This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device state
                :rtype: DevState
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def dev_status(*args, **kwargs):
        """
        
        
            dev_status(self) -> str
        
                Get device status.
        
                Default method to get device status. It returns the contents of the device
                dev_status field. If the device state is ALARM, alarm messages are added
                to the device status. This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device status
                :rtype: str
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def get_attr_min_poll_period(*args, **kwargs):
        """
        
        
            get_attr_min_poll_period(self) -> Sequence[str]
        
                Returns the min attribute poll period
        
                :returns: the min attribute poll period
                :rtype: Sequence[str]
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_attr_poll_ring_depth(*args, **kwargs):
        """
        
        
            get_attr_poll_ring_depth(self, attr_name) -> int
        
                Returns the attribute poll ring depth.
        
                :param attr_name: the attribute name
                :type attr_name: str
        
                :returns: the attribute poll ring depth
                :rtype: int
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_attribute_config(*args, **kwargs):
        """
        
        
            get_attribute_config(self, attr_names) -> list[DeviceAttributeConfig]
        
                Returns the list of AttributeConfig for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: :class:`tango.DeviceAttributeConfig` for each requested attribute name
                :rtype: list[:class:`tango.DeviceAttributeConfig`]
            
        """
    @staticmethod
    def get_attribute_poll_period(*args, **kwargs):
        """
        
        
            get_attribute_poll_period(self, attr_name) -> int
        
                Returns the attribute polling period (ms) or 0 if the attribute
                is not polled.
        
                :param attr_name: attribute name
                :type attr_name: str
        
                :returns: attribute polling period (ms) or 0 if it is not polled
                :rtype: int
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def get_cmd_min_poll_period(*args, **kwargs):
        """
        
        
            get_cmd_min_poll_period(self) -> Sequence[str]
        
                Returns the min command poll period.
        
                :returns: the min command poll period
                :rtype: Sequence[str]
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_cmd_poll_ring_depth(*args, **kwargs):
        """
        
        
            get_cmd_poll_ring_depth(self, cmd_name) -> int
        
                Returns the command poll ring depth.
        
                :param cmd_name: the command name
                :type cmd_name: str
        
                :returns: the command poll ring depth
                :rtype: int
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_command_poll_period(*args, **kwargs):
        """
        
        
            get_command_poll_period(self, cmd_name) -> int
        
                Returns the command polling period (ms) or 0 if the command
                is not polled.
        
                :param cmd_name: command name
                :type cmd_name: str
        
                :returns: command polling period (ms) or 0 if it is not polled
                :rtype: int
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def get_dev_idl_version(*args, **kwargs):
        """
        
        
            get_dev_idl_version(self) -> int
        
                Returns the IDL version.
        
                :returns: the IDL version
                :rtype: int
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_device_attr(*args, **kwargs):
        """
        
        
            get_device_attr(self) -> MultiAttribute
        
                Get device multi attribute object.
        
                :returns: the device's MultiAttribute object
                :rtype: MultiAttribute
            
        """
    @staticmethod
    def get_exported_flag(*args, **kwargs):
        """
        
        
            get_exported_flag(self) -> bool
        
                Returns the state of the exported flag
        
                :returns: the state of the exported flag
                :rtype: bool
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_logger(*args, **kwargs):
        """
        
        
            get_logger(self) -> Logger
        
                Returns the Logger object for this device
        
                :returns: the Logger object for this device
                :rtype: Logger
            
        """
    @staticmethod
    def get_min_poll_period(*args, **kwargs):
        """
        
        
            get_min_poll_period(self) -> int
        
                Returns the min poll period.
        
                :returns: the min poll period
                :rtype: int
        
                New in PyTango 7.2.0
            
        """
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
            get_name(self) -> (str)
        
                Get a COPY of the device name.
        
                :returns: the device name
                :rtype: str
            
        """
    @staticmethod
    def get_non_auto_polled_attr(*args, **kwargs):
        """
        
        
            get_non_auto_polled_attr(self) -> Sequence[str]
        
                Returns a COPY of the list of non automatic polled attributes
        
                :returns: a COPY of the list of non automatic polled attributes
                :rtype: Sequence[str]
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_non_auto_polled_cmd(*args, **kwargs):
        """
        
        
            get_non_auto_polled_cmd(self) -> Sequence[str]
        
                Returns a COPY of the list of non automatic polled commands
        
                :returns: a COPY of the list of non automatic polled commands
                :rtype: Sequence[str]
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_poll_old_factor(*args, **kwargs):
        """
        
        
            get_poll_old_factor(self) -> int
        
                Returns the poll old factor
        
                :returns: the poll old factor
                :rtype: int
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_poll_ring_depth(*args, **kwargs):
        """
        
        
            get_poll_ring_depth(self) -> int
        
                Returns the poll ring depth
        
                :returns: the poll ring depth
                :rtype: int
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_polled_attr(*args, **kwargs):
        """
        
        
            get_polled_attr(self) -> Sequence[str]
        
                Returns a COPY of the list of polled attributes
        
                :returns: a COPY of the list of polled attributes
                :rtype: Sequence[str]
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_polled_cmd(*args, **kwargs):
        """
        
        
            get_polled_cmd(self) -> Sequence[str]
        
                Returns a COPY of the list of polled commands
        
                :returns: a COPY of the list of polled commands
                :rtype: Sequence[str]
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def get_prev_state(*args, **kwargs):
        """
        
        
            get_prev_state(self) -> DevState
        
                Get a COPY of the device's previous state.
        
                :returns: the device's previous state
                :rtype: DevState
            
        """
    @staticmethod
    def get_state(*args, **kwargs):
        """
        
        
            get_state(self) -> DevState
        
                Get a COPY of the device state.
        
                :returns: Current device state
                :rtype: DevState
            
        """
    @staticmethod
    def get_status(*args, **kwargs):
        """
        
        
            get_status(self, ) -> str
        
                Get a COPY of the device status.
        
                :returns: the device status
                :rtype: str
            
        """
    @staticmethod
    def get_version_info(*args, **kwargs):
        """
        
        
            get_version_info(self) -> dict
        
                Returns a dict with versioning of different modules related to the
                pytango device.
        
                Example:
                    {
                        "Build.PyTango.Boost": "1.84.0",
                        "Build.PyTango.NumPy": "1.26.4",
                        "Build.PyTango.Python": "3.12.2",
                        "Build.PyTango.cppTango":"10.0.0",
                        "NumPy": "1.26.4",
                        "PyTango": "10.0.0.dev0",
                        "Python": "3.12.2",
                        "cppTango": "10.0.0",
                        "omniORB": "4.3.2",
                        "zmq": "4.3.5"
                    }
        
        
                :returns: modules version dict
                :rtype: dict
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def init_device(*args, **kwargs):
        """
        
        
            init_device(self)
        
                Intialize the device.
            
        """
    @staticmethod
    def init_logger(*args, **kwargs):
        """
        
        
            init_logger(self) -> None
        
                Setups logger for the device.  Called automatically when device starts.
            
        """
    @staticmethod
    def is_attribute_polled(*args, **kwargs):
        """
        
        
            is_attribute_polled(self, attr_name) -> bool
        
                True if the attribute is polled.
        
                :param str attr_name: attribute name
        
                :return: True if the attribute is polled
                :rtype: bool
            
        """
    @staticmethod
    def is_command_polled(*args, **kwargs):
        """
        
        
            is_command_polled(self, cmd_name) -> bool
        
                True if the command is polled.
        
                :param str cmd_name: attribute name
        
                :return: True if the command is polled
                :rtype: bool
            
        """
    @staticmethod
    def is_device_locked(*args, **kwargs):
        """
        
        
            is_device_locked(self) -> bool
        
                Returns if this device is locked by a client.
        
                :returns: True if it is locked or False otherwise
                :rtype: bool
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def is_kernel_tracing_enabled(*args, **kwargs):
        """
        
        
            is_kernel_tracing_enabled(self) -> bool
        
                Indicates if telemetry tracing of the cppTango kernel API is enabled.
        
                Always False if telemetry support isn't compiled into cppTango.
        
                :returns: if kernel tracing is enabled
                :rtype: bool
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def is_polled(*args, **kwargs):
        """
        
        
            is_polled(self) -> bool
        
                Returns if it is polled
        
                :returns: True if it is polled or False otherwise
                :rtype: bool
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def is_telemetry_enabled(*args, **kwargs):
        """
        
        
            is_telemetry_enabled(self) -> bool
        
                Indicates if telemetry tracing is enabled for the device.
        
                Always False if telemetry support isn't compiled into cppTango.
        
                :returns: if device telemetry tracing is enabled
                :rtype: bool
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def is_there_subscriber(*args, **kwargs):
        """
        
        
            is_there_subscriber(self, att_name, event_type) -> bool
        
                Check if there is subscriber(s) listening for the event.
        
                This method returns a boolean set to true if there are some
                subscriber(s) listening on the event specified by the two method
                arguments. Be aware that there is some delay (up to 600 sec)
                between this method returning false and the last subscriber
                unsubscription or crash...
        
                The device interface change event is not supported by this method.
        
                :param att_name: the attribute name
                :type att_name: str
                :param event_type: the event type
                :type event_type: EventType
        
                :returns: True if there is at least one listener or False otherwise
                :rtype: bool
            
        """
    @staticmethod
    def poll_attribute(*args, **kwargs):
        """
        
        
            poll_attribute(self, attr_name, period) -> None
        
                Add an attribute to the list of polled attributes.
        
                :param str attr_name: attribute name
        
                :param int period: polling period in milliseconds
        
                :return: None
                :rtype: None
            
        """
    @staticmethod
    def poll_command(*args, **kwargs):
        """
        
        
            poll_command(self, cmd_name, period) -> None
        
                Add a command to the list of polled commands.
        
                :param str cmd_name: attribute name
        
                :param int period: polling period in milliseconds
        
                :return: None
                :rtype: None
            
        """
    @staticmethod
    def push_att_conf_event(*args, **kwargs):
        """
        
        
            push_att_conf_event(self, attr)
        
                Push an attribute configuration event.
        
                :param attr: the attribute for which the configuration event
                             will be sent.
                :type attr: Attribute
        
                New in PyTango 7.2.1
            
        """
    @staticmethod
    def push_data_ready_event(*args, **kwargs):
        """
        
        
            push_data_ready_event(self, attr_name, counter)
        
                Push a data ready event for the given attribute name.
        
                The method needs the attribute name and a
                "counter" which will be passed within the event
        
                :param attr_name: attribute name
                :type attr_name: str
                :param counter: the user counter
                :type counter: int
        
                :raises DevFailed: If the attribute name is unknown.
            
        """
    @staticmethod
    def push_pipe_event(*args, **kwargs):
        """
        
        
            push_pipe_event(self, blob)
        
                Push an pipe event.
        
                :param blob: the blob which pipe event will be send.
        
                New in PyTango 9.2.2
            
        
        
            push_pipe_event(self, pipe_name, except)
        
                .. function:: push_pipe_event(self, pipe_name, blob, reuse_it)
                              push_pipe_event(self, pipe_name, blob, timeval, reuse_it)
                    :noindex:
        
                Push a pipe event for the given blob.
        
                :param pipe_name: pipe name
                :type pipe_name: str
                :param blob: the blob data
                :type blob: DevicePipeBlob
        
                :raises DevFailed: If the pipe name is unknown.
        
                New in PyTango 9.2.2
            
        """
    @staticmethod
    def register_signal(*args, **kwargs):
        """
        
        
            register_signal(self, signo)
        
                Register a signal.
        
                Register this device as device to be informed when signal signo
                is sent to to the device server process
        
                :param signo: signal identifier
                :type signo: int
            
        """
    @staticmethod
    def set_alarm_event(*args, **kwargs):
        ...
    @staticmethod
    def set_archive_event(*args, **kwargs):
        """
        
        
            set_archive_event(self, attr_name, implemented, detect=True)
        
                Set an implemented flag for the attribute to indicate that the server fires
                archive events manually, without the polling to be started.
        
                If the detect parameter is set to true, the criteria specified for the
                archive event are verified and the event is only pushed if they are fullfilled.
                If detect is set to false the event is fired without any value checking!
        
                :param attr_name: attribute name
                :type attr_name: str
                :param implemented: True when the server fires change events manually.
                :type implemented: bool
                :param detect: Triggers the verification of the change event properties
                               when set to true. Default value is true.
                :type detect: bool
            
        """
    @staticmethod
    def set_attribute_config(*args, **kwargs):
        """
        
        
            set_attribute_config(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig`]
        
                :returns: None
                :rtype: None
        
                .. versionadded:: 10.0.0
            
        
        
            set_attribute_config(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig`]
        
                :returns: None
                :rtype: None
        
                .. versionadded:: 10.0.0
            
        
        
            set_attribute_config(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig`]
        
                :returns: None
                :rtype: None
        
                .. versionadded:: 10.0.0
            
        
        
            set_attribute_config(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig`]
        
                :returns: None
                :rtype: None
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def set_change_event(*args, **kwargs):
        """
        
        
            set_change_event(self, attr_name, implemented, detect=True)
        
                Set an implemented flag for the attribute to indicate that the server fires
                change events manually, without the polling to be started.
        
                If the detect parameter is set to true, the criteria specified for the
                change event are verified and the event is only pushed if they are fullfilled.
                If detect is set to false the event is fired without any value checking!
        
                :param attr_name: attribute name
                :type attr_name: str
                :param implemented: True when the server fires change events manually.
                :type implemented: bool
                :param detect: Triggers the verification of the change event properties
                               when set to true. Default value is true.
                :type detect: bool
            
        """
    @staticmethod
    def set_data_ready_event(*args, **kwargs):
        """
        
        
            set_data_ready_event(self, attr_name, implemented)
        
                Set an implemented flag for the attribute to indicate that the server fires
                data ready events manually.
        
                :param attr_name: attribute name
                :type attr_name: str
                :param implemented: True when the server fires change events manually.
                :type implemented: bool
            
        """
    @staticmethod
    def set_state(*args, **kwargs):
        """
        
        
            set_state(self, new_state)
        
                Set device state.
        
                :param new_state: the new device state
                :type new_state: DevState
            
        """
    @staticmethod
    def set_status(*args, **kwargs):
        """
        
        
            set_status(self, new_status)
        
                Set device status.
        
                :param new_status: the new device status
                :type new_status: str
            
        """
    @staticmethod
    def start_logging(*args, **kwargs):
        """
        
        
            start_logging(self) -> None
        
                Starts logging
            
        """
    @staticmethod
    def stop_logging(*args, **kwargs):
        """
        
        
            stop_logging(self) -> None
        
                Stops logging
            
        """
    @staticmethod
    def stop_poll_attribute(*args, **kwargs):
        """
        
        
            stop_poll_attribute(self, attr_name) -> None
        
                Remove an attribute from the list of polled attributes.
        
                :param str attr_name: attribute name
        
                :return: None
                :rtype: None
            
        """
    @staticmethod
    def stop_poll_command(*args, **kwargs):
        """
        
        
            stop_poll_command(self, cmd_name) -> None
        
                Remove a command from the list of polled commands.
        
                :param str cmd_name: cmd_name name
        
                :return: None
                :rtype: None
            
        """
    @staticmethod
    def stop_polling(*args, **kwargs):
        """
        
        
            stop_polling(self)
        
                .. function:: stop_polling(self, with_db_upd)
                    :noindex:
        
                Stop all polling for a device. if the device is polled, call this
                method before deleting it.
        
                :param with_db_upd: Is it necessary to update db?
                :type with_db_upd: bool
        
                New in PyTango 7.1.2
            
        """
    @staticmethod
    def unregister_signal(*args, **kwargs):
        """
        
        
            unregister_signal(self, signo)
        
                Unregister a signal.
        
                Unregister this device as device to be informed when signal signo
                is sent to to the device server process
        
                :param signo: signal identifier
                :type signo: int
            
        """
    def __repr__(self):
        ...
    def __str__(self):
        ...
    def add_attribute(self, attr, r_meth = None, w_meth = None, is_allo_meth = None):
        """
        
            add_attribute(self, attr, r_meth=None, w_meth=None, is_allo_meth=None) -> Attr
        
                Add a new attribute to the device attribute list.
        
                Please, note that if you add
                an attribute to a device at device creation time, this attribute will be added
                to the device class attribute list. Therefore, all devices belonging to the
                same class created after this attribute addition will also have this attribute.
        
                If you pass a reference to unbound method for read, write or is_allowed method
                (e.g. DeviceClass.read_function or self.__class__.read_function),
                during execution the corresponding bound method (self.read_function) will be used.
        
                :param attr: the new attribute to be added to the list.
                :type attr: server.attribute or Attr or AttrData
                :param r_meth: the read method to be called on a read request
                               (if attr is of type server.attribute, then use the
                               fget field in the attr object instead)
                :type r_meth: callable
                :param w_meth: the write method to be called on a write request
                               (if attr is writable)
                               (if attr is of type server.attribute, then use the
                               fset field in the attr object instead)
                :type w_meth: callable
                :param is_allo_meth: the method that is called to check if it
                                     is possible to access the attribute or not
                                     (if attr is of type server.attribute, then use the
                                     fisallowed field in the attr object instead)
                :type is_allo_meth: callable
        
                :returns: the newly created attribute.
                :rtype: Attr
        
                :raises DevFailed:
            
        """
    def add_command(self, cmd, device_level = True):
        """
        
            add_command(self, cmd, device_level=True) -> cmd
        
                Add a new command to the device command list.
        
                :param cmd: the new command to be added to the list
                :param device_level: Set this flag to true if the command must be added
                                     for only this device
        
                :returns: The command to add
                :rtype: Command
        
                :raises DevFailed:
            
        """
    def debug_stream(self, msg, *args, source = None):
        """
        
            debug_stream(self, msg, *args, source=None)
        
                Sends the given message to the tango debug stream.
        
                Since PyTango 7.1.3, the same can be achieved with::
        
                    print(msg, file=self.log_debug)
        
                :param msg: the message to be sent to the debug stream
                :type msg: str
        
                :param \\*args: Arguments to format a message string.
        
                :param source: Function that will be inspected for filename and lineno in the log message.
                :type source: Callable
        
                .. versionadded:: 9.4.2
                    added *source* parameter
            
        """
    def error_stream(self, msg, *args, source = None):
        """
        
            error_stream(self, msg, *args, source=None)
        
                Sends the given message to the tango error stream.
        
                Since PyTango 7.1.3, the same can be achieved with::
        
                    print(msg, file=self.log_error)
        
                :param msg: the message to be sent to the error stream
                :type msg: str
        
                :param \\*args: Arguments to format a message string.
        
                :param source: Function that will be inspected for filename and lineno in the log message.
                :type source: Callable
        
                .. versionadded:: 9.4.2
                    added *source* parameter
            
        """
    def fatal_stream(self, msg, *args, source = None):
        """
        
            fatal_stream(self, msg, *args, source=None)
        
                Sends the given message to the tango fatal stream.
        
                Since PyTango 7.1.3, the same can be achieved with::
        
                    print(msg, file=self.log_fatal)
        
                :param msg: the message to be sent to the fatal stream
                :type msg: str
        
                :param \\*args: Arguments to format a message string.
        
                :param source: Function that will be inspected for filename and lineno in the log message.
                :type source: Callable
        
                .. versionadded:: 9.4.2
                    added *source* parameter
            
        """
    def get_device_class(self):
        """
        
            get_device_class(self)
        
                Get device class singleton.
        
                :returns: the device class singleton (device_class field)
                :rtype: DeviceClass
        
            
        """
    def get_device_properties(self, ds_class = None):
        """
        
            get_device_properties(self, ds_class = None)
        
                Utility method that fetches all the device properties from the database
                and converts them into members of this DeviceImpl.
        
                :param ds_class: the DeviceClass object. Optional. Default value is
                                 None meaning that the corresponding DeviceClass object for this
                                 DeviceImpl will be used
                :type ds_class: DeviceClass
        
                :raises DevFailed:
            
        """
    def info_stream(self, msg, *args, source = None):
        """
        
            info_stream(self, msg, *args, source=None)
        
                Sends the given message to the tango info stream.
        
                Since PyTango 7.1.3, the same can be achieved with::
        
                    print(msg, file=self.log_info)
        
                :param msg: the message to be sent to the info stream
                :type msg: str
        
                :param \\*args: Arguments to format a message string.
        
                :param source: Function that will be inspected for filename and lineno in the log message.
                :type source: Callable
        
                .. versionadded:: 9.4.2
                    added *source* parameter
            
        """
    def push_alarm_event(self, attr_name, *args, **kwargs):
        """
        
            .. function:: push_alarm_event(self, attr_name, except)
                          push_alarm_event(self, attr_name, data, dim_x = 1, dim_y = 0)
                          push_alarm_event(self, attr_name, str_data, data)
                          push_alarm_event(self, attr_name, data, time_stamp, quality, dim_x = 1, dim_y = 0)
                          push_alarm_event(self, attr_name, str_data, data, time_stamp, quality)
                :noindex:
        
            Push an alarm event for the given attribute name.
        
            :param attr_name: attribute name
            :type attr_name: str
            :param data: the data to be sent as attribute event data. Data must be compatible with the
                         attribute type and format.
                         for SPECTRUM and IMAGE attributes, data can be any type of sequence of elements
                         compatible with the attribute type
            :param str_data: special variation for DevEncoded data type. In this case 'data' must
                             be a str or an object with the buffer interface.
            :type str_data: str
            :param except: Instead of data, you may want to send an exception.
            :type except: DevFailed
            :param dim_x: the attribute x length. Default value is 1
            :type dim_x: int
            :param dim_y: the attribute y length. Default value is 0
            :type dim_y: int
            :param time_stamp: the time stamp
            :type time_stamp: double
            :param quality: the attribute quality factor
            :type quality: AttrQuality
        
            :raises DevFailed: If the attribute data type is not coherent.
            
        """
    def push_archive_event(self, attr_name, *args, **kwargs):
        """
        
            .. function:: push_archive_event(self, attr_name, except)
                          push_archive_event(self, attr_name, data, dim_x = 1, dim_y = 0)
                          push_archive_event(self, attr_name, str_data, data)
                          push_archive_event(self, attr_name, data, time_stamp, quality, dim_x = 1, dim_y = 0)
                          push_archive_event(self, attr_name, str_data, data, time_stamp, quality)
                :noindex:
        
            Push an archive event for the given attribute name.
        
            :param attr_name: attribute name
            :type attr_name: str
            :param data: the data to be sent as attribute event data. Data must be compatible with the
                         attribute type and format.
                         for SPECTRUM and IMAGE attributes, data can be any type of sequence of elements
                         compatible with the attribute type
            :param str_data: special variation for DevEncoded data type. In this case 'data' must
                             be a str or an object with the buffer interface.
            :type str_data: str
            :param except: Instead of data, you may want to send an exception.
            :type except: DevFailed
            :param dim_x: the attribute x length. Default value is 1
            :type dim_x: int
            :param dim_y: the attribute y length. Default value is 0
            :type dim_y: int
            :param time_stamp: the time stamp
            :type time_stamp: double
            :param quality: the attribute quality factor
            :type quality: AttrQuality
        
            :raises DevFailed: If the attribute data type is not coherent.
            
        """
    def push_change_event(self, attr_name, *args, **kwargs):
        """
        
            .. function:: push_change_event(self, attr_name, except)
                          push_change_event(self, attr_name, data, dim_x = 1, dim_y = 0)
                          push_change_event(self, attr_name, str_data, data)
                          push_change_event(self, attr_name, data, time_stamp, quality, dim_x = 1, dim_y = 0)
                          push_change_event(self, attr_name, str_data, data, time_stamp, quality)
                :noindex:
        
            Push a change event for the given attribute name.
        
            :param attr_name: attribute name
            :type attr_name: str
            :param data: the data to be sent as attribute event data. Data must be compatible with the
                         attribute type and format.
                         for SPECTRUM and IMAGE attributes, data can be any type of sequence of elements
                         compatible with the attribute type
            :param str_data: special variation for DevEncoded data type. In this case 'data' must
                             be a str or an object with the buffer interface.
            :type str_data: str
            :param except: Instead of data, you may want to send an exception.
            :type except: DevFailed
            :param dim_x: the attribute x length. Default value is 1
            :type dim_x: int
            :param dim_y: the attribute y length. Default value is 0
            :type dim_y: int
            :param time_stamp: the time stamp
            :type time_stamp: double
            :param quality: the attribute quality factor
            :type quality: AttrQuality
        
            :raises DevFailed: If the attribute data type is not coherent.
            
        """
    def push_event(self, attr_name, filt_names, filt_vals, *args, **kwargs):
        """
        
            .. function:: push_event(self, attr_name, filt_names, filt_vals, except)
                          push_event(self, attr_name, filt_names, filt_vals, data, dim_x = 1, dim_y = 0)
                          push_event(self, attr_name, filt_names, filt_vals, str_data, data)
                          push_event(self, attr_name, filt_names, filt_vals, data, time_stamp, quality, dim_x = 1, dim_y = 0)
                          push_event(self, attr_name, filt_names, filt_vals, str_data, data, time_stamp, quality)
                :noindex:
        
            Push a user event for the given attribute name.
        
            :param attr_name: attribute name
            :type attr_name: str
            :param filt_names: unused (kept for backwards compatibility) - pass an empty list.
            :type filt_names: Sequence[str]
            :param filt_vals: unused (kept for backwards compatibility) - pass an empty list.
            :type filt_vals: Sequence[double]
            :param data: the data to be sent as attribute event data. Data must be compatible with the
                         attribute type and format.
                         for SPECTRUM and IMAGE attributes, data can be any type of sequence of elements
                         compatible with the attribute type
            :param str_data: special variation for DevEncoded data type. In this case 'data' must
                             be a str or an object with the buffer interface.
            :type str_data: str
            :param dim_x: the attribute x length. Default value is 1
            :type dim_x: int
            :param dim_y: the attribute y length. Default value is 0
            :type dim_y: int
            :param time_stamp: the time stamp
            :type time_stamp: double
            :param quality: the attribute quality factor
            :type quality: AttrQuality
        
            :raises DevFailed: If the attribute data type is not coherent.
            
        """
    def remove_attribute(self, attr_name, free_it = False, clean_db = True):
        """
        
            remove_attribute(self, attr_name)
        
                Remove one attribute from the device attribute list.
        
                :param attr_name: attribute name
                :type attr_name: str
        
                :param free_it: free Attr object flag. Default False
                :type free_it: bool
        
                :param clean_db: clean attribute related info in db. Default True
                :type clean_db: bool
        
                :raises DevFailed:
        
                .. versionadded:: 9.5.0
                    *free_it* parameter.
                    *clean_db* parameter.
        
            
        """
    def remove_command(self, cmd_name, free_it = False, clean_db = True):
        """
        
            remove_command(self, cmd_name, free_it=False, clean_db=True)
        
                Remove one command from the device command list.
        
                :param cmd_name: command name to be removed from the list
                :type cmd_name: str
                :param free_it: set to true if the command object must be freed.
                :type free_it: bool
                :param clean_db: Clean command related information (included polling info
                                 if the command is polled) from database.
        
                :raises DevFailed:
            
        """
    def set_kernel_tracing_enabled(self, enabled: bool):
        """
        
            set_kernel_tracing_enabled(self, enabled) -> None
        
                Enable or disable telemetry tracing of cppTango kernel methods, and
                for high-level PyTango devices, tracing of the PyTango kernel (BaseDevice)
                methods.
        
                This is a no-op if telemetry support isn't compiled into cppTango.
        
                :param enabled: True to enable kernel tracing
                :type enabled: bool
        
                .. versionadded:: 10.0.0
            
        """
    def set_telemetry_enabled(self, enabled: bool):
        """
        
            set_telemetry_enabled(self, enabled) -> None
        
                Enable or disable the device's telemetry interface.
        
                This is a no-op if telemetry support isn't compiled into cppTango.
        
                :param enabled: True to enable telemetry tracing
                :type enabled: bool
        
                .. versionadded:: 10.0.0
            
        """
    def warn_stream(self, msg, *args, source = None):
        """
        
            warn_stream(self, msg, *args, source=None)
        
                Sends the given message to the tango warn stream.
        
                Since PyTango 7.1.3, the same can be achieved with::
        
                    print(msg, file=self.log_warn)
        
                :param msg: the message to be sent to the warn stream
                :type msg: str
        
                :param \\*args: Arguments to format a message string.
        
                :param source: Function that will be inspected for filename and lineno in the log message.
                :type source: Callable
        
                .. versionadded:: 9.4.2
                    added *source* parameter
            
        """
    @property
    def log_debug(self):
        ...
    @property
    def log_error(self):
        ...
    @property
    def log_fatal(self):
        ...
    @property
    def log_info(self):
        ...
    @property
    def log_warn(self):
        ...
class DeviceInfo(Boost.Python.instance):
    """
    
        A structure containing available information for a device with the"
        following members:
    
            - dev_class : (str) device class
            - server_id : (str) server ID
            - server_host : (str) host name
            - server_version : (str) server version
            - doc_url : (str) document url
            - version_info : (dict<str, str>) version info dict
    
        .. versionchanged:: 10.0.0
            Added `version_info` field
        
    """
    __instance_size__: typing.ClassVar[int] = 176
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def dev_class(*args, **kwargs):
        ...
    @property
    def dev_type(*args, **kwargs):
        ...
    @property
    def doc_url(*args, **kwargs):
        ...
    @property
    def server_host(*args, **kwargs):
        ...
    @property
    def server_id(*args, **kwargs):
        ...
    @property
    def server_version(*args, **kwargs):
        ...
    @property
    def version_info(*args, **kwargs):
        ...
class DevicePipe(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 168
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def extract(*args, **kwargs):
        ...
    @staticmethod
    def get_data_elt_name(*args, **kwargs):
        ...
    @staticmethod
    def get_data_elt_type(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def data_elt_names(*args, **kwargs):
        ...
    @data_elt_names.setter
    def data_elt_names(*args, **kwargs):
        ...
    @property
    def data_elt_nb(*args, **kwargs):
        ...
    @data_elt_nb.setter
    def data_elt_nb(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def root_blob_name(*args, **kwargs):
        ...
    @root_blob_name.setter
    def root_blob_name(*args, **kwargs):
        ...
class DeviceProxy(Connection):
    """
        DeviceProxy is the high level Tango object which provides the client with
        an easy-to-use interface to TANGO devices. DeviceProxy provides interfaces
        to all TANGO Device interfaces.The DeviceProxy manages timeouts, stateless
        connections and reconnection if the device server is restarted. To create
        a DeviceProxy, a Tango Device name must be set in the object constructor.
    
        Example :
           dev = tango.DeviceProxy("sys/tg_test/1")
    
        DeviceProxy(dev_name, green_mode=None, wait=True, timeout=True) -> DeviceProxy
        DeviceProxy(self, dev_name, need_check_acc, green_mode=None, wait=True, timeout=True) -> DeviceProxy
    
        Creates a new :class:`~tango.DeviceProxy`.
    
        :param dev_name: the device name or alias
        :type dev_name: str
        :param need_check_acc: in first version of the function it defaults to True.
                               Determines if at creation time of DeviceProxy it should check
                               for channel access (rarely used)
        :type need_check_acc: bool
        :param green_mode: determines the mode of execution of the device (including.
                          the way it is created). Defaults to the current global
                          green_mode (check :func:`~tango.get_green_mode` and
                          :func:`~tango.set_green_mode`)
        :type green_mode: :obj:`~tango.GreenMode`
        :param wait: whether or not to wait for result. If green_mode
                     Ignored when green_mode is Synchronous (always waits).
        :type wait: bool
        :param timeout: The number of seconds to wait for the result.
                        If None, then there is no limit on the wait time.
                        Ignored when green_mode is Synchronous or wait is False.
        :type timeout: float
        :returns:
            if green_mode is Synchronous or wait is True:
                :class:`~tango.DeviceProxy`
            elif green_mode is Futures:
                :class:`concurrent.futures.Future`
            elif green_mode is Gevent:
                :class:`gevent.event.AsynchResult`
        :throws:
            * :class:`~tango.DevFailed` if green_mode is Synchronous or wait is True
              and there is an error creating the device.
            * :class:`concurrent.futures.TimeoutError` if green_mode is Futures,
              wait is False, timeout is not None and the time to create the device
              has expired.
            * :class:`gevent.timeout.Timeout` if green_mode is Gevent, wait is False,
              timeout is not None and the time to create the device has expired.
    
        .. versionadded:: 8.1.0
            *green_mode* parameter.
            *wait* parameter.
            *timeout* parameter.
    
        
    """
    __instance_size__: typing.ClassVar[int] = 968
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __get_attr_conf_events(*args, **kwargs):
        ...
    @staticmethod
    def __get_callback_events(*args, **kwargs):
        ...
    @staticmethod
    def __get_data_events(*args, **kwargs):
        ...
    @staticmethod
    def __get_data_ready_events(*args, **kwargs):
        ...
    @staticmethod
    def __get_devintr_change_events(*args, **kwargs):
        ...
    @staticmethod
    def __get_pipe_events(*args, **kwargs):
        ...
    @staticmethod
    def __getinitargs__(*args, **kwargs):
        ...
    @staticmethod
    def __init_orig__(*args, **kwargs):
        ...
    @staticmethod
    def __read_attributes_asynch(*args, **kwargs):
        ...
    @staticmethod
    def __read_attributes_reply(*args, **kwargs):
        ...
    @staticmethod
    def __read_pipe(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __subscribe_event(*args, **kwargs):
        ...
    @staticmethod
    def __unsubscribe_event(*args, **kwargs):
        ...
    @staticmethod
    def __write_attributes_asynch(*args, **kwargs):
        ...
    @staticmethod
    def __write_attributes_reply(*args, **kwargs):
        ...
    @staticmethod
    def __write_pipe(*args, **kwargs):
        ...
    @staticmethod
    def _delete_property(*args, **kwargs):
        ...
    @staticmethod
    def _get_attribute_config(*args, **kwargs):
        ...
    @staticmethod
    def _get_attribute_config_ex(*args, **kwargs):
        ...
    @staticmethod
    def _get_command_config(*args, **kwargs):
        ...
    @staticmethod
    def _get_pipe_config(*args, **kwargs):
        ...
    @staticmethod
    def _get_property(*args, **kwargs):
        ...
    @staticmethod
    def _get_property_list(*args, **kwargs):
        ...
    @staticmethod
    def _ping(*args, **kwargs):
        ...
    @staticmethod
    def _put_property(*args, **kwargs):
        ...
    @staticmethod
    def _read_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _read_attributes(*args, **kwargs):
        ...
    @staticmethod
    def _set_attribute_config(*args, **kwargs):
        ...
    @staticmethod
    def _set_pipe_config(*args, **kwargs):
        ...
    @staticmethod
    def _state(*args, **kwargs):
        ...
    @staticmethod
    def _status(*args, **kwargs):
        ...
    @staticmethod
    def _write_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _write_attributes(*args, **kwargs):
        ...
    @staticmethod
    def _write_read_attribute(*args, **kwargs):
        ...
    @staticmethod
    def _write_read_attributes(*args, **kwargs):
        ...
    @staticmethod
    def add_logging_target(*args, **kwargs):
        """
        
        
            add_logging_target(self, target_type_target_name) -> None
        
                    Adds a new logging target to the device.
        
                    The target_type_target_name input parameter must follow the
                    format: target_type::target_name. Supported target types are:
                    console, file and device. For a device target, the target_name
                    part of the target_type_target_name parameter must contain the
                    name of a log consumer device (as defined in A.8). For a file
                    target, target_name is the full path to the file to log to. If
                    omitted, the device's name is used to build the file name
                    (which is something like domain_family_member.log). Finally, the
                    target_name part of the target_type_target_name input parameter
                    is ignored in case of a console target and can be omitted.
        
                Parameters :
                    - target_type_target_name : (str) logging target
                Return     : None
        
                Throws     : DevFailed from device
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def adm_name(*args, **kwargs):
        """
        
        
            adm_name(self) -> str
        
                    Return the name of the corresponding administrator device. This is
                    useful if you need to send an administration command to the device
                    server, e.g restart it
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def alias(*args, **kwargs):
        """
        
        
            alias(self) -> str
        
                    Return the device alias if one is defined.
                    Otherwise, throws exception.
        
                Return     : (str) device alias
            
        """
    @staticmethod
    def attribute_history(*args, **kwargs):
        """
        
        
            attribute_history(self, attr_name, depth, extract_as=ExtractAs.Numpy) -> sequence<DeviceAttributeHistory>
        
                    Retrieve attribute history from the attribute polling buffer. See
                    chapter on Advanced Feature for all details regarding polling
        
                Parameters :
                   - attr_name  : (str) Attribute name.
                   - depth      : (int) The wanted history depth.
                   - extract_as : (ExtractAs)
        
                Return     : This method returns a vector of DeviceAttributeHistory types.
        
                Throws     : NonSupportedFeature, ConnectionFailed,
                             CommunicationFailed, DevFailed from device
            
        """
    @staticmethod
    def attribute_list_query(*args, **kwargs):
        """
        
        
            attribute_list_query(self) -> sequence<AttributeInfo>
        
                    Query the device for info on all attributes. This method returns
                    a sequence of tango.AttributeInfo.
        
                Parameters : None
                Return     : (sequence<AttributeInfo>) containing the
                             attributes configuration
        
                Throws     : ConnectionFailed, CommunicationFailed,
                             DevFailed from device
            
        """
    @staticmethod
    def attribute_list_query_ex(*args, **kwargs):
        """
        
        
            attribute_list_query_ex(self) -> sequence<AttributeInfoEx>
        
                    Query the device for info on all attributes. This method returns
                    a sequence of tango.AttributeInfoEx.
        
                Parameters : None
                Return     : (sequence<AttributeInfoEx>) containing the
                             attributes configuration
        
                Throws     : ConnectionFailed, CommunicationFailed,
                             DevFailed from device
            
        """
    @staticmethod
    def attribute_query(*args, **kwargs):
        """
        
        
            attribute_query(self, attr_name) -> AttributeInfoEx
        
                    Query the device for information about a single attribute.
        
                Parameters :
                        - attr_name :(str) the attribute name
                Return     : (AttributeInfoEx) containing the attribute
                             configuration
        
                Throws     : ConnectionFailed, CommunicationFailed,
                             DevFailed from device
            
        """
    @staticmethod
    def black_box(*args, **kwargs):
        """
        
        
            black_box(self, n) -> sequence<str>
        
                    Get the last commands executed on the device server
        
                Parameters :
                    - n : n number of commands to get
                Return     : (sequence<str>) sequence of strings containing the date, time,
                             command and from which client computer the command
                             was executed
                Example :
                        print(black_box(4))
            
        """
    @staticmethod
    def command_history(*args, **kwargs):
        """
        
        
            command_history(self, cmd_name, depth) -> sequence<DeviceDataHistory>
        
                    Retrieve command history from the command polling buffer. See
                    chapter on Advanced Feature for all details regarding polling
        
                Parameters :
                   - cmd_name  : (str) Command name.
                   - depth     : (int) The wanted history depth.
                Return     : This method returns a vector of DeviceDataHistory types.
        
                Throws     : NonSupportedFeature, ConnectionFailed,
                             CommunicationFailed, DevFailed from device
            
        """
    @staticmethod
    def command_list_query(*args, **kwargs):
        """
        
        
            command_list_query(self) -> sequence<CommandInfo>
        
                    Query the device for information on all commands.
        
                Parameters : None
                Return     : (CommandInfoList) Sequence of CommandInfo objects
            
        """
    @staticmethod
    def command_query(*args, **kwargs):
        """
        
        
            command_query(self, command) -> CommandInfo
        
                    Query the device for information about a single command.
        
                Parameters :
                        - command : (str) command name
                Return     : (CommandInfo) object
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device
                Example :
                        com_info = dev.command_query(""DevString"")
                        print(com_info.cmd_name)
                        print(com_info.cmd_tag)
                        print(com_info.in_type)
                        print(com_info.out_type)
                        print(com_info.in_type_desc)
                        print(com_info.out_type_desc)
                        print(com_info.disp_level)
        
                See CommandInfo documentation string form more detail
            
        """
    @staticmethod
    def delete_property(obj, *args, **kwargs):
        """
        
            delete_property(self, value, green_mode=None, wait=True, timeout=None)
        
                    Delete a the given of properties for this device.
                    This method accepts the following types as value parameter:
        
                        1. string [in] - single property to be deleted
                        2. tango.DbDatum [in] - single property data to be deleted
                        3. tango.DbData [in] - several property data to be deleted
                        4. sequence<string> [in]- several property data to be deleted
                        5. sequence<DbDatum> [in] - several property data to be deleted
                        6. dict<str, obj> [in] - keys are property names to be deleted (values are ignored)
                        7. dict<str, DbDatum> [in] - several DbDatum.name are property names to be deleted (keys are ignored)
        
            :param value: Can be one of the following:
                            1. `string` [in] - Single property data to be deleted.
                            2. `tango.DbDatum` [in] - Single property data to be deleted.
                            3. `tango.DbData` [in] - Several property data to be deleted.
                            4. `sequence<string>` [in] - Several property data to be deleted.
                            5. `sequence<DbDatum>` [in] - Several property data to be deleted.
                            6. `dict<str, obj>` [in] - Keys are property names to be deleted (values are ignored).
                            7. `dict<str, DbDatum>` [in] - Several `DbDatum.name` are property names to be deleted (keys are ignored).
            :type value: string, tango.DbDatum, tango.DbData, sequence<string>, sequence<DbDatum>, dict<str, obj>, dict<str, DbDatum>
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: None
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure, specifically DB_SQLError.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
            
        """
    @staticmethod
    def description(*args, **kwargs):
        """
        
        
            description(self) -> str
        
                    Get device description.
        
                Parameters : None
                Return     : (str) describing the device
            
        """
    @staticmethod
    def dev_name(*args, **kwargs):
        ...
    @staticmethod
    def event_queue_size(*args, **kwargs):
        """
        
        
            event_queue_size(self, event_id) -> int
        
                    Returns the number of stored events in the event reception
                    buffer. After every call to DeviceProxy.get_events(), the event
                    queue size is 0. During event subscription the client must have
                    chosen the 'pull model' for this event. event_id is the event
                    identifier returned by the DeviceProxy.subscribe_event() method.
        
                Parameters :
                    - event_id : (int) event identifier
                Return     : an integer with the queue size
        
                Throws     : EventSystemFailed
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_attribute_config(obj, *args, **kwargs):
        """
        
            get_attribute_config(self, name, green_mode=None, wait=True, timeout=None) -> AttributeInfoEx
            get_attribute_config(self, names, green_mode=None, wait=True, timeout=None) -> AttributeInfoList
        
                Return the attribute configuration for a single or a list of attribute(s). To get all the
                attributes pass a sequence containing the constant tango.constants.AllAttr
        
                Deprecated: use get_attribute_config_ex instead
        
            :param name: Attribute name.
            :type name: str
            :param names: Attribute names.
            :type names: sequence(str)
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. See `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: An `AttributeInfoEx` or `AttributeInfoList` object containing the attribute(s) information.
            :rtype: Union[AttributeInfoEx, AttributeInfoList]
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
        
            
        """
    @staticmethod
    def get_attribute_config_ex(obj, *args, **kwargs):
        """
        
            get_attribute_config_ex(self, name or sequence(names), green_mode=None, wait=True, timeout=None) -> AttributeInfoListEx :
        
                Return the extended attribute configuration for a single attribute or for the list of
                specified attributes. To get all the attributes pass a sequence
                containing the constant tango.constants.AllAttr.
        
            :param name: Attribute name or attribute names. Can be a single string (for one attribute) or a sequence of strings (for multiple attributes).
            :type name: str or sequence(str)
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: An `AttributeInfoListEx` object containing the attribute information.
            :rtype: AttributeInfoListEx
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure.
            
        """
    @staticmethod
    def get_attribute_list(*args, **kwargs):
        """
        
        
            get_attribute_list(self) -> sequence<str>
        
                    Return the names of all attributes implemented for this device.
        
                Parameters : None
                Return     : sequence<str>
        
                Throws     : ConnectionFailed, CommunicationFailed,
                             DevFailed from device
            
        """
    @staticmethod
    def get_attribute_poll_period(*args, **kwargs):
        """
        
        
            get_attribute_poll_period(self, attr_name) -> int
        
                    Return the attribute polling period.
        
                Parameters :
                    - attr_name : (str) attribute name
                Return     : polling period in milliseconds
            
        """
    @staticmethod
    def get_command_config(obj, *args, **kwargs):
        """
        
            get_command_config(self, green_mode=None, wait=True, timeout=None) -> CommandInfoList
            get_command_config(self, name, green_mode=None, wait=True, timeout=None) -> CommandInfo
            get_command_config(self, names) -> CommandInfoList
        
                Return the command configuration for single/list/all command(s).
        
            :param name: Command name. Used when querying information for a single command.
            :type name: str, optional
            :param names: Command names. Used when querying information for multiple commands. This parameter should not be used simultaneously with 'name'.
            :type names: sequence<str>, optional
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: A `CommandInfoList` object containing the commands information if multiple command names are provided, or a `CommandInfo` object if a single command name is provided.
            :rtype: CommandInfoList or CommandInfo
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
            
        """
    @staticmethod
    def get_command_list(*args, **kwargs):
        """
        
        
            get_command_list(self) -> sequence<str>
        
                    Return the names of all commands implemented for this device.
        
                Parameters : None
                Return     : sequence<str>
        
                Throws     : ConnectionFailed, CommunicationFailed,
                             DevFailed from device
            
        """
    @staticmethod
    def get_command_poll_period(*args, **kwargs):
        """
        
        
            get_command_poll_period(self, cmd_name) -> int
        
                    Return the command polling period.
        
                Parameters :
                    - cmd_name : (str) command name
                Return     : polling period in milliseconds
            
        """
    @staticmethod
    def get_device_db(*args, **kwargs):
        """
        
        
            get_device_db(self) -> Database
        
                    Returns the internal database reference
        
                Parameters : None
                Return     : (Database) object
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_last_event_date(*args, **kwargs):
        """
        
        
            get_last_event_date(self, event_id) -> TimeVal
        
                    Returns the arrival time of the last event stored in the event
                    reception buffer. After every call to DeviceProxy:get_events(),
                    the event reception buffer is empty. In this case an exception
                    will be returned. During event subscription the client must have
                    chosen the 'pull model' for this event. event_id is the event
                    identifier returned by the DeviceProxy.subscribe_event() method.
        
                Parameters :
                    - event_id : (int) event identifier
                Return     : (tango.TimeVal) representing the arrival time
        
                Throws     : EventSystemFailed
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_locker(*args, **kwargs):
        """
        
        
            get_locker(self, lockinfo) -> bool
        
                    If the device is locked, this method returns True an set some
                    locker process informations in the structure passed as argument.
                    If the device is not locked, the method returns False.
        
                Parameters :
                    - lockinfo [out] : (tango.LockInfo) object that will be filled
                                        with lock informantion
                Return     : (bool) True if the device is locked by us.
                             Otherwise, False
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_logging_level(*args, **kwargs):
        """
        
        
            get_logging_level(self) -> int
        
                    Returns the current device's logging level, where:
                        - 0=OFF
                        - 1=FATAL
                        - 2=ERROR
                        - 3=WARNING
                        - 4=INFO
                        - 5=DEBUG
        
                Parameters :None
                Return     : (int) representing the current logging level
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_logging_target(*args, **kwargs):
        """
        
        
            get_logging_target(self) -> sequence<str>
        
                    Returns a sequence of string containing the current device's
                    logging targets. Each vector element has the following format:
                    target_type::target_name. An empty sequence is returned is the
                    device has no logging targets.
        
                Parameters : None
                Return     : a squence<str> with the logging targets
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_pipe_config(obj, *args, **kwargs):
        """
        
            get_pipe_config(self, green_mode=None, wait=True, timeout=None) -> PipeInfoList
            get_pipe_config(self, name, green_mode=None, wait=True, timeout=None) -> PipeInfo
            get_pipe_config(self, names) -> PipeInfoList
        
                Return the pipe configuration for single/list/all pipes.
        
            :param name: Pipe name. Used when querying information for a single pipe.
            :type name: str, optional
            :param names: Pipe names. Used when querying information for multiple pipes. This parameter should not be used simultaneously with 'name'.
            :type names: sequence<str>, optional
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: A `CommandInfoList` object containing the commands information if multiple command names are provided, or a `CommandInfo` object if a single command name is provided.
            :rtype: CommandInfoList or CommandInfo
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
        
                New in PyTango 9.2.0
            
        """
    @staticmethod
    def get_pipe_list(*args, **kwargs):
        ...
    @staticmethod
    def get_property(obj, *args, **kwargs):
        """
        
            get_property(self, propname, value=None, green_mode=None, wait=True, timeout=None) -> tango.DbData
        
                Get a (list) property(ies) for a device.
        
                This method accepts the following types as propname parameter:
                1. string [in] - single property data to be fetched
                2. sequence<string> [in] - several property data to be fetched
                3. tango.DbDatum [in] - single property data to be fetched
                4. tango.DbData [in,out] - several property data to be fetched.
                5. sequence<DbDatum> - several property data to be feteched
        
                Note: for cases 3, 4 and 5 the 'value' parameter if given, is IGNORED.
        
                If value is given it must be a tango.DbData that will be filled with the
                property values
        
            :param propname: Property(ies) name(s).
            :type propname: any
            :param value: Optional. The default is `None`, meaning that the method will create internally a `tango.DbData` and return it filled with the property values.
            :type value: DbData, optional
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. See `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode`.
            :type green_mode: GreenMode
            :param wait: Whether to wait for result. If `green_mode` is *Synchronous*, this parameter is ignored as it always waits for the result. Ignored when `green_mode` is Synchronous (always waits).
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If `None`, then there is no limit on the wait time. Ignored when `green_mode` is Synchronous or `wait` is False.
            :type timeout: float, optional
        
            :returns: A `DbData` object containing the property(ies) value(s). If a `tango.DbData` is given as a parameter, it returns the same object; otherwise, a new `tango.DbData` is returned.
            :rtype: DbData
        
            :raises NonDbDevice: Raised in case of a non-database device error.
            :raises ConnectionFailed: Raised on connection failure with the database.
            :raises CommunicationFailed: Raised on communication failure with the database.
            :raises DevFailed: Raised on a device failure from the database device.`
            
        """
    @staticmethod
    def get_property_list(obj, *args, **kwargs):
        """
        
            get_property_list(self, filter, array=None, green_mode=None, wait=True, timeout=None) -> obj
        
                    Get the list of property names for the device. The parameter
                    filter allows the user to filter the returned name list. The
                    wildcard character is '*'. Only one wildcard character is
                    allowed in the filter parameter.
        
            :param filter: The filter wildcard.
            :type filter: str
            :param array: Optional. An array to be filled with the property names. If `None`, a new list will be created internally with the values. Defaults to `None`.
            :type array: sequence obj or None, optional
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: The given array filled with the property names, or a new list if `array` is `None`.
            :rtype: sequence obj
        
            :raises NonDbDevice: Raised in case of a non-database device error.
            :raises WrongNameSyntax: Raised in case of incorrect syntax in the name.
            :raises ConnectionFailed: Raised in case of a connection failure with the database.
            :raises CommunicationFailed: Raised in case of a communication failure with the database.
            :raises DevFailed: Raised in case of a device failure from the database device.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_tango_lib_version(*args, **kwargs):
        """
        
        
            get_tango_lib_version(self) -> int
        
                    Returns the Tango lib version number used by the remote device
                    Otherwise, throws exception.
        
                Return     : (int) The device Tango lib version as a 3 or 4 digits number.
                             Possible return value are: 100,200,500,520,700,800,810,...
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def import_info(*args, **kwargs):
        """
        
        
            import_info(self) -> DbDevImportInfo
        
                    Query the device for import info from the database.
        
                Parameters : None
                Return     : (DbDevImportInfo)
                Example :
                        dev_import = dev.import_info()
                        print(dev_import.name)
                        print(dev_import.exported)
                        print(dev_ior.ior)
                        print(dev_version.version)
        
                All DbDevImportInfo fields are strings except for exported which
                is an integer"
            
        """
    @staticmethod
    def info(*args, **kwargs):
        """
        
        
            info(self) -> DeviceInfo
        
                    A method which returns information on the device
        
                Parameters : None
                Return     : (DeviceInfo) object
                Example    :
                        dev_info = dev.info()
                        print(dev_info.dev_class)
                        print(dev_info.server_id)
                        print(dev_info.server_host)
                        print(dev_info.server_version)
                        print(dev_info.doc_url)
                        print(dev_info.dev_type)
                        print(dev_info.version_info)
        
            
        """
    @staticmethod
    def is_attribute_polled(*args, **kwargs):
        """
        
        
            is_attribute_polled(self, attr_name) -> bool
        
                True if the attribute is polled.
        
                :param str attr_name: attribute name
        
                :returns: boolean value
                :rtype: bool
            
        """
    @staticmethod
    def is_command_polled(*args, **kwargs):
        """
        
        
            is_command_polled(self, cmd_name) -> bool
        
                True if the command is polled.
        
                :param str cmd_name: command name
        
                :returns: boolean value
                :rtype: bool
        
            
        """
    @staticmethod
    def is_event_queue_empty(*args, **kwargs):
        """
        
        
            is_event_queue_empty(self, event_id) -> bool
        
                    Returns true when the event reception buffer is empty. During
                    event subscription the client must have chosen the 'pull model'
                    for this event. event_id is the event identifier returned by the
                    DeviceProxy.subscribe_event() method.
        
                    Parameters :
                        - event_id : (int) event identifier
                    Return     : (bool) True if queue is empty or False otherwise
        
                    Throws     : EventSystemFailed
        
                    New in PyTango 7.0.0
            
        """
    @staticmethod
    def is_locked(*args, **kwargs):
        """
        
        
            is_locked(self) -> bool
        
                    Returns True if the device is locked. Otherwise, returns False.
        
                Parameters : None
                Return     : (bool) True if the device is locked. Otherwise, False
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def is_locked_by_me(*args, **kwargs):
        """
        
        
            is_locked_by_me(self) -> bool
        
                    Returns True if the device is locked by the caller. Otherwise,
                    returns False (device not locked or locked by someone else)
        
                Parameters : None
                Return     : (bool) True if the device is locked by us.
                                Otherwise, False
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def lock(*args, **kwargs):
        """
        
        
            lock(self, (int)lock_validity) -> None
        
                    Lock a device. The lock_validity is the time (in seconds) the
                    lock is kept valid after the previous lock call. A default value
                    of 10 seconds is provided and should be fine in most cases. In
                    case it is necessary to change the lock validity, it's not
                    possible to ask for a validity less than a minimum value set to
                    2 seconds. The library provided an automatic system to
                    periodically re lock the device until an unlock call. No code is
                    needed to start/stop this automatic re-locking system. The
                    locking system is re-entrant. It is then allowed to call this
                    method on a device already locked by the same process. The
                    locking system has the following features:
        
                      * It is impossible to lock the database device or any device
                        server process admin device
                      * Destroying a locked DeviceProxy unlocks the device
                      * Restarting a locked device keeps the lock
                      * It is impossible to restart a device locked by someone else
                      * Restarting a server breaks the lock
        
                    A locked device is protected against the following calls when
                    executed by another client:
        
                      * command_inout call except for device state and status
                        requested via command and for the set of commands defined as
                        allowed following the definition of allowed command in the
                        Tango control access schema.
                      * write_attribute call
                      * write_read_attribute call
                      * set_attribute_config call
        
                Parameters :
                    - lock_validity : (int) lock validity time in seconds
                                        (optional, default value is
                                        tango.constants.DEFAULT_LOCK_VALIDITY)
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def locking_status(*args, **kwargs):
        """
        
        
            locking_status(self) -> str
        
                    This method returns a plain string describing the device locking
                    status. This string can be:
        
                      * 'Device <device name> is not locked' in case the device is
                        not locked
                      * 'Device <device name> is locked by CPP or Python client with
                        PID <pid> from host <host name>' in case the device is
                        locked by a CPP client
                      * 'Device <device name> is locked by JAVA client class
                        <main class> from host <host name>' in case the device is
                        locked by a JAVA client
        
                Parameters : None
                Return     : a string representing the current locking status
        
                New in PyTango 7.0.0"
            
        """
    @staticmethod
    def name(*args, **kwargs):
        """
        
        
            name(self) -> str
        
                    Return the device name from the device itself.
            
        """
    @staticmethod
    def pending_asynch_call(*args, **kwargs):
        """
        
        
            pending_asynch_call(self) -> int
        
                    Return number of device asynchronous pending requests"
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def ping(obj, *args, **kwargs):
        """
        
            ping(self, green_mode=None, wait=True, timeout=True) -> int
        
                    A method which sends a ping to the device
        
                Parameters :
                    - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                   (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                   :meth:`~tango.DeviceProxy.set_green_mode`).
                    - wait       : (bool) whether or not to wait for result. If green_mode
                                   is *Synchronous*, this parameter is ignored as it always
                                   waits for the result.
                                   Ignored when green_mode is Synchronous (always waits).
                    - timeout    : (float) The number of seconds to wait for the result.
                                   If None, then there is no limit on the wait time.
                                   Ignored when green_mode is Synchronous or wait is False.
                Return     : (int) time elapsed in microseconds
                Throws     : exception if device is not alive
            
        """
    @staticmethod
    def poll_attribute(*args, **kwargs):
        """
        
        
            poll_attribute(self, attr_name, period) -> None
        
                    Add an attribute to the list of polled attributes.
        
                Parameters :
                    - attr_name : (str) attribute name
                    - period    : (int) polling period in milliseconds
                Return     : None
            
        """
    @staticmethod
    def poll_command(*args, **kwargs):
        """
        
        
            poll_command(self, cmd_name, period) -> None
        
                    Add a command to the list of polled commands.
        
                Parameters :
                    - cmd_name : (str) command name
                    - period   : (int) polling period in milliseconds
                Return     : None
            
        """
    @staticmethod
    def polling_status(*args, **kwargs):
        """
        
        
            polling_status(self) -> sequence<str>
        
                    Return the device polling status.
        
                Parameters : None
                Return     : (sequence<str>) One string for each polled command/attribute.
                             Each string is multi-line string with:
        
                                - attribute/command name
                                - attribute/command polling period in milliseconds
                                - attribute/command polling ring buffer
                                - time needed for last attribute/command execution in milliseconds
                                - time since data in the ring buffer has not been updated
                                - delta time between the last records in the ring buffer
                                - exception parameters in case of the last execution failed
            
        """
    @staticmethod
    def put_property(obj, *args, **kwargs):
        """
        
            put_property(self, value, green_mode=None, wait=True, timeout=None) -> None
        
                    Insert or update a list of properties for this device.
                    This method accepts the following types as value parameter:
                    1. tango.DbDatum - single property data to be inserted
                    2. tango.DbData - several property data to be inserted
                    3. sequence<DbDatum> - several property data to be inserted
                    4. dict<str, DbDatum> - keys are property names and value has data to be inserted
                    5. dict<str, seq<str>> - keys are property names and value has data to be inserted
                    6. dict<str, obj> - keys are property names and str(obj) is property value
        
            :param value: Can be one of the following:
                            1. `tango.DbDatum` - Single property data to be inserted.
                            2. `tango.DbData` - Several property data to be inserted.
                            3. `sequence<DbDatum>` - Several property data to be inserted.
                            4. `dict<str, DbDatum>` - Keys are property names, and value has data to be inserted.
                            5. `dict<str, seq<str>>` - Keys are property names, and value has data to be inserted.
                            6. `dict<str, obj>` - Keys are property names, and `str(obj)` is property value.
            :type value: tango.DbDatum, tango.DbData, sequence<DbDatum>, dict<str, DbDatum>, dict<str, seq<str>>, dict<str, obj>
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. See `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode`.
            :type green_mode: GreenMode
            :param wait: Whether or not to wait for result. If `green_mode` is *Synchronous*, this parameter is ignored as it always waits for the result. Ignored when `green_mode` is Synchronous (always waits).
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If `None`, then there is no limit on the wait time. Ignored when `green_mode` is Synchronous or `wait` is False.
            :type timeout: float, optional
        
            :returns: None
        
            :raises ConnectionFailed: Raised on connection failure.
            :raises CommunicationFailed: Raised on communication failure.
            :raises DevFailed: Raised on a device failure, specifically DB_SQLError.
            
        """
    @staticmethod
    def read_attribute(obj, *args, **kwargs):
        """
        
            read_attribute(self, attr_name, extract_as=ExtractAs.Numpy, green_mode=None, wait=True, timeout=None) -> DeviceAttribute
        
                    Read a single attribute.
        
                Parameters :
                    - attr_name  : (str) The name of the attribute to read.
                    - extract_as : (ExtractAs) Defaults to numpy.
                    - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                   (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                   :meth:`~tango.DeviceProxy.set_green_mode`).
                    - wait       : (bool) whether or not to wait for result. If green_mode
                                   is *Synchronous*, this parameter is ignored as it always
                                   waits for the result.
                                   Ignored when green_mode is Synchronous (always waits).
                    - timeout    : (float) The number of seconds to wait for the result.
                                   If None, then there is no limit on the wait time.
                                   Ignored when green_mode is Synchronous or wait is False.
        
                Return     : (DeviceAttribute)
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
            .. versionchanged:: 7.1.4
                For DevEncoded attributes, before it was returning a DeviceAttribute.value
                as a tuple **(format<str>, data<str>)** no matter what was the *extract_as*
                value was. Since 7.1.4, it returns a **(format<str>, data<buffer>)**
                unless *extract_as* is String, in which case it returns
                **(format<str>, data<str>)**.
        
            .. versionchanged:: 8.0.0
                For DevEncoded attributes, now returns a DeviceAttribute.value
                as a tuple **(format<str>, data<bytes>)** unless *extract_as* is String,
                in which case it returns **(format<str>, data<str>)**. Careful, if
                using python >= 3 data<str> is decoded using default python
                *utf-8* encoding. This means that PyTango assumes tango DS was written
                encapsulating string into *utf-8* which is the default python encoding.
        
            .. versionadded:: 8.1.0
                *green_mode* parameter.
                *wait* parameter.
                *timeout* parameter.
        
            .. versionchanged:: 9.4.0
                For spectrum and image attributes with an empty sequence, no longer
                returns DeviceAttribute.value and DeviceAttribute.w_value as
                :obj:`None`.  Instead, DevString and DevEnum types get an empty :obj:`tuple`,
                while other types get an empty :obj:`numpy.ndarray`.  Using *extract_as* can
                change the sequence type, but it still won't be :obj:`None`.
            
        """
    @staticmethod
    def read_attribute_asynch(obj, *args, **kwargs):
        """
        
            read_attribute_asynch(self, attr_name, green_mode=None, wait=True, timeout=None) -> int
            read_attribute_asynch(self, attr_name, cb, extract_as=Numpy, green_mode=None, wait=True, timeout=None) -> None
        
                Read asynchronously the specified attributes.
        
                New in PyTango 7.0.0
        
            .. important::
                by default, TANGO is initialized with the **polling** model. If you want
                to use the **push** model (the one with the callback parameter), you
                need to change the global TANGO model to PUSH_CALLBACK.
                You can do this with the :meth:`tango.ApiUtil.set_asynch_cb_sub_model`
        
            :param attr_name: an attribute to read
            :type attr_name: str
        
            :param cb: push model: as soon as attributes read, core calls cb with read results.
                This callback object should be an instance of a user class with an attr_read() method.
                It can also be any callable object.
            :type cb: Optional[Callable]
        
            :param extract_as: Defaults to numpy.
            :type extract_as: ExtractAs
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: an asynchronous call identifier which is needed to get attribute value if poll model, None if push model
            :rtype: Union[int, None]
        
            :throws: ConnectionFailed
        
            
        """
    @staticmethod
    def read_attribute_reply(obj, *args, **kwargs):
        """
        
            read_attribute_reply(self, id, extract_as=ExtractAs.Numpy, green_mode=None, wait=True) -> DeviceAttribute
            read_attribute_reply(self, id, poll_timeout, extract_as=ExtractAs.Numpy, green_mode=None, wait=True) -> DeviceAttribute
        
                Check if the answer of an asynchronous read_attribute is arrived (polling model).
        
            .. versionchanged:: 7.0.0 New in PyTango
            .. versionchanged:: 10.0.0 To eliminate confusion between different timeout parameters, the core (cppTango) timeout (previously the optional second positional argument) has been renamed to "poll_timeout". Conversely, the pyTango executor timeout remains as the keyword argument "timeout". These parameters have distinct meanings and units:
        
                - The cppTango "poll_timeout" is measured in milliseconds and blocks the call until a reply is received. If the reply is not received within the specified poll_timeout duration, an exception is thrown. Setting poll_timeout to 0 causes the call to wait indefinitely until a reply is received.
                - The pyTango "timeout" is measured in seconds and is applicable only in asynchronous GreenModes (Asyncio, Futures, Gevent), and only when "wait" is set to True. The specific behavior when a reply is not received within the specified timeout period varies depending on the GreenMode.
        
        
            :param id: the asynchronous call identifier
            :type id: int
        
            :param poll_timeout: cppTango core timeout in ms.
                If the reply has not yet arrived, the call will wait for the time specified (in ms).
                If after timeout, the reply is still not there, an exception is thrown.
                If timeout set to 0, the call waits until the reply arrives.
                If the argument is not provided, then there is no timeout check, and an
                exception is raised immediately if the reply is not ready.
            :type poll_timeout: Optional[int]
        
            :param extract_as: Defaults to numpy.
            :type extract_as: ExtractAs
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: pytango green executor timout. The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: If the reply is arrived and if it is a valid reply,
                it is returned to the caller in a list of DeviceAttribute.
                If the reply is an exception, it is re-thrown by this call.
                If the reply is not yet arrived, the call will wait (blocking the process)
                for the time specified in timeout. If after timeout milliseconds, the reply is still not there, an
                exception is thrown. If timeout is set to 0, the call waits
                until the reply arrived.
            :rtype: DeviceAttribute
        
            :throws: Union[AsynCall, AsynReplyNotArrived, ConnectionFailed, CommunicationFailed, DevFailed]
        
            
        """
    @staticmethod
    def read_attributes(obj, *args, **kwargs):
        """
        
            read_attributes(self, attr_names, extract_as=ExtractAs.Numpy, green_mode=None, wait=True, timeout=None) -> sequence<DeviceAttribute>
        
                    Read the list of specified attributes.
        
                Parameters :
                        - attr_names : (sequence<str>) A list of attributes to read.
                        - extract_as : (ExtractAs) Defaults to numpy.
                        - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                       (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                       :meth:`~tango.DeviceProxy.set_green_mode`).
                        - wait       : (bool) whether or not to wait for result. If green_mode
                                       is *Synchronous*, this parameter is ignored as it always
                                       waits for the result.
                                       Ignored when green_mode is Synchronous (always waits).
                        - timeout    : (float) The number of seconds to wait for the result.
                                       If None, then there is no limit on the wait time.
                                       Ignored when green_mode is Synchronous or wait is False.
        
                Return     : (sequence<DeviceAttribute>)
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
            .. versionadded:: 8.1.0
                *green_mode* parameter.
                *wait* parameter.
                *timeout* parameter.
            
        """
    @staticmethod
    def read_attributes_asynch(obj, *args, **kwargs):
        """
        
            read_attributes_asynch(self, attr_names, green_mode=None, wait=True, timeout=None) -> int
            read_attributes_asynch(self, attr_names, cb, extract_as=Numpy, green_mode=None, wait=True, timeout=None) -> None
        
                Read asynchronously an attribute list.
        
                New in PyTango 7.0.0
        
            .. important::
                by default, TANGO is initialized with the **polling** model. If you want
                to use the **push** model (the one with the callback parameter), you
                need to change the global TANGO model to PUSH_CALLBACK.
                You can do this with the :meth:`tango.ApiUtil.set_asynch_cb_sub_model`
        
            :param attr_names: A list of attributes to read. See read_attributes.
            :type attr_names: Sequence[str]
        
            :param cb: push model: as soon as attributes read, core calls cb with read results.
                This callback object should be an instance of a user class with an attr_read() method.
                It can also be any callable object.
            :type cb: Optional[Callable]
        
            :param extract_as: Defaults to numpy.
            :type extract_as: ExtractAs
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                    (see :meth:`~tango.DeviceProxy.get_green_mode`
                    and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                         is *Synchronous*, this parameter is ignored as it always
                         waits for the result.
            :type wait: bool
        
            :param timeout: The number of seconds to wait for the result.
                If None, then there is no limit on the wait time.
                Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: an asynchronous call identifier which is needed to get attributes value if poll model, None if push model
            :rtype: Union[int, None]
        
            :throws: ConnectionFailed
            
        """
    @staticmethod
    def read_attributes_reply(obj, *args, **kwargs):
        """
        
            read_attributes_reply(self, id, extract_as=ExtractAs.Numpy, green_mode=None, wait=True) -> [DeviceAttribute]
            read_attributes_reply(self, id, poll_timeout, extract_as=ExtractAs.Numpy, green_mode=None, wait=True) -> [DeviceAttribute]
        
                Check if the answer of an asynchronous read_attributes is arrived (polling model).
        
            .. versionchanged:: 7.0.0 New in PyTango
            .. versionchanged:: 10.0.0 To eliminate confusion between different timeout parameters, the core (cppTango) timeout (previously the optional second positional argument) has been renamed to "poll_timeout". Conversely, the pyTango executor timeout remains as the keyword argument "timeout". These parameters have distinct meanings and units:
        
                - The cppTango "poll_timeout" is measured in milliseconds and blocks the call until a reply is received. If the reply is not received within the specified poll_timeout duration, an exception is thrown. Setting poll_timeout to 0 causes the call to wait indefinitely until a reply is received.
                - The pyTango "timeout" is measured in seconds and is applicable only in asynchronous GreenModes (Asyncio, Futures, Gevent), and only when "wait" is set to True. The specific behavior when a reply is not received within the specified timeout period varies depending on the GreenMode.
        
        
            :param id: the asynchronous call identifier
            :type id: int
        
            :param poll_timeout: cppTango core timeout in ms.
                If the reply has not yet arrived, the call will wait for the time specified (in ms).
                If after timeout, the reply is still not there, an exception is thrown.
                If timeout set to 0, the call waits until the reply arrives.
                If the argument is not provided, then there is no timeout check, and an
                exception is raised immediately if the reply is not ready.
            :type poll_timeout: Optional[int]
        
            :param extract_as: Defaults to numpy.
            :type extract_as: ExtractAs
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: pytango green executor timout. The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: If the reply is arrived and if it is a valid reply,
                it is returned to the caller in a list of DeviceAttribute.
                If the reply is an exception, it is re-thrown by this call.
                If the reply is not yet arrived, the call will wait (blocking the process)
                for the time specified in timeout. If after timeout milliseconds, the reply is still not there, an
                exception is thrown. If timeout is set to 0, the call waits
                until the reply arrived.
            :rtype: Sequence[DeviceAttribute]
        
            :throws: Union[AsynCall, AsynReplyNotArrived, ConnectionFailed, CommunicationFailed, DevFailed]
        
            
        """
    @staticmethod
    def read_pipe(obj, *args, **kwargs):
        """
        
            read_pipe(self, pipe_name, extract_as=ExtractAs.Numpy, green_mode=None, wait=True, timeout=None) -> tuple
        
                    Read a single pipe. The result is a *blob*: a tuple with two elements: blob name (string) and blob
                    data (sequence). The blob data consists of a sequence where each element is a dictionary with the
                    following keys:
        
                    - name: blob element name
                    - dtype: tango data type
                    - value: blob element data (str for DevString, etc)
        
                In case dtype is ``DevPipeBlob``, value is again a *blob*.
        
                Parameters :
                    - pipe_name  : (str) The name of the pipe to read.
                    - extract_as : (ExtractAs) Defaults to numpy.
                    - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                   (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                   :meth:`~tango.DeviceProxy.set_green_mode`).
                    - wait       : (bool) whether or not to wait for result. If green_mode
                                   is *Synchronous*, this parameter is ignored as it always
                                   waits for the result.
                                   Ignored when green_mode is Synchronous (always waits).
                    - timeout    : (float) The number of seconds to wait for the result.
                                   If None, then there is no limit on the wait time.
                                   Ignored when green_mode is Synchronous or wait is False.
        
                Return     : tuple<str, sequence>
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
                New in PyTango 9.2.0
            
        """
    @staticmethod
    def remove_logging_target(*args, **kwargs):
        """
        
        
            remove_logging_target(self, target_type_target_name) -> None
        
                    Removes a logging target from the device's target list.
        
                    The target_type_target_name input parameter must follow the
                    format: target_type::target_name. Supported target types are:
                    console, file and device. For a device target, the target_name
                    part of the target_type_target_name parameter must contain the
                    name of a log consumer device (as defined in ). For a file
                    target, target_name is the full path to the file to remove.
                    If omitted, the default log file is removed. Finally, the
                    target_name part of the target_type_target_name input parameter
                    is ignored in case of a console target and can be omitted.
                    If target_name is set to '*', all targets of the specified
                    target_type are removed.
        
                Parameters :
                    - target_type_target_name : (str) logging target
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def set_attribute_config(obj, *args, **kwargs):
        """
        
            set_attribute_config(self, attr_info, green_mode=None, wait=True, timeout=None) -> None
            set_attribute_config(self, attr_info_ex, green_mode=None, wait=True, timeout=None) -> None
        
                Change the attribute configuration/extended attribute configuration for the specified attribute(s)
        
            :param attr_info: Attribute information. This parameter is used when providing basic attribute(s) information.
            :type attr_info: Union[AttributeInfo, Sequence[AttributeInfo]], optional
            :param attr_info_ex: Extended attribute information. This parameter is used when providing extended attribute information. It should not be used simultaneously with 'attr_info'.
            :type attr_info_ex: Union[AttributeInfoEx, Sequence[AttributeInfoEx]], optional
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: None
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
        
            
        """
    @staticmethod
    def set_logging_level(*args, **kwargs):
        """
        
        
            set_logging_level(self, (int)level) -> None
        
                    Changes the device's logging level, where:
                        - 0=OFF
                        - 1=FATAL
                        - 2=ERROR
                        - 3=WARNING
                        - 4=INFO
                        - 5=DEBUG
        
                Parameters :
                    - level : (int) logging level
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def set_pipe_config(obj, *args, **kwargs):
        """
        
            set_pipe_config(self, pipe_info, green_mode=None, wait=True, timeout=None) -> None
            set_pipe_config(self, pipe_info, green_mode=None, wait=True, timeout=None) -> None
        
                    Change the pipe configuration for the specified pipe
        
            :param pipe_info: Pipe information for a single pipe.
            :type pipe_info: PipeInfo, optional
            :param pipes_info: Pipes information for multiple pipes.
            :type pipes_info: sequence<PipeInfo>, optional
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: None
        
            :raises ConnectionFailed: Raised in case of a connection failure.
            :raises CommunicationFailed: Raised in case of a communication failure.
            :raises DevFailed: Raised in case of a device failure.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
        
            
        """
    @staticmethod
    def state(obj, *args, **kwargs):
        """
        state(self, green_mode=None, wait=True, timeout=None) -> DevState
        
                A method which returns the state of the device.
        
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: A `DevState` constant.
            :rtype: DevState
        
            
        """
    @staticmethod
    def status(obj, *args, **kwargs):
        """
        status(self, green_mode=None, wait=True, timeout=None) -> str
        
                A method which returns the status of the device as a string.
        
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: string describing the device status
            :rtype: str
            
        """
    @staticmethod
    def stop_poll_attribute(*args, **kwargs):
        """
        
        
            stop_poll_attribute(self, attr_name) -> None
        
                    Remove an attribute from the list of polled attributes.
        
                Parameters :
                    - attr_name : (str) attribute name
                Return     : None
            
        """
    @staticmethod
    def stop_poll_command(*args, **kwargs):
        """
        
        
            stop_poll_command(self, cmd_name) -> None
        
                    Remove a command from the list of polled commands.
        
                Parameters :
                    - cmd_name : (str) command name
                Return     : None
            
        """
    @staticmethod
    def subscribe_event(obj, *args, **kwargs):
        """
        
            subscribe_event(self, event_type, cb, stateless=False, green_mode=None, wait=True, timeout=None) -> int
            subscribe_event(self, attr_name, event, cb, filters=[], stateless=False, extract_as=Numpy, green_mode=None, wait=True, timeout=None) -> int
            subscribe_event(self, attr_name, event, queuesize, filters=[], stateless=False, green_mode=None, wait=True, timeout=None) -> int
        
                    The client call to subscribe for event reception.
                    In the push model the client implements a callback method which is triggered when the
                    event is received. Filtering is done based on the reason specified and
                    the event type. For example when reading the state and the reason
                    specified is "change" the event will be fired only when the state
                    changes. Events consist of an attribute name and the event reason.
                    A standard set of reasons are implemented by the system, additional
                    device specific reasons can be implemented by device servers programmers.
        
            :param attr_name: The device attribute name which will be sent as an event, e.g., "current".
            :type attr_name: str
            :param event_type: The event reason, which must be one of the enumerated values in `EventType`. This includes:
                                * `EventType.CHANGE_EVENT`
                                * `EventType.PERIODIC_EVENT`
                                * `EventType.ARCHIVE_EVENT`
                                * `EventType.ATTR_CONF_EVENT`
                                * `EventType.DATA_READY_EVENT`
                                * `EventType.USER_EVENT`
            :type event_type: EventType
            :param cb: Any callable object or an object with a callable "push_event" method.
            :type cb: callable
            :param filters: A variable list of name, value pairs which define additional filters for events.
            :type filters: sequence<str>, optional
            :param stateless: When this flag is set to false, an exception will be thrown if the event subscription encounters a problem. With the stateless flag set to true, the event subscription will always succeed, even if the corresponding device server is not running. A keep-alive thread will attempt to subscribe for the specified event every 10 seconds, executing a callback with the corresponding exception at every retry.
            :type stateless: bool
            :param queuesize: the size of the event reception buffer. The event reception buffer is implemented as a round robin buffer. This way the client can set-up different ways to receive events:
                                * Event reception buffer size = 1 : The client is interested only in the value of the last event received. All other events that have been received since the last reading are discarded.
                                * Event reception buffer size > 1 : The client has chosen to keep an event history of a given size. When more events arrive since the last reading, older events will be discarded.
                                * Event reception buffer size = ALL_EVENTS : The client buffers all received events. The buffer size is unlimited and only restricted by the available memory for the client.
            :type queuesize: float, optional
            :param extract_as: (Description Needed)
            :type extract_as: ExtractAs
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. See `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: An event id which has to be specified when unsubscribing from this event.
            :rtype: int
        
            :raises EventSystemFailed: Raised in case of a failure in the event system.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
        
            
        """
    @staticmethod
    def unlock(*args, **kwargs):
        """
        
        
            unlock(self, (bool)force) -> None
        
                    Unlock a device. If used, the method argument provides a back
                    door on the locking system. If this argument is set to true,
                    the device will be unlocked even if the caller is not the locker.
                    This feature is provided for administration purpopse and should
                    be used very carefully. If this feature is used, the locker will
                    receive a DeviceUnlocked during the next call which is normally
                    protected by the locking Tango system.
        
                Parameters :
                    - force : (bool) force unlocking even if we are not the
                              locker (optional, default value is False)
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def unsubscribe_event(obj, *args, **kwargs):
        """
        
            unsubscribe_event(self, event_id, green_mode=None, wait=True, timeout=None) -> None
        
                Unsubscribes a client from receiving the event specified by event_id.
        
            :param event_id: The event identifier returned by `DeviceProxy::subscribe_event()`. Unlike in TangoC++, this implementation checks that the `event_id` has been subscribed to in this `DeviceProxy`.
            :type event_id: int
            :param green_mode: Defaults to the current `DeviceProxy` GreenMode. Refer to `tango.DeviceProxy.get_green_mode` and `tango.DeviceProxy.set_green_mode` for more details.
            :type green_mode: GreenMode
            :param wait: Specifies whether to wait for the result. If `green_mode` is *Synchronous*, this parameter is ignored as the operation always waits for the result. This parameter is also ignored when `green_mode` is Synchronous.
            :type wait: bool
            :param timeout: The number of seconds to wait for the result. If set to `None`, there is no limit on the wait time. This parameter is ignored when `green_mode` is Synchronous or when `wait` is False.
            :type timeout: float, optional
        
            :returns: None
        
            :raises EventSystemFailed: Raised in case of a failure in the event system.
            :raises KeyError: Raised if the specified `event_id` is not found or not subscribed in this `DeviceProxy`.
            
        """
    @staticmethod
    def write_attribute(obj, *args, **kwargs):
        """
        
            write_attribute(self, attr_name, value, green_mode=None, wait=True, timeout=None) -> None
            write_attribute(self, attr_info, value, green_mode=None, wait=True, timeout=None) -> None
        
                    Write a single attribute.
        
                Parameters :
                        - attr_name : (str) The name of the attribute to write.
                        - attr_info : (AttributeInfo)
                        - value : The value. For non SCALAR attributes it may be any sequence of sequences.
                        - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                       (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                       :meth:`~tango.DeviceProxy.set_green_mode`).
                        - wait       : (bool) whether or not to wait for result. If green_mode
                                       is *Synchronous*, this parameter is ignored as it always
                                       waits for the result.
                                       Ignored when green_mode is Synchronous (always waits).
                        - timeout    : (float) The number of seconds to wait for the result.
                                       If None, then there is no limit on the wait time.
                                       Ignored when green_mode is Synchronous or wait is False.
        
                Throws     : ConnectionFailed, CommunicationFailed, DeviceUnlocked, DevFailed from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
            .. versionadded:: 8.1.0
                *green_mode* parameter.
                *wait* parameter.
                *timeout* parameter.
            
        """
    @staticmethod
    def write_attribute_asynch(obj, *args, **kwargs):
        """
        
            write_attributes_asynch(self, attr_name, value, green_mode=None, wait=True, timeout=None) -> int
            write_attributes_asynch(self, attr_name, value, cb, green_mode=None, wait=True, timeout=None) -> None
        
                Write asynchronously the specified attribute.
        
            .. important::
                by default, TANGO is initialized with the **polling** model. If you want
                to use the **push** model (the one with the callback parameter), you
                need to change the global TANGO model to PUSH_CALLBACK.
                You can do this with the :meth:`tango.ApiUtil.set_asynch_cb_sub_model`
        
            :param attr_name: an attribute to write
            :type attr_name: str
        
            :param value: value to write
            :type value: Any
        
            :param cb: push model: as soon as attribute written, core calls cb with write results.
                This callback object should be an instance of a user class with an attr_written() method.
                It can also be any callable object.
            :type cb: Optional[Callable]
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: an asynchronous call identifier which is needed to get the server reply if poll model, None if push model
            :rtype: Union[int, None]
        
            :throws: ConnectionFailed
        
            
        """
    @staticmethod
    def write_attribute_reply(obj, *args, **kwargs):
        """
        
            write_attribute_reply(self, id, green_mode=None, wait=True) -> None
            write_attribute_reply(self, id, poll_timeout, green_mode=None, wait=True) -> None
        
                Check if the answer of an asynchronous write_attributes is arrived
                (polling model). If the reply is arrived and if it is a valid reply,
                the call returned. If the reply is an exception, it is re-thrown by
                this call. An exception is also thrown in case of the reply is not
                yet arrived.
        
            .. versionchanged:: 7.0.0 New in PyTango
            .. versionchanged:: 10.0.0 To eliminate confusion between different timeout parameters, the core (cppTango) timeout (previously the optional second positional argument) has been renamed to "poll_timeout". Conversely, the pyTango executor timeout remains as the keyword argument "timeout". These parameters have distinct meanings and units:
        
                - The cppTango "poll_timeout" is measured in milliseconds and blocks the call until a reply is received. If the reply is not received within the specified poll_timeout duration, an exception is thrown. Setting poll_timeout to 0 causes the call to wait indefinitely until a reply is received.
                - The pyTango "timeout" is measured in seconds and is applicable only in asynchronous GreenModes (Asyncio, Futures, Gevent), and only when "wait" is set to True. The specific behavior when a reply is not received within the specified timeout period varies depending on the GreenMode.
        
            :param id: the asynchronous call identifier
            :type id: int
        
            :param poll_timeout: cppTango core timeout in ms.
                If the reply has not yet arrived, the call will wait for the time specified (in ms).
                If after timeout, the reply is still not there, an exception is thrown.
                If timeout set to 0, the call waits until the reply arrives.
                If the argument is not provided, then there is no timeout check, and an
                exception is raised immediately if the reply is not ready.
            :type poll_timeout: Optional[int]
        
            :param extract_as: Defaults to numpy.
            :type extract_as: ExtractAs
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: pytango green executor timout. The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: None
            :rtype: None
        
            :throws: Union[AsynCall, AsynReplyNotArrived, ConnectionFailed, CommunicationFailed, DevFailed]
            
        """
    @staticmethod
    def write_attributes(obj, *args, **kwargs):
        """
        
            write_attributes(self, name_val, green_mode=None, wait=True, timeout=None) -> None
        
                    Write the specified attributes.
        
                Parameters :
                        - name_val: A list of pairs (attr_name, value). See write_attribute
                        - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                       (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                       :meth:`~tango.DeviceProxy.set_green_mode`).
                        - wait       : (bool) whether or not to wait for result. If green_mode
                                       is *Synchronous*, this parameter is ignored as it always
                                       waits for the result.
                                       Ignored when green_mode is Synchronous (always waits).
                        - timeout    : (float) The number of seconds to wait for the result.
                                       If None, then there is no limit on the wait time.
                                       Ignored when green_mode is Synchronous or wait is False.
        
                Throws     : ConnectionFailed, CommunicationFailed, DeviceUnlocked,
                             DevFailed or NamedDevFailedList from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
            .. versionadded:: 8.1.0
                *green_mode* parameter.
                *wait* parameter.
                *timeout* parameter.
            
        """
    @staticmethod
    def write_attributes_asynch(obj, *args, **kwargs):
        """
        
            write_attributes_asynch(self, values, green_mode=None, wait=True, timeout=None) -> int
            write_attributes_asynch(self, values, cb, green_mode=None, wait=True, timeout=None) -> None
        
                    Write asynchronously the specified attributes.
        
            .. important::
                by default, TANGO is initialized with the **polling** model. If you want
                to use the **push** model (the one with the callback parameter), you
                need to change the global TANGO model to PUSH_CALLBACK.
                You can do this with the :meth:`tango.ApiUtil.set_asynch_cb_sub_model`
        
            :param values: attributes to write
            :type values: Sequence[Sequence[str, Any]]
        
            :param cb: push model: as soon as attributes written, core calls cb with write results.
                This callback object should be an instance of a user class with an attr_written() method.
                It can also be any callable object.
            :type cb: Optional[Callable]
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: an asynchronous call identifier which is needed to get the server reply if poll model, None if push model
            :rtype: Union[int, None]
        
            :throws: ConnectionFailed
            
        """
    @staticmethod
    def write_attributes_reply(obj, *args, **kwargs):
        """
        
        
            write_attributes_reply(self, id, green_mode=None, wait=True) -> None
            write_attributes_reply(self, id, poll_timeout, green_mode=None, wait=True) -> None
        
                Check if the answer of an asynchronous write_attributes is arrived
                (polling model). If the reply is arrived and if it is a valid reply,
                the call returned. If the reply is an exception, it is re-thrown by
                this call. An exception is also thrown in case of the reply is not
                yet arrived.
        
            .. versionchanged:: 7.0.0 New in PyTango
            .. versionchanged:: 10.0.0 To eliminate confusion between different timeout parameters, the core (cppTango) timeout (previously the optional second positional argument) has been renamed to "poll_timeout". Conversely, the pyTango executor timeout remains as the keyword argument "timeout". These parameters have distinct meanings and units:
        
                - The cppTango "poll_timeout" is measured in milliseconds and blocks the call until a reply is received. If the reply is not received within the specified poll_timeout duration, an exception is thrown. Setting poll_timeout to 0 causes the call to wait indefinitely until a reply is received.
                - The pyTango "timeout" is measured in seconds and is applicable only in asynchronous GreenModes (Asyncio, Futures, Gevent), and only when "wait" is set to True. The specific behavior when a reply is not received within the specified timeout period varies depending on the GreenMode.
        
            :param id: the asynchronous call identifier
            :type id: int
        
            :param poll_timeout: cppTango core timeout in ms.
                If the reply has not yet arrived, the call will wait for the time specified (in ms).
                If after timeout, the reply is still not there, an exception is thrown.
                If timeout set to 0, the call waits until the reply arrives.
                If the argument is not provided, then there is no timeout check, and an
                exception is raised immediately if the reply is not ready.
            :type poll_timeout: Optional[int]
        
            :param extract_as: Defaults to numpy.
            :type extract_as: ExtractAs
        
            :param green_mode: Defaults to the current DeviceProxy GreenMode.
                (see :meth:`~tango.DeviceProxy.get_green_mode`
                and :meth:`~tango.DeviceProxy.set_green_mode`).
            :type green_mode: GreenMode
        
            :param wait: whether to wait for result. If green_mode
                 is *Synchronous*, this parameter is ignored as it always
                 waits for the result.
            :type wait: bool
        
            :param timeout: pytango green executor timout. The number of seconds to wait for the result.
                If None, then there is no limit on the wait time. Ignored when green_mode is Synchronous or wait is False.
            :type timeout: float
        
            :returns: None
            :rtype: None
        
            :throws: Union[AsynCall, AsynReplyNotArrived, ConnectionFailed, CommunicationFailed, DevFailed]
        
            
        """
    @staticmethod
    def write_pipe(obj, *args, **kwargs):
        """
        
            write_pipe(self, blob, green_mode=None, wait=True, timeout=None)
        
                    Write a *blob* to a single pipe. The *blob* comprises: a tuple with two elements: blob name (string) and blob
                    data (sequence). The blob data consists of a sequence where each element is a dictionary with the
                    following keys:
        
                    - name: blob element name
                    - dtype: tango data type
                    - value: blob element data (str for DevString, etc)
        
                In case dtype is ``DevPipeBlob``, value is also a *blob*.
        
                Parameters :
                    - blob       : a tuple with two elements: blob name (string) and blob
                                   data (sequence).
                    - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                   (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                   :meth:`~tango.DeviceProxy.set_green_mode`).
                    - wait       : (bool) whether or not to wait for result. If green_mode
                                   is *Synchronous*, this parameter is ignored as it always
                                   waits for the result.
                                   Ignored when green_mode is Synchronous (always waits).
                    - timeout    : (float) The number of seconds to wait for the result.
                                   If None, then there is no limit on the wait time.
                                   Ignored when green_mode is Synchronous or wait is False.
        
                Throws     : ConnectionFailed, CommunicationFailed, DevFailed from device
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
                New in PyTango 9.2.1
            
        """
    @staticmethod
    def write_read_attribute(obj, *args, **kwargs):
        """
        
            write_read_attribute(self, attr_name, value, extract_as=ExtractAs.Numpy, green_mode=None, wait=True, timeout=None) -> DeviceAttribute
        
                    Write then read a single attribute in a single network call.
                    By default (serialisation by device), the execution of this call in
                    the server can't be interrupted by other clients.
        
                Parameters : see write_attribute(attr_name, value)
                Return     : A tango.DeviceAttribute object.
        
                Throws     : ConnectionFailed, CommunicationFailed, DeviceUnlocked,
                             DevFailed from device, WrongData
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
                New in PyTango 7.0.0
        
            .. versionadded:: 8.1.0
                *green_mode* parameter.
                *wait* parameter.
                *timeout* parameter.
            
        """
    @staticmethod
    def write_read_attributes(obj, *args, **kwargs):
        """
        
            write_read_attributes(self, name_val, attr_names, extract_as=ExtractAs.Numpy, green_mode=None, wait=True, timeout=None) -> DeviceAttribute
        
                    Write then read attribute(s) in a single network call. By
                    default (serialisation by device), the execution of this
                    call in the server can't be interrupted by other clients.
                    On the server side, attribute(s) are first written and
                    if no exception has been thrown during the write phase,
                    attributes will be read.
        
                Parameters :
                        - name_val: A list of pairs (attr_name, value). See write_attribute
                        - attr_names : (sequence<str>) A list of attributes to read.
                        - extract_as : (ExtractAs) Defaults to numpy.
                        - green_mode : (GreenMode) Defaults to the current DeviceProxy GreenMode.
                                       (see :meth:`~tango.DeviceProxy.get_green_mode` and
                                       :meth:`~tango.DeviceProxy.set_green_mode`).
                        - wait       : (bool) whether or not to wait for result. If green_mode
                                       is *Synchronous*, this parameter is ignored as it always
                                       waits for the result.
                                       Ignored when green_mode is Synchronous (always waits).
                        - timeout    : (float) The number of seconds to wait for the result.
                                       If None, then there is no limit on the wait time.
                                       Ignored when green_mode is Synchronous or wait is False.
        
                Return     : (sequence<DeviceAttribute>)
        
                Throws     : ConnectionFailed, CommunicationFailed, DeviceUnlocked,
                             DevFailed from device, WrongData
                             TimeoutError (green_mode == Futures) If the future didn't finish executing before the given timeout.
                             Timeout (green_mode == Gevent) If the async result didn't finish executing before the given timeout.
        
                New in PyTango 9.2.0
            
        """
    def __contains__(self, key):
        ...
    def __get_attr_cache(self):
        ...
    def __get_cmd_cache(self):
        ...
    def __get_event_map(self):
        """
        
            Internal helper method
        """
    def __get_event_map_lock(self):
        """
        
            Internal helper method
        """
    def __get_pipe_cache(self):
        ...
    def __getattr__(self, name):
        ...
    def __getitem__(self, key):
        ...
    def __init__(self, *args, **kwargs):
        ...
    def __refresh_attr_cache(self):
        ...
    def __refresh_cmd_cache(self):
        ...
    def __refresh_pipe_cache(self):
        ...
    def __repr__(self):
        ...
    def __setattr__(self, name, value):
        ...
    def __setitem__(self, key, value):
        ...
    def __str__(self):
        ...
    def __unsubscribe_event_all(self):
        ...
    def _get_info_(self):
        """
        Protected method that gets device info once and stores it in cache
        """
    def freeze_dynamic_interface(self):
        """
        Prevent unknown attributes to be set on this DeviceProxy instance.
        
            An exception will be raised if the Python attribute set on this DeviceProxy
            instance does not already exist.  This prevents accidentally writing to
            a non-existent Tango attribute when using the high-level API.
        
            This is the default behaviour since PyTango 9.3.4.
        
            See also :meth:`tango.DeviceProxy.unfreeze_dynamic_interface`.
        
            .. versionadded:: 9.4.0
            
        """
    def get_events(self, event_id, callback = None, extract_as = ...):
        """
        
            get_events(self, event_id, callback=None, extract_as=Numpy) -> None
        
                The method extracts all waiting events from the event reception buffer.
        
                If callback is not None, it is executed for every event. During event
                subscription the client must have chosen the pull model for this event.
                The callback will receive a parameter of type EventData,
                AttrConfEventData or DataReadyEventData depending on the type of the
                event (event_type parameter of subscribe_event).
        
                If callback is None, the method extracts all waiting events from the
                event reception buffer. The returned event_list is a vector of
                EventData, AttrConfEventData or DataReadyEventData pointers, just
                the same data the callback would have received.
        
            :param event_id: The event identifier returned by the `DeviceProxy.subscribe_event()` method.
            :type event_id: int
            :param callback: Any callable object or any object with a "push_event" method.
            :type callback: callable
            :param extract_as: (Description Needed)
            :type extract_as: ExtractAs
        
            :returns: None
        
            :raises EventSystemFailed: Raised in case of a failure in the event system.
            :raises TypeError: Raised in case of an incorrect type of input arguments.
            :raises ValueError: Raised in case of an invalid value.
        
            :see also: :meth:`~tango.DeviceProxy.subscribe_event`
        
            
        """
    def get_green_mode(self):
        """
        Returns the green mode in use by this DeviceProxy.
        
            :returns: the green mode in use by this DeviceProxy.
            :rtype: GreenMode
        
            .. seealso::
                :func:`tango.get_green_mode`
                :func:`tango.set_green_mode`
        
            New in PyTango 8.1.0
            
        """
    def is_dynamic_interface_frozen(self):
        """
        Indicates if the dynamic interface for this DeviceProxy instance is frozen.
        
            See also :meth:`tango.DeviceProxy.freeze_dynamic_interface` and
            :meth:`tango.DeviceProxy.unfreeze_dynamic_interface`.
        
                :returns: True if the dynamic interface this DeviceProxy is frozen.
                :rtype: bool
        
            .. versionadded:: 9.4.0
            
        """
    def set_green_mode(self, green_mode = None):
        """
        Sets the green mode to be used by this DeviceProxy
            Setting it to None means use the global PyTango green mode
            (see :func:`tango.get_green_mode`).
        
            :param green_mode: the new green mode
            :type green_mode: GreenMode
        
            New in PyTango 8.1.0
            
        """
    def unfreeze_dynamic_interface(self):
        """
        Allow new attributes to be set on this DeviceProxy instance.
        
            An exception will not be raised if the Python attribute set on this DeviceProxy
            instance does not exist.  Instead, the new Python attribute will be added to
            the DeviceProxy instance's dictionary of attributes.  This may be useful, but
            a user will not get an error if they accidentally write to a non-existent Tango
            attribute when using the high-level API.
        
            See also :meth:`tango.DeviceProxy.freeze_dynamic_interface`.
        
            .. versionadded:: 9.4.0
            
        """
class Device_2Impl(DeviceImpl):
    __instance_size__: typing.ClassVar[int] = 1896
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_attribute_config_2(*args, **kwargs):
        """
        
        
            get_attribute_config_2(self, attr_names) -> list[AttributeConfig_2]
        
                Returns the list of AttributeConfig_2 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_2` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_2`]
            
        
        
            get_attribute_config_2(self, attr_names) -> list[AttributeConfig_2]
        
                Returns the list of AttributeConfig_2 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_2` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_2`]
            
        
        
            get_attribute_config_2(self, attr_names) -> list[AttributeConfig_2]
        
                Returns the list of AttributeConfig_2 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_2` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_2`]
            
        
        
            get_attribute_config_2(self, attr_names) -> list[AttributeConfig_2]
        
                Returns the list of AttributeConfig_2 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_2` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_2`]
            
        """
class Device_3Impl(Device_2Impl):
    __instance_size__: typing.ClassVar[int] = 1944
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def always_executed_hook(*args, **kwargs):
        """
        
        
            always_executed_hook(self)
        
                Hook method.
        
                Default method to implement an action necessary on a device before
                any command is executed. This method can be redefined in sub-classes
                in case of the default behaviour does not fullfill the needs
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def delete_device(*args, **kwargs):
        """
        
        
            delete_device(self)
        
                Delete the device.
            
        """
    @staticmethod
    def dev_state(*args, **kwargs):
        """
        
        
        
            dev_state(self) -> DevState
        
                Get device state.
        
                Default method to get device state. The behaviour of this method depends
                on the device state. If the device state is ON or ALARM, it reads the
                attribute(s) with an alarm level defined, check if the read value is
                above/below the alarm and eventually change the state to ALARM, return
                the device state. For all th other device state, this method simply
                returns the state This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device state
                :rtype: DevState
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def dev_status(*args, **kwargs):
        """
        
        
        
            dev_status(self) -> str
        
                Get device status.
        
                Default method to get device status. It returns the contents of the device
                dev_status field. If the device state is ALARM, alarm messages are added
                to the device status. This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device status
                :rtype: str
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def get_attribute_config_3(*args, **kwargs):
        """
        
        
            get_attribute_config_3(self, attr_name) -> list[AttributeConfig_3]
        
                Returns the list of AttributeConfig_3 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_3` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_3`]
            
        
        
            get_attribute_config_3(self, attr_name) -> list[AttributeConfig_3]
        
                Returns the list of AttributeConfig_3 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_3` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_3`]
            
        
        
            get_attribute_config_3(self, attr_name) -> list[AttributeConfig_3]
        
                Returns the list of AttributeConfig_3 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_3` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_3`]
            
        
        
            get_attribute_config_3(self, attr_name) -> list[AttributeConfig_3]
        
                Returns the list of AttributeConfig_3 for the requested names
        
                :param attr_names: sequence of str with attribute names
                :type attr_names: list[str]
        
                :returns: list of :class:`tango.AttributeConfig_3` for each requested attribute name
                :rtype: list[:class:`tango.AttributeConfig_3`]
            
        """
    @staticmethod
    def init_device(*args, **kwargs):
        ...
    @staticmethod
    def read_attr_hardware(*args, **kwargs):
        """
        
        
            read_attr_hardware(self, attr_list)
        
                Read the hardware to return attribute value(s).
        
                Default method to implement an action necessary on a device to read
                the hardware involved in a read attribute CORBA call. This method
                must be redefined in sub-classes in order to support attribute reading
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be read.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def server_init_hook(*args, **kwargs):
        """
        
        
            server_init_hook(self)
        
                Hook method.
        
                This method is called once the device server admin device is exported.
                This allows for instance for the different devices to subscribe
                to events at server startup on attributes from other devices
                of the same device server with stateless parameter set to false.
        
                This method can be redefined in sub-classes in case of the default
                behaviour does not fullfill the needs
            
        """
    @staticmethod
    def set_attribute_config_3(*args, **kwargs):
        """
        
        
            set_attribute_config_3(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig_3`]
        
                :returns: None
                :rtype: None
            
        
        
            set_attribute_config_3(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig_3`]
        
                :returns: None
                :rtype: None
            
        
        
            set_attribute_config_3(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig_3`]
        
                :returns: None
                :rtype: None
            
        
        
            set_attribute_config_3(self, new_conf) -> None
        
                Sets attribute configuration locally and in the Tango database
        
                :param new_conf: The new attribute(s) configuration. One AttributeConfig structure is needed for each attribute to update
                :type new_conf: list[:class:`tango.AttributeConfig_3`]
        
                :returns: None
                :rtype: None
            
        """
    @staticmethod
    def signal_handler(*args, **kwargs):
        """
        
        
            signal_handler(self, signo)
        
                Signal handler.
        
                The method executed when the signal arrived in the device server process.
                This method is defined as virtual and then, can be redefined following
                device needs.
        
                :param signo: the signal number
                :type signo: int
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def write_attr_hardware(*args, **kwargs):
        """
        
        
            write_attr_hardware(self)
        
                Write the hardware for attributes.
        
                Default method to implement an action necessary on a device to write
                the hardware involved in a write attribute. This method must be
                redefined in sub-classes in order to support writable attribute
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be written.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
class Device_4Impl(Device_3Impl):
    __instance_size__: typing.ClassVar[int] = 40
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def always_executed_hook(*args, **kwargs):
        """
        
        
            always_executed_hook(self)
        
                Hook method.
        
                Default method to implement an action necessary on a device before
                any command is executed. This method can be redefined in sub-classes
                in case of the default behaviour does not fullfill the needs
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def delete_device(*args, **kwargs):
        """
        
        
            delete_device(self)
        
                Delete the device.
            
        """
    @staticmethod
    def dev_state(*args, **kwargs):
        """
        
        
        
        
            dev_state(self) -> DevState
        
                Get device state.
        
                Default method to get device state. The behaviour of this method depends
                on the device state. If the device state is ON or ALARM, it reads the
                attribute(s) with an alarm level defined, check if the read value is
                above/below the alarm and eventually change the state to ALARM, return
                the device state. For all th other device state, this method simply
                returns the state This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device state
                :rtype: DevState
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def dev_status(*args, **kwargs):
        """
        
        
        
        
            dev_status(self) -> str
        
                Get device status.
        
                Default method to get device status. It returns the contents of the device
                dev_status field. If the device state is ALARM, alarm messages are added
                to the device status. This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device status
                :rtype: str
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def init_device(*args, **kwargs):
        ...
    @staticmethod
    def read_attr_hardware(*args, **kwargs):
        """
        
        
            read_attr_hardware(self, attr_list)
        
                Read the hardware to return attribute value(s).
        
                Default method to implement an action necessary on a device to read
                the hardware involved in a read attribute CORBA call. This method
                must be redefined in sub-classes in order to support attribute reading
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be read.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def server_init_hook(*args, **kwargs):
        """
        
        
            server_init_hook(self)
        
                Hook method.
        
                This method is called once the device server admin device is exported.
                This allows for instance for the different devices to subscribe
                to events at server startup on attributes from other devices
                of the same device server with stateless parameter set to false.
        
                This method can be redefined in sub-classes in case of the default
                behaviour does not fullfill the needs
            
        """
    @staticmethod
    def signal_handler(*args, **kwargs):
        """
        
        
            signal_handler(self, signo)
        
                Signal handler.
        
                The method executed when the signal arrived in the device server process.
                This method is defined as virtual and then, can be redefined following
                device needs.
        
                :param signo: the signal number
                :type signo: int
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def write_attr_hardware(*args, **kwargs):
        """
        
        
            write_attr_hardware(self)
        
                Write the hardware for attributes.
        
                Default method to implement an action necessary on a device to write
                the hardware involved in a write attribute. This method must be
                redefined in sub-classes in order to support writable attribute
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be written.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
class Device_5Impl(Device_4Impl):
    __instance_size__: typing.ClassVar[int] = 40
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def always_executed_hook(*args, **kwargs):
        """
        
        
            always_executed_hook(self)
        
                Hook method.
        
                Default method to implement an action necessary on a device before
                any command is executed. This method can be redefined in sub-classes
                in case of the default behaviour does not fullfill the needs
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def delete_device(*args, **kwargs):
        """
        
        
            delete_device(self)
        
                Delete the device.
            
        """
    @staticmethod
    def dev_state(*args, **kwargs):
        """
        
        
        
        
        
            dev_state(self) -> DevState
        
                Get device state.
        
                Default method to get device state. The behaviour of this method depends
                on the device state. If the device state is ON or ALARM, it reads the
                attribute(s) with an alarm level defined, check if the read value is
                above/below the alarm and eventually change the state to ALARM, return
                the device state. For all th other device state, this method simply
                returns the state This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device state
                :rtype: DevState
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def dev_status(*args, **kwargs):
        """
        
        
        
        
        
            dev_status(self) -> str
        
                Get device status.
        
                Default method to get device status. It returns the contents of the device
                dev_status field. If the device state is ALARM, alarm messages are added
                to the device status. This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device status
                :rtype: str
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def init_device(*args, **kwargs):
        ...
    @staticmethod
    def read_attr_hardware(*args, **kwargs):
        """
        
        
            read_attr_hardware(self, attr_list)
        
                Read the hardware to return attribute value(s).
        
                Default method to implement an action necessary on a device to read
                the hardware involved in a read attribute CORBA call. This method
                must be redefined in sub-classes in order to support attribute reading
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be read.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def server_init_hook(*args, **kwargs):
        """
        
        
            server_init_hook(self)
        
                Hook method.
        
                This method is called once the device server admin device is exported.
                This allows for instance for the different devices to subscribe
                to events at server startup on attributes from other devices
                of the same device server with stateless parameter set to false.
        
                This method can be redefined in sub-classes in case of the default
                behaviour does not fullfill the needs
            
        """
    @staticmethod
    def signal_handler(*args, **kwargs):
        """
        
        
            signal_handler(self, signo)
        
                Signal handler.
        
                The method executed when the signal arrived in the device server process.
                This method is defined as virtual and then, can be redefined following
                device needs.
        
                :param signo: the signal number
                :type signo: int
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def write_attr_hardware(*args, **kwargs):
        """
        
        
            write_attr_hardware(self)
        
                Write the hardware for attributes.
        
                Default method to implement an action necessary on a device to write
                the hardware involved in a write attribute. This method must be
                redefined in sub-classes in order to support writable attribute
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be written.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
class Device_6Impl(Device_5Impl):
    __instance_size__: typing.ClassVar[int] = 40
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def always_executed_hook(*args, **kwargs):
        """
        
        
            always_executed_hook(self)
        
                Hook method.
        
                Default method to implement an action necessary on a device before
                any command is executed. This method can be redefined in sub-classes
                in case of the default behaviour does not fullfill the needs
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def delete_device(*args, **kwargs):
        """
        
        
            delete_device(self)
        
                Delete the device.
            
        """
    @staticmethod
    def dev_state(*args, **kwargs):
        """
        
        
        
        
        
        
            dev_state(self) -> DevState
        
                Get device state.
        
                Default method to get device state. The behaviour of this method depends
                on the device state. If the device state is ON or ALARM, it reads the
                attribute(s) with an alarm level defined, check if the read value is
                above/below the alarm and eventually change the state to ALARM, return
                the device state. For all th other device state, this method simply
                returns the state This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device state
                :rtype: DevState
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def dev_status(*args, **kwargs):
        """
        
        
        
        
        
        
            dev_status(self) -> str
        
                Get device status.
        
                Default method to get device status. It returns the contents of the device
                dev_status field. If the device state is ALARM, alarm messages are added
                to the device status. This method can be redefined in sub-classes in case
                of the default behaviour does not fullfill the needs.
        
                :returns: the device status
                :rtype: str
        
                :raises DevFailed: If it is necessary to read attribute(s) and a problem occurs during the reading
            
        """
    @staticmethod
    def init_device(*args, **kwargs):
        ...
    @staticmethod
    def read_attr_hardware(*args, **kwargs):
        """
        
        
            read_attr_hardware(self, attr_list)
        
                Read the hardware to return attribute value(s).
        
                Default method to implement an action necessary on a device to read
                the hardware involved in a read attribute CORBA call. This method
                must be redefined in sub-classes in order to support attribute reading
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be read.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def server_init_hook(*args, **kwargs):
        """
        
        
            server_init_hook(self)
        
                Hook method.
        
                This method is called once the device server admin device is exported.
                This allows for instance for the different devices to subscribe
                to events at server startup on attributes from other devices
                of the same device server with stateless parameter set to false.
        
                This method can be redefined in sub-classes in case of the default
                behaviour does not fullfill the needs
            
        """
    @staticmethod
    def signal_handler(*args, **kwargs):
        """
        
        
            signal_handler(self, signo)
        
                Signal handler.
        
                The method executed when the signal arrived in the device server process.
                This method is defined as virtual and then, can be redefined following
                device needs.
        
                :param signo: the signal number
                :type signo: int
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
    @staticmethod
    def write_attr_hardware(*args, **kwargs):
        """
        
        
            write_attr_hardware(self)
        
                Write the hardware for attributes.
        
                Default method to implement an action necessary on a device to write
                the hardware involved in a write attribute. This method must be
                redefined in sub-classes in order to support writable attribute
        
                :param attr_list: list of indices in the device object attribute vector
                                  of an attribute to be written.
                :type attr_list: Sequence[int]
        
                :raises DevFailed: This method does not throw exception but a redefined method can.
            
        """
class DispLevel(Boost.Python.enum):
    """
    
        An enumeration representing the display level
    
            - OPERATOR
            - EXPERT
        
    """
    DL_UNKNOWN: typing.ClassVar[DispLevel]  # value = tango._tango.DispLevel.DL_UNKNOWN
    EXPERT: typing.ClassVar[DispLevel]  # value = tango._tango.DispLevel.EXPERT
    OPERATOR: typing.ClassVar[DispLevel]  # value = tango._tango.DispLevel.OPERATOR
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'OPERATOR': tango._tango.DispLevel.OPERATOR, 'EXPERT': tango._tango.DispLevel.EXPERT, 'DL_UNKNOWN': tango._tango.DispLevel.DL_UNKNOWN}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.DispLevel.OPERATOR, 1: tango._tango.DispLevel.EXPERT, 2: tango._tango.DispLevel.DL_UNKNOWN}
class EncodedAttribute(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 80
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _decode_gray16(*args, **kwargs):
        ...
    @staticmethod
    def _decode_gray8(*args, **kwargs):
        ...
    @staticmethod
    def _decode_rgb32(*args, **kwargs):
        ...
    @staticmethod
    def _encode_gray16(*args, **kwargs):
        ...
    @staticmethod
    def _encode_gray8(*args, **kwargs):
        ...
    @staticmethod
    def _encode_jpeg_gray8(*args, **kwargs):
        ...
    @staticmethod
    def _encode_jpeg_rgb24(*args, **kwargs):
        ...
    @staticmethod
    def _encode_jpeg_rgb32(*args, **kwargs):
        ...
    @staticmethod
    def _encode_rgb24(*args, **kwargs):
        ...
    def _generic_encode_gray8(self, gray8, width = 0, height = 0, quality = 0, format = ...):
        """
        Internal usage only
        """
    def _generic_encode_rgb24(self, rgb24, width = 0, height = 0, quality = 0, format = ...):
        """
        Internal usage only
        """
    def decode_gray16(self, da, extract_as = ...):
        """
        Decode a 16 bits grayscale image (GRAY16) and returns a 16 bits gray scale image.
        
             :param da: :class:`DeviceAttribute` that contains the image
             :type da: :class:`DeviceAttribute`
             :param extract_as: defaults to ExtractAs.Numpy
             :type extract_as: ExtractAs
             :return: the decoded data
        
             - In case String string is choosen as extract method, a tuple is returned:
                 width<int>, height<int>, buffer<str>
             - In case Numpy is choosen as extract method, a :class:`numpy.ndarray` is
               returned with ndim=2, shape=(height, width) and dtype=numpy.uint16.
             - In case Tuple or List are choosen, a tuple<tuple<int>> or list<list<int>>
               is returned.
        
            .. warning::
                The PyTango calls that return a :class:`DeviceAttribute`
                (like :meth:`DeviceProxy.read_attribute` or :meth:`DeviceProxy.command_inout`)
                automatically extract the contents by default. This method requires
                that the given :class:`DeviceAttribute` is obtained from a
                call which **DOESN'T** extract the contents. Example::
        
                    dev = tango.DeviceProxy("a/b/c")
                    da = dev.read_attribute("my_attr", extract_as=tango.ExtractAs.Nothing)
                    enc = tango.EncodedAttribute()
                    data = enc.decode_gray16(da)
            
        """
    def decode_gray8(self, da, extract_as = ...):
        """
        Decode a 8 bits grayscale image (JPEG_GRAY8 or GRAY8) and returns a 8 bits gray scale image.
        
             :param da: :class:`DeviceAttribute` that contains the image
             :type da: :class:`DeviceAttribute`
             :param extract_as: defaults to ExtractAs.Numpy
             :type extract_as: ExtractAs
             :return: the decoded data
        
             - In case String string is choosen as extract method, a tuple is returned:
                 width<int>, height<int>, buffer<str>
             - In case Numpy is choosen as extract method, a :class:`numpy.ndarray` is
               returned with ndim=2, shape=(height, width) and dtype=numpy.uint8.
             - In case Tuple or List are choosen, a tuple<tuple<int>> or list<list<int>>
               is returned.
        
            .. warning::
                The PyTango calls that return a :class:`DeviceAttribute`
                (like :meth:`DeviceProxy.read_attribute` or :meth:`DeviceProxy.command_inout`)
                automatically extract the contents by default. This method requires
                that the given :class:`DeviceAttribute` is obtained from a
                call which **DOESN'T** extract the contents. Example::
        
                    dev = tango.DeviceProxy("a/b/c")
                    da = dev.read_attribute("my_attr", extract_as=tango.ExtractAs.Nothing)
                    enc = tango.EncodedAttribute()
                    data = enc.decode_gray8(da)
            
        """
    def decode_rgb32(self, da, extract_as = ...):
        """
        Decode a color image (JPEG_RGB or RGB24) and returns a 32 bits RGB image.
        
             :param da: :class:`DeviceAttribute` that contains the image
             :type da: :class:`DeviceAttribute`
             :param extract_as: defaults to ExtractAs.Numpy
             :type extract_as: ExtractAs
             :return: the decoded data
        
             - In case String string is choosen as extract method, a tuple is returned:
                 width<int>, height<int>, buffer<str>
             - In case Numpy is choosen as extract method, a :class:`numpy.ndarray` is
               returned with ndim=2, shape=(height, width) and dtype=numpy.uint32.
             - In case Tuple or List are choosen, a tuple<tuple<int>> or list<list<int>>
               is returned.
        
            .. warning::
                The PyTango calls that return a :class:`DeviceAttribute`
                (like :meth:`DeviceProxy.read_attribute` or :meth:`DeviceProxy.command_inout`)
                automatically extract the contents by default. This method requires
                that the given :class:`DeviceAttribute` is obtained from a
                call which **DOESN'T** extract the contents. Example::
        
                    dev = tango.DeviceProxy("a/b/c")
                    da = dev.read_attribute("my_attr", extract_as=tango.ExtractAs.Nothing)
                    enc = tango.EncodedAttribute()
                    data = enc.decode_rgb32(da)
            
        """
    def encode_gray16(self, gray16, width = 0, height = 0):
        """
        Encode a 16 bit grayscale image (no compression)
        
                :param gray16: an object containning image information
                :type gray16: :py:obj:`str` or :py:obj:`buffer` or :class:`numpy.ndarray` or seq< seq<element> >
                :param width: image width. **MUST** be given if gray16 is a string or
                              if it is a :class:`numpy.ndarray` with ndims != 2.
                              Otherwise it is calculated internally.
                :type width: :py:obj:`int`
                :param height: image height. **MUST** be given if gray16 is a string
                               or if it is a :class:`numpy.ndarray` with ndims != 2.
                               Otherwise it is calculated internally.
                :type height: :py:obj:`int`
        
            .. note::
                When :class:`numpy.ndarray` is given:
        
                    - gray16 **MUST** be CONTIGUOUS, ALIGNED
                    - if gray16.ndims != 2, width and height **MUST** be given and
                      gray16.nbytes/2 **MUST** match width*height
                    - if gray16.ndims == 2, gray16.itemsize **MUST** be 2 (typically,
                      gray16.dtype is one of `numpy.dtype.int16`, `numpy.dtype.uint16`,
                      `numpy.dtype.short` or `numpy.dtype.ushort`)
        
            Example::
        
                def read_myattr(self):
                    enc = tango.EncodedAttribute()
                    data = numpy.arange(100, dtype=numpy.int16)
                    data = numpy.array((data,data,data))
                    enc.encode_gray16(data)
                    return enc
            
        """
    def encode_gray8(self, gray8, width = 0, height = 0):
        """
        Encode a 8 bit grayscale image (no compression)
        
                :param gray8: an object containning image information
                :type gray8: :py:obj:`str` or :class:`numpy.ndarray` or seq< seq<element> >
                :param width: image width. **MUST** be given if gray8 is a string or
                              if it is a :class:`numpy.ndarray` with ndims != 2.
                              Otherwise it is calculated internally.
                :type width: :py:obj:`int`
                :param height: image height. **MUST** be given if gray8 is a string
                               or if it is a :class:`numpy.ndarray` with ndims != 2.
                               Otherwise it is calculated internally.
                :type height: :py:obj:`int`
        
            .. note::
                When :class:`numpy.ndarray` is given:
        
                    - gray8 **MUST** be CONTIGUOUS, ALIGNED
                    - if gray8.ndims != 2, width and height **MUST** be given and
                      gray8.nbytes **MUST** match width*height
                    - if gray8.ndims == 2, gray8.itemsize **MUST** be 1 (typically,
                      gray8.dtype is one of `numpy.dtype.byte`, `numpy.dtype.ubyte`,
                      `numpy.dtype.int8` or `numpy.dtype.uint8`)
        
            Example::
        
                def read_myattr(self):
                    enc = tango.EncodedAttribute()
                    data = numpy.arange(100, dtype=numpy.byte)
                    data = numpy.array((data,data,data))
                    enc.encode_gray8(data)
                    return enc
            
        """
    def encode_jpeg_gray8(self, gray8, width = 0, height = 0, quality = 100.0):
        """
        Encode a 8 bit grayscale image as JPEG format
        
                :param gray8: an object containning image information
                :type gray8: :py:obj:`str` or :class:`numpy.ndarray` or seq< seq<element> >
                :param width: image width. **MUST** be given if gray8 is a string or
                              if it is a :class:`numpy.ndarray` with ndims != 2.
                              Otherwise it is calculated internally.
                :type width: :py:obj:`int`
                :param height: image height. **MUST** be given if gray8 is a string
                               or if it is a :class:`numpy.ndarray` with ndims != 2.
                               Otherwise it is calculated internally.
                :type height: :py:obj:`int`
                :param quality: Quality of JPEG (0=poor quality 100=max quality) (default is 100.0)
                :type quality: :py:obj:`float`
        
            .. note::
                When :class:`numpy.ndarray` is given:
        
                    - gray8 **MUST** be CONTIGUOUS, ALIGNED
                    - if gray8.ndims != 2, width and height **MUST** be given and
                      gray8.nbytes **MUST** match width*height
                    - if gray8.ndims == 2, gray8.itemsize **MUST** be 1 (typically,
                      gray8.dtype is one of `numpy.dtype.byte`, `numpy.dtype.ubyte`,
                      `numpy.dtype.int8` or `numpy.dtype.uint8`)
        
            Example::
        
                def read_myattr(self):
                    enc = tango.EncodedAttribute()
                    data = numpy.arange(100, dtype=numpy.byte)
                    data = numpy.array((data,data,data))
                    enc.encode_jpeg_gray8(data)
                    return enc
            
        """
    def encode_jpeg_rgb24(self, rgb24, width = 0, height = 0, quality = 100.0):
        """
        Encode a 24 bit rgb color image as JPEG format.
        
                :param rgb24: an object containning image information
                :type rgb24: :py:obj:`str` or :class:`numpy.ndarray` or seq< seq<element> >
                :param width: image width. **MUST** be given if rgb24 is a string or
                              if it is a :class:`numpy.ndarray` with ndims != 3.
                              Otherwise it is calculated internally.
                :type width: :py:obj:`int`
                :param height: image height. **MUST** be given if rgb24 is a string
                               or if it is a :class:`numpy.ndarray` with ndims != 3.
                               Otherwise it is calculated internally.
                :type height: :py:obj:`int`
                :param quality: Quality of JPEG (0=poor quality 100=max quality) (default is 100.0)
                :type quality: :py:obj:`float`
        
            .. note::
                When :class:`numpy.ndarray` is given:
        
                    - rgb24 **MUST** be CONTIGUOUS, ALIGNED
                    - if rgb24.ndims != 3, width and height **MUST** be given and
                      rgb24.nbytes/3 **MUST** match width*height
                    - if rgb24.ndims == 3, rgb24.itemsize **MUST** be 1 (typically,
                      rgb24.dtype is one of `numpy.dtype.byte`, `numpy.dtype.ubyte`,
                      `numpy.dtype.int8` or `numpy.dtype.uint8`) and shape **MUST** be
                      (height, width, 3)
        
            Example::
        
                def read_myattr(self):
                    enc = tango.EncodedAttribute()
                    # create an 'image' where each pixel is R=0x01, G=0x01, B=0x01
                    arr = numpy.ones((10,10,3), dtype=numpy.uint8)
                    enc.encode_jpeg_rgb24(data)
                    return enc
            
        """
    def encode_jpeg_rgb32(self, rgb32, width = 0, height = 0, quality = 100.0):
        """
        Encode a 32 bit rgb color image as JPEG format.
        
                :param rgb32: an object containning image information
                :type rgb32: :py:obj:`str` or :class:`numpy.ndarray` or seq< seq<element> >
                :param width: image width. **MUST** be given if rgb32 is a string or
                              if it is a :class:`numpy.ndarray` with ndims != 2.
                              Otherwise it is calculated internally.
                :type width: :py:obj:`int`
                :param height: image height. **MUST** be given if rgb32 is a string
                               or if it is a :class:`numpy.ndarray` with ndims != 2.
                               Otherwise it is calculated internally.
                :type height: :py:obj:`int`
        
            .. note::
                When :class:`numpy.ndarray` is given:
        
                    - rgb32 **MUST** be CONTIGUOUS, ALIGNED
                    - if rgb32.ndims != 2, width and height **MUST** be given and
                      rgb32.nbytes/4 **MUST** match width*height
                    - if rgb32.ndims == 2, rgb32.itemsize **MUST** be 4 (typically,
                      rgb32.dtype is one of `numpy.dtype.int32`, `numpy.dtype.uint32`)
        
            .. note::
        
                Encoding with transparency information required cppTango built with `TANGO_USE_JPEG` options
                see installation instructions of cppTango
        
            Example::
        
                def read_myattr(self):
                    enc = tango.EncodedAttribute()
                    data = numpy.arange(100, dtype=numpy.int32)
                    data = numpy.array((data,data,data))
                    enc.encode_jpeg_rgb32(data)
                    return enc
            
        """
    def encode_rgb24(self, rgb24, width = 0, height = 0):
        """
        Encode a 24 bit color image (no compression)
        
                :param rgb24: an object containning image information
                :type rgb24: :py:obj:`str` or :class:`numpy.ndarray` or seq< seq<element> >
                :param width: image width. **MUST** be given if rgb24 is a string or
                              if it is a :class:`numpy.ndarray` with ndims != 3.
                              Otherwise it is calculated internally.
                :type width: :py:obj:`int`
                :param height: image height. **MUST** be given if rgb24 is a string
                               or if it is a :class:`numpy.ndarray` with ndims != 3.
                               Otherwise it is calculated internally.
                :type height: :py:obj:`int`
        
            .. note::
                When :class:`numpy.ndarray` is given:
        
                    - rgb24 **MUST** be CONTIGUOUS, ALIGNED
                    - if rgb24.ndims != 3, width and height **MUST** be given and
                      rgb24.nbytes/3 **MUST** match width*height
                    - if rgb24.ndims == 3, rgb24.itemsize **MUST** be 1 (typically,
                      rgb24.dtype is one of `numpy.dtype.byte`, `numpy.dtype.ubyte`,
                      `numpy.dtype.int8` or `numpy.dtype.uint8`) and shape **MUST** be
                      (height, width, 3)
        
            Example::
        
                def read_myattr(self):
                    enc = tango.EncodedAttribute()
                    # create an 'image' where each pixel is R=0x01, G=0x01, B=0x01
                    arr = numpy.ones((10,10,3), dtype=numpy.uint8)
                    enc.encode_rgb24(data)
                    return enc
            
        """
class EnsureOmniThread(Boost.Python.instance):
    """
    
        Tango servers and clients that start their own additional threads
        that will interact with Tango must guard these threads within this
        Python context.  This is especially important when working with
        event subscriptions, and pushing events.
    
        This context handler class ensures a non-omniORB thread will still
        get a dummy omniORB thread ID - cppTango requires threads to
        be identifiable in this way.  It should only be acquired once for
        the lifetime of the thread, and must be released before the thread
        is cleaned up.
    
        Here is an example::
    
            import tango
            from threading import Thread
            from time import sleep
    
    
            def my_thread_run():
                with tango.EnsureOmniThread():
                    eid = dp.subscribe_event(
                        "double_scalar", tango.EventType.PERIODIC_EVENT, cb)
                    while running:
                        print(f"num events stored {len(cb.get_events())}")
                        sleep(1)
                    dp.unsubscribe_event(eid)
    
    
            cb = tango.utils.EventCallback()  # print events to stdout
            dp = tango.DeviceProxy("sys/tg_test/1")
            dp.poll_attribute("double_scalar", 1000)
            thread = Thread(target=my_thread_run)
            running = True
            thread.start()
            sleep(5)
            running = False
            thread.join()
    
        .. versionadded:: 9.3.2
        
    """
    __instance_size__: typing.ClassVar[int] = 32
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _acquire(*args, **kwargs):
        ...
    @staticmethod
    def _release(*args, **kwargs):
        ...
    def __enter__(self):
        ...
    def __exit__(self, exc_type, exc_value, traceback):
        ...
class ErrSeverity(Boost.Python.enum):
    """
    
        An enumeration representing the error severity
    
            - WARN
            - ERR
            - PANIC
        
    """
    ERR: typing.ClassVar[ErrSeverity]  # value = tango._tango.ErrSeverity.ERR
    PANIC: typing.ClassVar[ErrSeverity]  # value = tango._tango.ErrSeverity.PANIC
    WARN: typing.ClassVar[ErrSeverity]  # value = tango._tango.ErrSeverity.WARN
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'WARN': tango._tango.ErrSeverity.WARN, 'ERR': tango._tango.ErrSeverity.ERR, 'PANIC': tango._tango.ErrSeverity.PANIC}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.ErrSeverity.WARN, 1: tango._tango.ErrSeverity.ERR, 2: tango._tango.ErrSeverity.PANIC}
class EventData(Boost.Python.instance):
    """
    
        This class is used to pass data to the callback method when an event
        is sent to the client. It contains the following public fields:
    
             - device : (DeviceProxy) The DeviceProxy object on which the call was
               executed.
             - attr_name : (str) The attribute name
             - event : (str) The event name
             - attr_value : (DeviceAttribute) The attribute data (DeviceAttribute)
             - err : (bool) A boolean flag set to true if the request failed. False
               otherwise
             - errors : (sequence<DevError>) The error stack
             - reception_date: (TimeVal)
        
    """
    __instance_size__: typing.ClassVar[int] = 136
    attr_value = None
    device = None
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        """
        
        
            get_date(self) -> TimeVal
        
                    Returns the timestamp of the event.
        
                Parameters : None
                Return     : (TimeVal) the timestamp of the event
        
                New in PyTango 7.0.0
            
        """
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def attr_name(*args, **kwargs):
        ...
    @attr_name.setter
    def attr_name(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @err.setter
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @errors.setter
    def errors(*args, **kwargs):
        ...
    @property
    def event(*args, **kwargs):
        ...
    @event.setter
    def event(*args, **kwargs):
        ...
    @property
    def reception_date(*args, **kwargs):
        ...
    @reception_date.setter
    def reception_date(*args, **kwargs):
        ...
class EventType(Boost.Python.enum):
    """
    
        An enumeration representing event type
    
            - CHANGE_EVENT
            - QUALITY_EVENT
            - PERIODIC_EVENT
            - ARCHIVE_EVENT
            - USER_EVENT
            - ATTR_CONF_EVENT
            - DATA_READY_EVENT
            - INTERFACE_CHANGE_EVENT
            - PIPE_EVENT
    
            *DATA_READY_EVENT - New in PyTango 7.0.0*
            *INTERFACE_CHANGE_EVENT - New in PyTango 9.2.2*
            *PIPE_EVENT - New in PyTango 9.2.2*
    
        
    """
    ALARM_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.ALARM_EVENT
    ARCHIVE_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.ARCHIVE_EVENT
    ATTR_CONF_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.ATTR_CONF_EVENT
    CHANGE_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.CHANGE_EVENT
    DATA_READY_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.DATA_READY_EVENT
    INTERFACE_CHANGE_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.INTERFACE_CHANGE_EVENT
    PERIODIC_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.PERIODIC_EVENT
    PIPE_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.PIPE_EVENT
    QUALITY_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.QUALITY_EVENT
    USER_EVENT: typing.ClassVar[EventType]  # value = tango._tango.EventType.USER_EVENT
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'CHANGE_EVENT': tango._tango.EventType.CHANGE_EVENT, 'QUALITY_EVENT': tango._tango.EventType.QUALITY_EVENT, 'PERIODIC_EVENT': tango._tango.EventType.PERIODIC_EVENT, 'ARCHIVE_EVENT': tango._tango.EventType.ARCHIVE_EVENT, 'USER_EVENT': tango._tango.EventType.USER_EVENT, 'ATTR_CONF_EVENT': tango._tango.EventType.ATTR_CONF_EVENT, 'DATA_READY_EVENT': tango._tango.EventType.DATA_READY_EVENT, 'INTERFACE_CHANGE_EVENT': tango._tango.EventType.INTERFACE_CHANGE_EVENT, 'PIPE_EVENT': tango._tango.EventType.PIPE_EVENT, 'ALARM_EVENT': tango._tango.EventType.ALARM_EVENT}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.EventType.CHANGE_EVENT, 1: tango._tango.EventType.QUALITY_EVENT, 2: tango._tango.EventType.PERIODIC_EVENT, 3: tango._tango.EventType.ARCHIVE_EVENT, 4: tango._tango.EventType.USER_EVENT, 5: tango._tango.EventType.ATTR_CONF_EVENT, 6: tango._tango.EventType.DATA_READY_EVENT, 7: tango._tango.EventType.INTERFACE_CHANGE_EVENT, 8: tango._tango.EventType.PIPE_EVENT, 9: tango._tango.EventType.ALARM_EVENT}
class Except(Boost.Python.instance):
    """
    
        A containner for the static methods:
    
            - throw_exception
            - re_throw_exception
            - print_exception
            - compare_exception
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def compare_exception(*args, **kwargs):
        ...
    @staticmethod
    def print_error_stack(*args, **kwargs):
        """
        
        
            print_error_stack(ex) -> None
        
                    Print all the details of a TANGO error stack.
        
                Parameters :
                    - ex     : (tango.DevErrorList) The error stack reference
            
        """
    @staticmethod
    def print_exception(*args, **kwargs):
        """
        
        
            print_exception(ex) -> None
        
                    Print all the details of a TANGO exception.
        
                Parameters :
                    - ex     : (tango.DevFailed) The :class:`~tango.DevFailed` exception
            
        """
    @staticmethod
    def re_throw_exception(*args, **kwargs):
        """
        
        
            re_throw_exception(ex, reason, desc, origin, sever=tango.ErrSeverity.ERR) -> None
        
                    Re-throw a TANGO :class:`~tango.DevFailed` exception with one more error.
                    The exception is re-thrown with one more :class:`~tango.DevError` object.
                    A default value *tango.ErrSeverity.ERR* is defined for the new
                    :class:`~tango.DevError` severity field.
        
                Parameters :
                    - ex     : (tango.DevFailed) The :class:`~tango.DevFailed` exception
                    - reason : (str) The exception :class:`~tango.DevError` object reason field
                    - desc   : (str) The exception :class:`~tango.DevError` object desc field
                    - origin : (str) The exception :class:`~tango.DevError` object origin field
                    - sever  : (tango.ErrSeverity) The exception DevError object severity field
        
                Throws     : DevFailed
            
        """
    @staticmethod
    def throw_exception(*args, **kwargs):
        """
        
        
            throw_exception(reason, desc, origin, sever=tango.ErrSeverity.ERR) -> None
        
                    Generate and throw a TANGO DevFailed exception.
                    The exception is created with a single :class:`~tango.DevError`
                    object. A default value *tango.ErrSeverity.ERR* is defined for
                    the :class:`~tango.DevError` severity field.
        
                Parameters :
                    - reason : (str) The exception :class:`~tango.DevError` object reason field
                    - desc   : (str) The exception :class:`~tango.DevError` object desc field
                    - origin : (str) The exception :class:`~tango.DevError` object origin field
                    - sever  : (tango.ErrSeverity) The exception DevError object severity field
        
                Throws     : DevFailed
            
        """
    @staticmethod
    def throw_python_exception(*args, **kwargs):
        """
        
        
            throw_python_exception(type, value, traceback) -> None
        
                    Generate and throw a TANGO DevFailed exception.
                    The exception is created with a single :class:`~tango.DevError`
                    object. A default value *tango.ErrSeverity.ERR* is defined for
                    the :class:`~tango.DevError` severity field.
        
                    The parameters are the same as the ones generates by a call to
                    :func:`sys.exc_info`.
        
                Parameters :
                    - type : (class)  the exception type of the exception being handled
                    - value : (object) exception parameter (its associated value or the
                              second argument to raise, which is always a class instance
                              if the exception type is a class object)
                    - traceback : (traceback) traceback object
        
                Throws     : DevFailed
        
                New in PyTango 7.2.1
            
        """
    @staticmethod
    def to_dev_failed(exc_type = None, exc_value = None, traceback = None):
        """
        to_dev_failed(exc_type, exc_value, traceback) -> tango.DevFailed
        
                Generate a TANGO DevFailed exception.
                The exception is created with a single :class:`~tango.DevError`
                object. A default value *tango.ErrSeverity.ERR* is defined for
                the :class:`~tango.DevError` severity field.
        
                The parameters are the same as the ones generates by a call to
                :func:`sys.exc_info`.
        
            Parameters :
                - type : (class)  the exception type of the exception being handled
                - value : (object) exception parameter (its associated value or the
                          second argument to raise, which is always a class instance
                          if the exception type is a class object)
                - traceback : (traceback) traceback object
        
            Return     : (tango.DevFailed) a tango exception object
        
            New in PyTango 7.2.1
        """
class ExtractAs(Boost.Python.enum):
    """
    
        Defines what will go into value field of DeviceAttribute, or what will
        Attribute.get_write_value() return... Not all the possible values are valid
        in all the cases.
    
        Valid possible values are:
    
            - Numpy    : Value will be stored in [value, w_value]. If the
              attribute is an scalar, they will contain a value. If it's
              an SPECTRUM or IMAGE it will be exported as a numpy array.
            - Tuple    : Value will be stored in [value, w_value]. If the
              attribute is an scalar, they will contain a value. If it's
              an SPECTRUM or IMAGE it will be exported as a tuple or
              tuple of tuples.
            - List     : Value will be stored in [value, w_value]. If the
              attribute is an scalar, they will contain a value. If it's
              an SPECTRUM or IMAGE it will be exported as a list or list
              of lists
            - String   : The data will be stored 'as is', the binary data
              as it comes from TangoC++ in 'value'.
            - Nothing  : The value will not be extracted from DeviceAttribute
        
    """
    ByteArray: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.ByteArray
    Bytes: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Bytes
    List: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.List
    Nothing: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Nothing
    Numpy: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Numpy
    String: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.String
    Tuple: typing.ClassVar[ExtractAs]  # value = tango._tango.ExtractAs.Tuple
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'Numpy': tango._tango.ExtractAs.Numpy, 'ByteArray': tango._tango.ExtractAs.ByteArray, 'Bytes': tango._tango.ExtractAs.Bytes, 'Tuple': tango._tango.ExtractAs.Tuple, 'List': tango._tango.ExtractAs.List, 'String': tango._tango.ExtractAs.String, 'Nothing': tango._tango.ExtractAs.Nothing}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.ExtractAs.Numpy, 1: tango._tango.ExtractAs.ByteArray, 2: tango._tango.ExtractAs.Bytes, 3: tango._tango.ExtractAs.Tuple, 4: tango._tango.ExtractAs.List, 5: tango._tango.ExtractAs.String, 7: tango._tango.ExtractAs.Nothing}
class FwdAttr(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 320
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def set_default_properties(*args, **kwargs):
        ...
class GreenMode(Boost.Python.enum):
    """
    
        An enumeration representing the GreenMode
    
            - Synchronous
            - Futures
            - Gevent
    
        New in PyTango 8.1.0
        
    """
    Asyncio: typing.ClassVar[GreenMode]  # value = tango._tango.GreenMode.Asyncio
    Futures: typing.ClassVar[GreenMode]  # value = tango._tango.GreenMode.Futures
    Gevent: typing.ClassVar[GreenMode]  # value = tango._tango.GreenMode.Gevent
    Synchronous: typing.ClassVar[GreenMode]  # value = tango._tango.GreenMode.Synchronous
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'Synchronous': tango._tango.GreenMode.Synchronous, 'Futures': tango._tango.GreenMode.Futures, 'Gevent': tango._tango.GreenMode.Gevent, 'Asyncio': tango._tango.GreenMode.Asyncio}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.GreenMode.Synchronous, 1: tango._tango.GreenMode.Futures, 2: tango._tango.GreenMode.Gevent, 3: tango._tango.GreenMode.Asyncio}
class GroupAttrReply(GroupReply):
    @staticmethod
    def __get_data(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    def get_data(self, extract_as = ...):
        """
        
            get_data(self, extract_as=ExtractAs.Numpy) -> DeviceAttribute
        
                    Get the DeviceAttribute.
        
                Parameters :
                    - extract_as : (ExtractAs)
        
                Return     : (DeviceAttribute) Whatever is stored there, or None.
            
        """
class GroupAttrReplyList(StdGroupAttrReplyVector):
    __instance_size__: typing.ClassVar[int] = 64
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    @staticmethod
    def push_back(*args, **kwargs):
        ...
    @staticmethod
    def reset(*args, **kwargs):
        ...
    def __GroupReplyList_original_getitem(self, key):
        ...
    def __getitem__(self, item):
        ...
    def __iter__(self):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class GroupCmdReply(GroupReply):
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_data_raw(*args, **kwargs):
        """
        
        
            get_data_raw(self) -> any
        
                    Get the DeviceData containing the output parameter
                    of the command.
        
                Parameters : None
                Return     : (DeviceData) Whatever is stored there, or None.
            
        """
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    def get_data(self):
        """
        
            get_data(self) -> any
        
                    Get the actual value stored in the GroupCmdRply, the command
                    output value.
                    It's the same as self.get_data_raw().extract()
        
                Parameters : None
                Return     : (any) Whatever is stored there, or None.
            
        """
class GroupCmdReplyList(StdGroupCmdReplyVector):
    __instance_size__: typing.ClassVar[int] = 64
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    @staticmethod
    def push_back(*args, **kwargs):
        ...
    @staticmethod
    def reset(*args, **kwargs):
        ...
    def __GroupReplyList_original_getitem(self, key):
        ...
    def __getitem__(self, item):
        ...
    def __iter__(self):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class GroupReply(Boost.Python.instance):
    """
    
            This is the base class for the result of an operation on a
            PyTangoGroup, being it a write attribute, read attribute, or
            command inout operation.
    
            It has some trivial common operations:
    
                - has_failed(self) -> bool
                - group_element_enabled(self) ->bool
                - dev_name(self) -> str
                - obj_name(self) -> str
                - get_err_stack(self) -> DevErrorList
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def dev_name(*args, **kwargs):
        ...
    @staticmethod
    def get_err_stack(*args, **kwargs):
        ...
    @staticmethod
    def group_element_enabled(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    @staticmethod
    def obj_name(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
class GroupReplyList(StdGroupReplyVector):
    __instance_size__: typing.ClassVar[int] = 64
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    @staticmethod
    def push_back(*args, **kwargs):
        ...
    @staticmethod
    def reset(*args, **kwargs):
        ...
    def __GroupReplyList_original_getitem(self, key):
        ...
    def __getitem__(self, item):
        ...
    def __iter__(self):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class ImageAttr(SpectrumAttr):
    __instance_size__: typing.ClassVar[int] = 232
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
class Interceptors(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 32
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def create_thread(*args, **kwargs):
        ...
    @staticmethod
    def delete_thread(*args, **kwargs):
        ...
class KeepAliveCmdCode(Boost.Python.enum):
    """
    
        An enumeration representing the KeepAliveCmdCode
    
            - EXIT_TH
    
        New in PyTango 7.0.0
        
    """
    EXIT_TH: typing.ClassVar[KeepAliveCmdCode]  # value = tango._tango.KeepAliveCmdCode.EXIT_TH
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'EXIT_TH': tango._tango.KeepAliveCmdCode.EXIT_TH}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.KeepAliveCmdCode.EXIT_TH}
class Level(Boost.Python.instance):
    class LevelLevel(Boost.Python.enum):
        DEBUG: typing.ClassVar[LevelLevel]  # value = tango._tango.LevelLevel.DEBUG
        ERROR: typing.ClassVar[LevelLevel]  # value = tango._tango.LevelLevel.ERROR
        FATAL: typing.ClassVar[LevelLevel]  # value = tango._tango.LevelLevel.FATAL
        INFO: typing.ClassVar[LevelLevel]  # value = tango._tango.LevelLevel.INFO
        OFF: typing.ClassVar[LevelLevel]  # value = tango._tango.LevelLevel.OFF
        WARN: typing.ClassVar[LevelLevel]  # value = tango._tango.LevelLevel.WARN
        __slots__: typing.ClassVar[tuple] = tuple()
        names: typing.ClassVar[dict]  # value = {'OFF': tango._tango.LevelLevel.OFF, 'FATAL': tango._tango.LevelLevel.FATAL, 'ERROR': tango._tango.LevelLevel.ERROR, 'WARN': tango._tango.LevelLevel.WARN, 'INFO': tango._tango.LevelLevel.INFO, 'DEBUG': tango._tango.LevelLevel.DEBUG}
        values: typing.ClassVar[dict]  # value = {100: tango._tango.LevelLevel.OFF, 200: tango._tango.LevelLevel.FATAL, 300: tango._tango.LevelLevel.ERROR, 400: tango._tango.LevelLevel.WARN, 500: tango._tango.LevelLevel.INFO, 600: tango._tango.LevelLevel.DEBUG}
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_name(*args, **kwargs):
        ...
    @staticmethod
    def get_value(*args, **kwargs):
        ...
class LockCmdCode(Boost.Python.enum):
    """
    
        An enumeration representing the LockCmdCode
    
            - LOCK_ADD_DEV
            - LOCK_REM_DEV
            - LOCK_UNLOCK_ALL_EXIT
            - LOCK_EXIT
    
        New in PyTango 7.0.0
        
    """
    LOCK_ADD_DEV: typing.ClassVar[LockCmdCode]  # value = tango._tango.LockCmdCode.LOCK_ADD_DEV
    LOCK_EXIT: typing.ClassVar[LockCmdCode]  # value = tango._tango.LockCmdCode.LOCK_EXIT
    LOCK_REM_DEV: typing.ClassVar[LockCmdCode]  # value = tango._tango.LockCmdCode.LOCK_REM_DEV
    LOCK_UNLOCK_ALL_EXIT: typing.ClassVar[LockCmdCode]  # value = tango._tango.LockCmdCode.LOCK_UNLOCK_ALL_EXIT
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'LOCK_ADD_DEV': tango._tango.LockCmdCode.LOCK_ADD_DEV, 'LOCK_REM_DEV': tango._tango.LockCmdCode.LOCK_REM_DEV, 'LOCK_UNLOCK_ALL_EXIT': tango._tango.LockCmdCode.LOCK_UNLOCK_ALL_EXIT, 'LOCK_EXIT': tango._tango.LockCmdCode.LOCK_EXIT}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.LockCmdCode.LOCK_ADD_DEV, 1: tango._tango.LockCmdCode.LOCK_REM_DEV, 2: tango._tango.LockCmdCode.LOCK_UNLOCK_ALL_EXIT, 3: tango._tango.LockCmdCode.LOCK_EXIT}
class LockerInfo(Boost.Python.instance):
    """
    
        A structure with information about the locker with the following members:
    
            - ll : (tango.LockerLanguage) the locker language
            - li : (pid_t / UUID) the locker id
            - locker_host : (str) the host
            - locker_class : (str) the class
    
            pid_t should be an int, UUID should be a tuple of four numbers.
    
            New in PyTango 7.0.0
    """
    __instance_size__: typing.ClassVar[int] = 112
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def li(*args, **kwargs):
        ...
    @property
    def ll(*args, **kwargs):
        ...
    @property
    def locker_class(*args, **kwargs):
        ...
    @property
    def locker_host(*args, **kwargs):
        ...
class LockerLanguage(Boost.Python.enum):
    """
    
        An enumeration representing the programming language in which the
        client application who locked is written.
    
            - CPP : C++/Python language
            - JAVA : Java language
    
        New in PyTango 7.0.0
        
    """
    CPP: typing.ClassVar[LockerLanguage]  # value = tango._tango.LockerLanguage.CPP
    JAVA: typing.ClassVar[LockerLanguage]  # value = tango._tango.LockerLanguage.JAVA
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'CPP': tango._tango.LockerLanguage.CPP, 'JAVA': tango._tango.LockerLanguage.JAVA}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.LockerLanguage.CPP, 1: tango._tango.LockerLanguage.JAVA}
class LogLevel(Boost.Python.enum):
    """
    
        An enumeration representing the LogLevel
    
            - LOG_OFF
            - LOG_FATAL
            - LOG_ERROR
            - LOG_WARN
            - LOG_INFO
            - LOG_DEBUG
    
        New in PyTango 7.0.0
        
    """
    LOG_DEBUG: typing.ClassVar[LogLevel]  # value = tango._tango.LogLevel.LOG_DEBUG
    LOG_ERROR: typing.ClassVar[LogLevel]  # value = tango._tango.LogLevel.LOG_ERROR
    LOG_FATAL: typing.ClassVar[LogLevel]  # value = tango._tango.LogLevel.LOG_FATAL
    LOG_INFO: typing.ClassVar[LogLevel]  # value = tango._tango.LogLevel.LOG_INFO
    LOG_OFF: typing.ClassVar[LogLevel]  # value = tango._tango.LogLevel.LOG_OFF
    LOG_WARN: typing.ClassVar[LogLevel]  # value = tango._tango.LogLevel.LOG_WARN
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'LOG_OFF': tango._tango.LogLevel.LOG_OFF, 'LOG_FATAL': tango._tango.LogLevel.LOG_FATAL, 'LOG_ERROR': tango._tango.LogLevel.LOG_ERROR, 'LOG_WARN': tango._tango.LogLevel.LOG_WARN, 'LOG_INFO': tango._tango.LogLevel.LOG_INFO, 'LOG_DEBUG': tango._tango.LogLevel.LOG_DEBUG}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.LogLevel.LOG_OFF, 1: tango._tango.LogLevel.LOG_FATAL, 2: tango._tango.LogLevel.LOG_ERROR, 3: tango._tango.LogLevel.LOG_WARN, 4: tango._tango.LogLevel.LOG_INFO, 5: tango._tango.LogLevel.LOG_DEBUG}
class LogTarget(Boost.Python.enum):
    """
    
        An enumeration representing the LogTarget
    
            - LOG_CONSOLE
            - LOG_FILE
            - LOG_DEVICE
    
        New in PyTango 7.0.0
        
    """
    LOG_CONSOLE: typing.ClassVar[LogTarget]  # value = tango._tango.LogTarget.LOG_CONSOLE
    LOG_DEVICE: typing.ClassVar[LogTarget]  # value = tango._tango.LogTarget.LOG_DEVICE
    LOG_FILE: typing.ClassVar[LogTarget]  # value = tango._tango.LogTarget.LOG_FILE
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'LOG_CONSOLE': tango._tango.LogTarget.LOG_CONSOLE, 'LOG_FILE': tango._tango.LogTarget.LOG_FILE, 'LOG_DEVICE': tango._tango.LogTarget.LOG_DEVICE}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.LogTarget.LOG_CONSOLE, 1: tango._tango.LogTarget.LOG_FILE, 2: tango._tango.LogTarget.LOG_DEVICE}
class Logger(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 152
    @staticmethod
    def __debug(*args, **kwargs):
        ...
    @staticmethod
    def __error(*args, **kwargs):
        ...
    @staticmethod
    def __fatal(*args, **kwargs):
        ...
    @staticmethod
    def __info(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __log(*args, **kwargs):
        ...
    @staticmethod
    def __log_unconditionally(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __warn(*args, **kwargs):
        ...
    @staticmethod
    def get_level(*args, **kwargs):
        ...
    @staticmethod
    def get_name(*args, **kwargs):
        ...
    @staticmethod
    def is_debug_enabled(*args, **kwargs):
        ...
    @staticmethod
    def is_error_enabled(*args, **kwargs):
        ...
    @staticmethod
    def is_fatal_enabled(*args, **kwargs):
        ...
    @staticmethod
    def is_info_enabled(*args, **kwargs):
        ...
    @staticmethod
    def is_level_enabled(*args, **kwargs):
        ...
    @staticmethod
    def is_warn_enabled(*args, **kwargs):
        ...
    @staticmethod
    def set_level(*args, **kwargs):
        ...
    def debug(self, msg, *args):
        """
        
            debug(self, msg, *args)
        
                Sends the given message to the tango debug stream.
        
                :param msg: the message to be sent to the debug stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def error(self, msg, *args):
        """
        
            error(self, msg, *args)
        
                Sends the given message to the tango error stream.
        
                :param msg: the message to be sent to the error stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def fatal(self, msg, *args):
        """
        
            fatal(self, msg, *args)
        
                Sends the given message to the tango fatal stream.
        
                :param msg: the message to be sent to the fatal stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def info(self, msg, *args):
        """
        
            info(self, msg, *args)
        
                Sends the given message to the tango info stream.
        
                :param msg: the message to be sent to the info stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def log(self, level, msg, *args):
        """
        
            log(self, level, msg, *args)
        
                Sends the given message to the tango the selected stream.
        
                :param level: Log level
                :type level: Level.LevelLevel
                :param msg: the message to be sent to the stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def log_unconditionally(self, level, msg, *args):
        """
        
            log_unconditionally(self, level, msg, *args)
        
                Sends the given message to the tango the selected stream,
                without checking the level.
        
                :param level: Log level
                :type level: Level.LevelLevel
                :param msg: the message to be sent to the stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def warn(self, msg, *args):
        """
        
            warn(self, msg, *args)
        
                Sends the given message to the tango warn stream.
        
                :param msg: the message to be sent to the warn stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
    def warning(self, msg, *args):
        """
        
            warn(self, msg, *args)
        
                Sends the given message to the tango warn stream.
        
                :param msg: the message to be sent to the warn stream
                :type msg: str
                :param args: list of optional message arguments
                :type args: Sequence[str]
            
        """
class Logging(Boost.Python.instance):
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def add_logging_target(*args, **kwargs):
        ...
    @staticmethod
    def get_core_logger(*args, **kwargs):
        ...
    @staticmethod
    def remove_logging_target(*args, **kwargs):
        ...
    @staticmethod
    def start_logging(*args, **kwargs):
        ...
    @staticmethod
    def stop_logging(*args, **kwargs):
        ...
class MessBoxType(Boost.Python.enum):
    """
    
        An enumeration representing the MessBoxType
    
            - STOP
            - INFO
    
        New in PyTango 7.0.0
        
    """
    INFO: typing.ClassVar[MessBoxType]  # value = tango._tango.MessBoxType.INFO
    STOP: typing.ClassVar[MessBoxType]  # value = tango._tango.MessBoxType.STOP
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'STOP': tango._tango.MessBoxType.STOP, 'INFO': tango._tango.MessBoxType.INFO}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.MessBoxType.STOP, 1: tango._tango.MessBoxType.INFO}
class MultiAttribute(Boost.Python.instance):
    """
    
        There is one instance of this class for each device.
        This class is mainly an aggregate of :class:`~tango.Attribute` or
        :class:`~tango.WAttribute` objects. It eases management of multiple
        attributes
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def check_alarm(*args, **kwargs):
        """
        
        
            check_alarm(self) -> bool
        
                .. function:: check_alarm(self, attr_name) -> bool
                              check_alarm(self, ind) -> bool
                    :noindex:
        
                Checks an alarm.
        
                - The 1st version of the method checks alarm on all attribute(s) with an alarm defined.
                - The 2nd version of the method checks alarm for one attribute with a given name.
                - The 3rd version of the method checks alarm for one attribute from its index in the main attributes vector.
        
                :param attr_name: attribute name
                :type attr_name: str
                :param ind: the attribute index
                :type ind: int
        
                :returns: True if at least one attribute is in alarm condition
                :rtype: bool
        
                :raises DevFailed: If at least one attribute does not have any alarm level defined
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_alarm_list(*args, **kwargs):
        ...
    @staticmethod
    def get_attr_by_ind(*args, **kwargs):
        """
        
        
            get_attr_by_ind(self, ind) -> Attribute
        
                Get :class:`~tango.Attribute` object from its index.
        
                This method returns an :class:`~tango.Attribute` object from the
                index in the main attribute vector.
        
                :param ind: the attribute index
                :type ind: int
        
                :returns: the attribute object
                :rtype: Attribute
            
        """
    @staticmethod
    def get_attr_by_name(*args, **kwargs):
        """
        
        
            get_attr_by_name(self, attr_name) -> Attribute
        
                Get :class:`~tango.Attribute` object from its name.
        
                This method returns an :class:`~tango.Attribute` object with a
                name passed as parameter. The equality on attribute name is case
                independant.
        
                :param attr_name: attribute name
                :type attr_name: str
        
                :returns: the attribute object
                :rtype: Attribute
        
                :raises DevFailed: If the attribute is not defined.
            
        """
    @staticmethod
    def get_attr_ind_by_name(*args, **kwargs):
        """
        
        
            get_attr_ind_by_name(self, attr_name) -> int
        
                Get Attribute index into the main attribute vector from its name.
        
                This method returns the index in the Attribute vector (stored in the
                :class:`~tango.MultiAttribute` object) of an attribute with a
                given name. The name equality is case independant.
        
                :param attr_name: attribute name
                :type attr_name: str
        
                :returns: the attribute index
                :rtype: int
        
                :raises DevFailed: If the attribute is not found in the vector.
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_attr_nb(*args, **kwargs):
        """
        
        
            get_attr_nb(self) -> int
        
                Get attribute number.
        
                :returns: the number of attributes
                :rtype: int
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_attribute_list(*args, **kwargs):
        """
        
        
            get_attribute_list(self) -> Sequence[Attribute]
        
                Get the list of attribute objects.
        
                :returns: list of attribute objects
                :rtype: Sequence[Attribute]
        
                New in PyTango 7.2.1
            
        """
    @staticmethod
    def get_w_attr_by_ind(*args, **kwargs):
        """
        
        
            get_w_attr_by_ind(self, ind) -> WAttribute
        
                Get a writable attribute object from its index.
        
                This method returns an :class:`~tango.WAttribute` object from the
                index in the main attribute vector.
        
                :param ind: the attribute index
                :type ind: int
        
                :returns: the attribute object
                :rtype: WAttribute
            
        """
    @staticmethod
    def get_w_attr_by_name(*args, **kwargs):
        """
        
        
            get_w_attr_by_name(self, attr_name) -> WAttribute
        
                Get a writable attribute object from its name.
        
                This method returns an :class:`~tango.WAttribute` object with a
                name passed as parameter. The equality on attribute name is case
                independant.
        
                :param attr_name: attribute name
                :type attr_name: str
        
                :returns: the attribute object
                :rtype: WAttribute
        
                :raises DevFailed: If the attribute is not defined.
            
        """
    @staticmethod
    def read_alarm(*args, **kwargs):
        """
        
        
            read_alarm(self, status)
        
                Add alarm message to device status.
        
                This method add alarm mesage to the string passed as parameter.
                A message is added for each attribute which is in alarm condition
        
                :param status: a string (should be the device status)
                :type status: str
        
                New in PyTango 7.0.0
            
        """
class MultiClassAttribute(Boost.Python.instance):
    """
    
        There is one instance of this class for each device class.
    
        This class is mainly an aggregate of :class:`~tango.Attr` objects.
        It eases management of multiple attributes
    
        New in PyTango 7.2.1
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_attr(*args, **kwargs):
        """
        
        
            get_attr(self, attr_name) -> Attr
        
                Get the :class:`~tango.Attr` object for the attribute with
                name passed as parameter.
        
                :param attr_name: attribute name
                :type attr_name: str
        
                :returns: the attribute object
                :rtype: Attr
        
                :raises DevFailed: If the attribute is not defined.
        
                New in PyTango 7.2.1
            
        """
    @staticmethod
    def get_attr_list(*args, **kwargs):
        """
        
        
            get_attr_list(self) -> Sequence[Attr]
        
                Get the list of :class:`~tango.Attr` for this device class.
        
                :returns: the list of attribute objects
                :rtype: Sequence[Attr]
        
                New in PyTango 7.2.1
            
        """
    @staticmethod
    def remove_attr(*args, **kwargs):
        """
        
        
            remove_attr(self, attr_name, cl_name)
        
                Remove the :class:`~tango.Attr` object for the attribute with
                name passed as parameter.
        
                Does nothing if the attribute does not exist.
        
                :param attr_name: attribute name
                :type attr_name: str
                :param cl_name: the attribute class name
                :type cl_name: str
        
                New in PyTango 7.2.1
            
        """
class NamedDevFailed(Boost.Python.instance):
    """
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @property
    def err_stack(*args, **kwargs):
        ...
    @property
    def idx_in_call(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
class NamedDevFailedList(Boost.Python.instance):
    """
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def call_failed(*args, **kwargs):
        ...
    @staticmethod
    def get_faulty_attr_nb(*args, **kwargs):
        ...
    @property
    def err_list(*args, **kwargs):
        ...
class PeriodicEventInfo(Boost.Python.instance):
    """
    
        A structure containing available periodic event information for an attribute
        with the following members:
    
            - period : (str) event period
            - extensions : (StdStringVector) extensions (currently not used)
    """
    __instance_size__: typing.ClassVar[int] = 72
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __getinitargs__(self):
        ...
    def __getstate__(self):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __setstate__(self, state):
        ...
    def __str__(self):
        ...
    @property
    def extensions(*args, **kwargs):
        ...
    @extensions.setter
    def extensions(*args, **kwargs):
        ...
    @property
    def period(*args, **kwargs):
        ...
    @period.setter
    def period(*args, **kwargs):
        ...
class Pipe(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 400
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _set_value(*args, **kwargs):
        ...
    @staticmethod
    def get_desc(*args, **kwargs):
        ...
    @staticmethod
    def get_disp_level(*args, **kwargs):
        ...
    @staticmethod
    def get_label(*args, **kwargs):
        ...
    @staticmethod
    def get_name(*args, **kwargs):
        ...
    @staticmethod
    def get_pipe_serial_model(*args, **kwargs):
        ...
    @staticmethod
    def get_root_blob_name(*args, **kwargs):
        ...
    @staticmethod
    def get_value(*args, **kwargs):
        ...
    @staticmethod
    def get_writable(*args, **kwargs):
        ...
    @staticmethod
    def has_failed(*args, **kwargs):
        ...
    @staticmethod
    def set_default_properties(*args, **kwargs):
        ...
    @staticmethod
    def set_name(*args, **kwargs):
        ...
    @staticmethod
    def set_pipe_serial_model(*args, **kwargs):
        ...
    @staticmethod
    def set_root_blob_name(*args, **kwargs):
        ...
    def set_value(self, value):
        """
        
            Set the pipe value. Check ref:`pipe data types <pytango-pipe-data-types>`:
            for more information on which values are supported
            
        """
class PipeEventData(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 136
    device = None
    pipe_value = None
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_date(*args, **kwargs):
        ...
    @property
    def err(*args, **kwargs):
        ...
    @err.setter
    def err(*args, **kwargs):
        ...
    @property
    def errors(*args, **kwargs):
        ...
    @errors.setter
    def errors(*args, **kwargs):
        ...
    @property
    def event(*args, **kwargs):
        ...
    @event.setter
    def event(*args, **kwargs):
        ...
    @property
    def pipe_name(*args, **kwargs):
        ...
    @pipe_name.setter
    def pipe_name(*args, **kwargs):
        ...
    @property
    def reception_date(*args, **kwargs):
        ...
    @reception_date.setter
    def reception_date(*args, **kwargs):
        ...
class PipeInfo(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 128
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        ...
    @property
    def description(*args, **kwargs):
        ...
    @description.setter
    def description(*args, **kwargs):
        ...
    @property
    def disp_level(*args, **kwargs):
        ...
    @disp_level.setter
    def disp_level(*args, **kwargs):
        ...
    @property
    def extensions(*args, **kwargs):
        ...
    @extensions.setter
    def extensions(*args, **kwargs):
        ...
    @property
    def label(*args, **kwargs):
        ...
    @label.setter
    def label(*args, **kwargs):
        ...
    @property
    def name(*args, **kwargs):
        ...
    @name.setter
    def name(*args, **kwargs):
        ...
    @property
    def writable(*args, **kwargs):
        ...
    @writable.setter
    def writable(*args, **kwargs):
        ...
class PipeInfoList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __getitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class PipeList(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __getitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
class PipeSerialModel(Boost.Python.enum):
    PIPE_BY_KERNEL: typing.ClassVar[PipeSerialModel]  # value = tango._tango.PipeSerialModel.PIPE_BY_KERNEL
    PIPE_BY_USER: typing.ClassVar[PipeSerialModel]  # value = tango._tango.PipeSerialModel.PIPE_BY_USER
    PIPE_NO_SYNC: typing.ClassVar[PipeSerialModel]  # value = tango._tango.PipeSerialModel.PIPE_NO_SYNC
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'PIPE_NO_SYNC': tango._tango.PipeSerialModel.PIPE_NO_SYNC, 'PIPE_BY_KERNEL': tango._tango.PipeSerialModel.PIPE_BY_KERNEL, 'PIPE_BY_USER': tango._tango.PipeSerialModel.PIPE_BY_USER}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.PipeSerialModel.PIPE_NO_SYNC, 1: tango._tango.PipeSerialModel.PIPE_BY_KERNEL, 2: tango._tango.PipeSerialModel.PIPE_BY_USER}
class PipeWriteType(Boost.Python.enum):
    """
    
        An enumeration representing the pipe type
    
            - PIPE_READ
            - PIPE_READ_WRITE
        
    """
    PIPE_READ: typing.ClassVar[PipeWriteType]  # value = tango._tango.PipeWriteType.PIPE_READ
    PIPE_READ_WRITE: typing.ClassVar[PipeWriteType]  # value = tango._tango.PipeWriteType.PIPE_READ_WRITE
    PIPE_WT_UNKNOWN: typing.ClassVar[PipeWriteType]  # value = tango._tango.PipeWriteType.PIPE_WT_UNKNOWN
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'PIPE_READ': tango._tango.PipeWriteType.PIPE_READ, 'PIPE_READ_WRITE': tango._tango.PipeWriteType.PIPE_READ_WRITE, 'PIPE_WT_UNKNOWN': tango._tango.PipeWriteType.PIPE_WT_UNKNOWN}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.PipeWriteType.PIPE_READ, 1: tango._tango.PipeWriteType.PIPE_READ_WRITE, 2: tango._tango.PipeWriteType.PIPE_WT_UNKNOWN}
class PollCmdCode(Boost.Python.enum):
    """
    
        An enumeration representing the PollCmdCode
    
            - POLL_ADD_OBJ
            - POLL_REM_OBJ
            - POLL_START
            - POLL_STOP
            - POLL_UPD_PERIOD
            - POLL_REM_DEV
            - POLL_EXIT
            - POLL_REM_EXT_TRIG_OBJ
            - POLL_ADD_HEARTBEAT
            - POLL_REM_HEARTBEAT
    
        New in PyTango 7.0.0
        
    """
    POLL_ADD_HEARTBEAT: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_ADD_HEARTBEAT
    POLL_ADD_OBJ: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_ADD_OBJ
    POLL_EXIT: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_EXIT
    POLL_REM_DEV: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_REM_DEV
    POLL_REM_EXT_TRIG_OBJ: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_REM_EXT_TRIG_OBJ
    POLL_REM_HEARTBEAT: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_REM_HEARTBEAT
    POLL_REM_OBJ: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_REM_OBJ
    POLL_START: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_START
    POLL_STOP: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_STOP
    POLL_UPD_PERIOD: typing.ClassVar[PollCmdCode]  # value = tango._tango.PollCmdCode.POLL_UPD_PERIOD
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'POLL_ADD_OBJ': tango._tango.PollCmdCode.POLL_ADD_OBJ, 'POLL_REM_OBJ': tango._tango.PollCmdCode.POLL_REM_OBJ, 'POLL_START': tango._tango.PollCmdCode.POLL_START, 'POLL_STOP': tango._tango.PollCmdCode.POLL_STOP, 'POLL_UPD_PERIOD': tango._tango.PollCmdCode.POLL_UPD_PERIOD, 'POLL_REM_DEV': tango._tango.PollCmdCode.POLL_REM_DEV, 'POLL_EXIT': tango._tango.PollCmdCode.POLL_EXIT, 'POLL_REM_EXT_TRIG_OBJ': tango._tango.PollCmdCode.POLL_REM_EXT_TRIG_OBJ, 'POLL_ADD_HEARTBEAT': tango._tango.PollCmdCode.POLL_ADD_HEARTBEAT, 'POLL_REM_HEARTBEAT': tango._tango.PollCmdCode.POLL_REM_HEARTBEAT}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.PollCmdCode.POLL_ADD_OBJ, 1: tango._tango.PollCmdCode.POLL_REM_OBJ, 2: tango._tango.PollCmdCode.POLL_START, 3: tango._tango.PollCmdCode.POLL_STOP, 4: tango._tango.PollCmdCode.POLL_UPD_PERIOD, 5: tango._tango.PollCmdCode.POLL_REM_DEV, 6: tango._tango.PollCmdCode.POLL_EXIT, 7: tango._tango.PollCmdCode.POLL_REM_EXT_TRIG_OBJ, 8: tango._tango.PollCmdCode.POLL_ADD_HEARTBEAT, 9: tango._tango.PollCmdCode.POLL_REM_HEARTBEAT}
class PollDevice(Boost.Python.instance):
    """
    
        A structure containing PollDevice information with the following members:
    
            - dev_name : (str) device name
            - ind_list : (sequence<int>) index list
    
            New in PyTango 7.0.0
    """
    __instance_size__: typing.ClassVar[int] = 72
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @property
    def dev_name(*args, **kwargs):
        ...
    @dev_name.setter
    def dev_name(*args, **kwargs):
        ...
    @property
    def ind_list(*args, **kwargs):
        ...
    @ind_list.setter
    def ind_list(*args, **kwargs):
        ...
class PollObjType(Boost.Python.enum):
    """
    
        An enumeration representing the PollObjType
    
            - POLL_CMD
            - POLL_ATTR
            - EVENT_HEARTBEAT
            - STORE_SUBDEV
    
        New in PyTango 7.0.0
        
    """
    EVENT_HEARTBEAT: typing.ClassVar[PollObjType]  # value = tango._tango.PollObjType.EVENT_HEARTBEAT
    POLL_ATTR: typing.ClassVar[PollObjType]  # value = tango._tango.PollObjType.POLL_ATTR
    POLL_CMD: typing.ClassVar[PollObjType]  # value = tango._tango.PollObjType.POLL_CMD
    STORE_SUBDEV: typing.ClassVar[PollObjType]  # value = tango._tango.PollObjType.STORE_SUBDEV
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'POLL_CMD': tango._tango.PollObjType.POLL_CMD, 'POLL_ATTR': tango._tango.PollObjType.POLL_ATTR, 'EVENT_HEARTBEAT': tango._tango.PollObjType.EVENT_HEARTBEAT, 'STORE_SUBDEV': tango._tango.PollObjType.STORE_SUBDEV}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.PollObjType.POLL_CMD, 1: tango._tango.PollObjType.POLL_ATTR, 2: tango._tango.PollObjType.EVENT_HEARTBEAT, 3: tango._tango.PollObjType.STORE_SUBDEV}
class SerialModel(Boost.Python.enum):
    """
    
        An enumeration representing the type of serialization performed by the device server
    
            - BY_DEVICE
            - BY_CLASS
            - BY_PROCESS
            - NO_SYNC
        
    """
    BY_CLASS: typing.ClassVar[SerialModel]  # value = tango._tango.SerialModel.BY_CLASS
    BY_DEVICE: typing.ClassVar[SerialModel]  # value = tango._tango.SerialModel.BY_DEVICE
    BY_PROCESS: typing.ClassVar[SerialModel]  # value = tango._tango.SerialModel.BY_PROCESS
    NO_SYNC: typing.ClassVar[SerialModel]  # value = tango._tango.SerialModel.NO_SYNC
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'BY_DEVICE': tango._tango.SerialModel.BY_DEVICE, 'BY_CLASS': tango._tango.SerialModel.BY_CLASS, 'BY_PROCESS': tango._tango.SerialModel.BY_PROCESS, 'NO_SYNC': tango._tango.SerialModel.NO_SYNC}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.SerialModel.BY_DEVICE, 1: tango._tango.SerialModel.BY_CLASS, 2: tango._tango.SerialModel.BY_PROCESS, 3: tango._tango.SerialModel.NO_SYNC}
class SpectrumAttr(Attr):
    __instance_size__: typing.ClassVar[int] = 216
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
class StdDoubleVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
class StdGroupAttrReplyVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
class StdGroupCmdReplyVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
class StdGroupReplyVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
class StdLongVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class StdNamedDevFailedVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __getitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
class StdStringVector(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 48
    @staticmethod
    def __contains__(*args, **kwargs):
        ...
    @staticmethod
    def __delitem__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __iter__(*args, **kwargs):
        ...
    @staticmethod
    def __len__(*args, **kwargs):
        ...
    @staticmethod
    def __original_getitem(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def __setitem__(*args, **kwargs):
        ...
    @staticmethod
    def append(*args, **kwargs):
        ...
    @staticmethod
    def extend(*args, **kwargs):
        ...
    def __add__(self, seq):
        ...
    def __getitem__(self, key):
        ...
    def __imul__(self, n):
        ...
    def __mul__(self, n):
        ...
    def __repr__(self):
        ...
    def __str__(self):
        ...
class SubDevDiag(Boost.Python.instance):
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_associated_device(*args, **kwargs):
        ...
    @staticmethod
    def get_sub_devices(*args, **kwargs):
        ...
    @staticmethod
    def get_sub_devices_from_cache(*args, **kwargs):
        ...
    @staticmethod
    def register_sub_device(*args, **kwargs):
        ...
    @staticmethod
    def remove_sub_devices(*args, **kwargs):
        ...
    @staticmethod
    def set_associated_device(*args, **kwargs):
        ...
    @staticmethod
    def store_sub_devices(*args, **kwargs):
        ...
class TimeVal(Boost.Python.instance):
    """
    
        Time value structure with the following members:
    
            - tv_sec : seconds
            - tv_usec : microseconds
            - tv_nsec : nanoseconds
    """
    __instance_size__: typing.ClassVar[int] = 40
    @staticmethod
    def __init_original(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def fromdatetime(dt):
        """
        
            fromdatetime(dt) -> TimeVal
        
                A static method returning a :class:`tango.TimeVal` object representing
                the given :class:`datetime.datetime`
        
                Parameters :
                    - dt : (datetime.datetime) a datetime object
                Return     : (TimeVal) representing the given timestamp
        
            .. versionadded:: 7.1.0
        
            .. versionadded:: 7.1.2
                Documented
            
        """
    @staticmethod
    def fromtimestamp(ts):
        """
        
            fromtimestamp(ts) -> TimeVal
        
                A static method returning a :class:`tango.TimeVal` object representing
                the given timestamp
        
                Parameters :
                    - ts : (float) a timestamp
                Return     : (TimeVal) representing the given timestamp
        
            .. versionadded:: 7.1.0
        """
    @staticmethod
    def now():
        """
        
            now() -> TimeVal
        
                A static method returning a :class:`tango.TimeVal` object representing
                the current time
        
                Parameters : None
                Return     : (TimeVal) representing the current time
        
            .. versionadded:: 7.1.0
        
            .. versionadded:: 7.1.2
                Documented
            
        """
    def __init__(self, a = None, b = None, c = None):
        ...
    def __repr__(self):
        """
        repr method for struct
        """
    def __str__(self):
        """
        
            __str__(self) -> str
        
                Returns a string representation of TimeVal
        
                Parameters : None
                Return     : (str) a string representing the time (same as :class:`datetime.datetime`)
        
            .. versionadded:: 7.1.0
        
            .. versionadded:: 7.1.2
                Documented
            
        """
    def isoformat(self, sep = 'T'):
        """
        
            isoformat(self, sep='T') -> str
        
                Returns a string in ISO 8601 format, YYYY-MM-DDTHH:MM:SS[.mmmmmm][+HH:MM]
        
                Parameters :
                    sep : (str) sep is used to separate the year from the time, and defaults to 'T'
                Return     : (str) a string representing the time according to a format specification.
        
            .. versionadded:: 7.1.0
        
            .. versionadded:: 7.1.2
                Documented
        
            .. versionchanged:: 7.1.2
                The `sep` parameter is not mandatory anymore and defaults to 'T' (same as :meth:`datetime.datetime.isoformat`)
            
        """
    def strftime(self, format):
        """
        
            strftime(self, format) -> str
        
                Convert a time value to a string according to a format specification.
        
                Parameters :
                    format : (str) See the python library reference manual for formatting codes
                Return     : (str) a string representing the time according to a format specification.
        
            .. versionadded:: 7.1.0
        
            .. versionadded:: 7.1.2
                Documented
            
        """
    def todatetime(self):
        """
        
            todatetime(self) -> datetime.datetime
        
                Returns a :class:`datetime.datetime` object representing
                the same time value
        
                Parameters : None
                Return     : (datetime.datetime) the time value in datetime format
        
            .. versionadded:: 7.1.0
        """
    def totime(self):
        """
        
            totime(self) -> float
        
                Returns a float representing this time value
        
                Parameters : None
                Return     : a float representing the time value
        
            .. versionadded:: 7.1.0
        """
    @property
    def tv_nsec(*args, **kwargs):
        ...
    @tv_nsec.setter
    def tv_nsec(*args, **kwargs):
        ...
    @property
    def tv_sec(*args, **kwargs):
        ...
    @tv_sec.setter
    def tv_sec(*args, **kwargs):
        ...
    @property
    def tv_usec(*args, **kwargs):
        ...
    @tv_usec.setter
    def tv_usec(*args, **kwargs):
        ...
class UserDefaultAttrProp(Boost.Python.instance):
    """
    
        User class to set attribute default properties.
    
        This class is used to set attribute default properties.
        Three levels of attributes properties setting are implemented within Tango.
        The highest property setting level is the database.
        Then the user default (set using this UserDefaultAttrProp class) and finally
        a Tango library default value.
        
    """
    __instance_size__: typing.ClassVar[int] = 536
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _set_enum_labels(*args, **kwargs):
        ...
    @staticmethod
    def set_abs_change(*args, **kwargs):
        """
        
        
            set_abs_change(self, def_abs_change) <= DEPRECATED
        
                Set default change event abs_change property.
        
                :param def_abs_change: the user default change event abs_change property
                :type def_abs_change: str
        
                Deprecated since PyTango 8.0. Please use set_event_abs_change instead.
            
        """
    @staticmethod
    def set_archive_abs_change(*args, **kwargs):
        """
        
        
            set_archive_abs_change(self, def_archive_abs_change) <= DEPRECATED
        
                Set default archive event abs_change property.
        
                :param def_archive_abs_change: the user default archive event abs_change property
                :type def_archive_abs_change: str
        
                Deprecated since PyTango 8.0. Please use set_archive_event_abs_change instead.
            
        """
    @staticmethod
    def set_archive_event_abs_change(*args, **kwargs):
        """
        
        
            set_archive_event_abs_change(self, def_archive_abs_change)
        
                Set default archive event abs_change property.
        
                :param def_archive_abs_change: the user default archive event abs_change property
                :type def_archive_abs_change: str
        
                New in PyTango 8.0
            
        """
    @staticmethod
    def set_archive_event_period(*args, **kwargs):
        """
        
        
            set_archive_event_period(self, def_archive_period)
        
                Set default archive event period property.
        
                :param def_archive_period: t
                :type def_archive_period: str
        
                New in PyTango 8.0
            
        """
    @staticmethod
    def set_archive_event_rel_change(*args, **kwargs):
        """
        
        
            set_archive_event_rel_change(self, def_archive_rel_change)
        
                Set default archive event rel_change property.
        
                :param def_archive_rel_change: the user default archive event rel_change property
                :type def_archive_rel_change: str
        
                New in PyTango 8.0
            
        """
    @staticmethod
    def set_archive_period(*args, **kwargs):
        """
        
        
            set_archive_period(self, def_archive_period) <= DEPRECATED
        
                Set default archive event period property.
        
                :param def_archive_period: t
                :type def_archive_period: str
        
                Deprecated since PyTango 8.0. Please use set_archive_event_period instead.
            
        """
    @staticmethod
    def set_archive_rel_change(*args, **kwargs):
        """
        
        
            set_archive_rel_change(self, def_archive_rel_change) <= DEPRECATED
        
                Set default archive event rel_change property.
        
                :param def_archive_rel_change: the user default archive event rel_change property
                :type def_archive_rel_change: str
        
                Deprecated since PyTango 8.0. Please use set_archive_event_rel_change instead.
            
        """
    @staticmethod
    def set_delta_t(*args, **kwargs):
        """
        
        
            set_delta_t(self, def_delta_t)
        
                Set default RDS alarm delta_t property.
        
                :param def_delta_t: the user default RDS alarm delta_t property
                :type def_delta_t: str
            
        """
    @staticmethod
    def set_delta_val(*args, **kwargs):
        """
        
        
            set_delta_val(self, def_delta_val)
        
                Set default RDS alarm delta_val property.
        
                :param def_delta_val: the user default RDS alarm delta_val property
                :type def_delta_val: str
            
        """
    @staticmethod
    def set_description(*args, **kwargs):
        """
        
        
            set_description(self, def_description)
        
                Set default description property.
        
                :param def_description: the user default description property
                :type def_description: str
            
        """
    @staticmethod
    def set_display_unit(*args, **kwargs):
        """
        
        
            set_display_unit(self, def_display_unit)
        
                Set default display unit property.
        
                :param def_display_unit: the user default display unit property
                :type def_display_unit: str
            
        """
    @staticmethod
    def set_event_abs_change(*args, **kwargs):
        """
        
        
            set_event_abs_change(self, def_abs_change)
        
                Set default change event abs_change property.
        
                :param def_abs_change: the user default change event abs_change property
                :type def_abs_change: str
        
                New in PyTango 8.0
            
        """
    @staticmethod
    def set_event_period(*args, **kwargs):
        """
        
        
            set_event_period(self, def_period)
        
                Set default periodic event period property.
        
                :param def_period: the user default periodic event period property
                :type def_period: str
        
                New in PyTango 8.0
            
        """
    @staticmethod
    def set_event_rel_change(*args, **kwargs):
        """
        
        
            set_event_rel_change(self, def_rel_change)
        
                Set default change event rel_change property.
        
                :param def_rel_change: the user default change event rel_change property
                :type def_rel_change: str
        
                New in PyTango 8.0
            
        """
    @staticmethod
    def set_format(*args, **kwargs):
        """
        
        
            set_format(self, def_format)
        
                Set default format property.
        
                :param def_format: the user default format property
                :type def_format: str
            
        """
    @staticmethod
    def set_label(*args, **kwargs):
        """
        
        
            set_label(self, def_label)
        
                Set default label property.
        
                :param def_label: the user default label property
                :type def_label: str
            
        """
    @staticmethod
    def set_max_alarm(*args, **kwargs):
        """
        
        
            set_max_alarm(self, def_max_alarm)
        
                Set default max_alarm property.
        
                :param def_max_alarm: the user default max_alarm property
                :type def_max_alarm: str
            
        """
    @staticmethod
    def set_max_value(*args, **kwargs):
        """
        
        
            set_max_value(self, def_max_value)
        
                Set default max_value property.
        
                :param def_max_value: the user default max_value property
                :type def_max_value: str
            
        """
    @staticmethod
    def set_max_warning(*args, **kwargs):
        """
        
        
            set_max_warning(self, def_max_warning)
        
                Set default max_warning property.
        
                :param def_max_warning: the user default max_warning property
                :type def_max_warning: str
            
        """
    @staticmethod
    def set_min_alarm(*args, **kwargs):
        """
        
        
            set_min_alarm(self, def_min_alarm)
        
                Set default min_alarm property.
        
                :param def_min_alarm: the user default min_alarm property
                :type def_min_alarm: str
            
        """
    @staticmethod
    def set_min_value(*args, **kwargs):
        """
        
        
            set_min_value(self, def_min_value)
        
                Set default min_value property.
        
                :param def_min_value: the user default min_value property
                :type def_min_value: str
            
        """
    @staticmethod
    def set_min_warning(*args, **kwargs):
        """
        
        
            set_min_warning(self, def_min_warning)
        
                Set default min_warning property.
        
                :param def_min_warning: the user default min_warning property
                :type def_min_warning: str
            
        """
    @staticmethod
    def set_period(*args, **kwargs):
        """
        
        
            set_period(self, def_period) <= DEPRECATED
        
                Set default periodic event period property.
        
                :param def_period: the user default periodic event period property
                :type def_period: str
        
                Deprecated since PyTango 8.0. Please use set_event_period instead.
            
        """
    @staticmethod
    def set_rel_change(*args, **kwargs):
        """
        
        
            set_rel_change(self, def_rel_change) <= DEPRECATED
        
                Set default change event rel_change property.
        
                :param def_rel_change: the user default change event rel_change property
                :type def_rel_change: str
        
                Deprecated since PyTango 8.0. Please use set_event_rel_change instead.
            
        """
    @staticmethod
    def set_standard_unit(*args, **kwargs):
        """
        
        
            set_standard_unit(self, def_standard_unit)
        
                Set default standard unit property.
        
                :param def_standard_unit: the user default standard unit property
                :type def_standard_unit: str
            
        """
    @staticmethod
    def set_unit(*args, **kwargs):
        """
        
        
            set_unit(self, def_unit)
        
                Set default unit property.
        
                :param def_unit: te user default unit property
                :type def_unit: str
            
        """
    def set_enum_labels(self, enum_labels):
        """
        
            set_enum_labels(self, enum_labels)
        
                Set default enumeration labels.
        
                :param enum_labels: list of enumeration labels
                :type enum_labels: Sequence[str]
        
                New in PyTango 9.2.0
            
        """
    @property
    def abs_change(*args, **kwargs):
        ...
    @abs_change.setter
    def abs_change(*args, **kwargs):
        ...
    @property
    def archive_abs_change(*args, **kwargs):
        ...
    @archive_abs_change.setter
    def archive_abs_change(*args, **kwargs):
        ...
    @property
    def archive_period(*args, **kwargs):
        ...
    @archive_period.setter
    def archive_period(*args, **kwargs):
        ...
    @property
    def archive_rel_change(*args, **kwargs):
        ...
    @archive_rel_change.setter
    def archive_rel_change(*args, **kwargs):
        ...
    @property
    def delta_t(*args, **kwargs):
        ...
    @delta_t.setter
    def delta_t(*args, **kwargs):
        ...
    @property
    def delta_val(*args, **kwargs):
        ...
    @delta_val.setter
    def delta_val(*args, **kwargs):
        ...
    @property
    def description(*args, **kwargs):
        ...
    @description.setter
    def description(*args, **kwargs):
        ...
    @property
    def display_unit(*args, **kwargs):
        ...
    @display_unit.setter
    def display_unit(*args, **kwargs):
        ...
    @property
    def enum_labels(*args, **kwargs):
        ...
    @enum_labels.setter
    def enum_labels(*args, **kwargs):
        ...
    @property
    def format(*args, **kwargs):
        ...
    @format.setter
    def format(*args, **kwargs):
        ...
    @property
    def label(*args, **kwargs):
        ...
    @label.setter
    def label(*args, **kwargs):
        ...
    @property
    def max_alarm(*args, **kwargs):
        ...
    @max_alarm.setter
    def max_alarm(*args, **kwargs):
        ...
    @property
    def max_value(*args, **kwargs):
        ...
    @max_value.setter
    def max_value(*args, **kwargs):
        ...
    @property
    def max_warning(*args, **kwargs):
        ...
    @max_warning.setter
    def max_warning(*args, **kwargs):
        ...
    @property
    def min_alarm(*args, **kwargs):
        ...
    @min_alarm.setter
    def min_alarm(*args, **kwargs):
        ...
    @property
    def min_value(*args, **kwargs):
        ...
    @min_value.setter
    def min_value(*args, **kwargs):
        ...
    @property
    def min_warning(*args, **kwargs):
        ...
    @min_warning.setter
    def min_warning(*args, **kwargs):
        ...
    @property
    def period(*args, **kwargs):
        ...
    @period.setter
    def period(*args, **kwargs):
        ...
    @property
    def rel_change(*args, **kwargs):
        ...
    @rel_change.setter
    def rel_change(*args, **kwargs):
        ...
    @property
    def standard_unit(*args, **kwargs):
        ...
    @standard_unit.setter
    def standard_unit(*args, **kwargs):
        ...
    @property
    def unit(*args, **kwargs):
        ...
    @unit.setter
    def unit(*args, **kwargs):
        ...
class UserDefaultFwdAttrProp(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 56
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def set_label(*args, **kwargs):
        ...
class UserDefaultPipeProp(Boost.Python.instance):
    """
    
        User class to set pipe default properties.
        This class is used to set pipe default properties.
        Three levels of pipe properties setting are implemented within Tango.
        The highest property setting level is the database.
        Then the user default (set using this UserDefaultPipeProp class) and finally
        a Tango library default value
        
    """
    __instance_size__: typing.ClassVar[int] = 80
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def set_description(*args, **kwargs):
        """
        
        
            set_description(self, def_description) -> None
        
                    Set default description property.
        
                Parameters :
                    - def_description : (str) the user default description property
                Return     : None
            
        """
    @staticmethod
    def set_label(*args, **kwargs):
        """
        
        
            set_label(self, def_label) -> None
        
                    Set default label property.
        
                Parameters :
                    - def_label : (str) the user default label property
                Return     : None
            
        """
class Util(Boost.Python.instance):
    """
        This class is a used to store TANGO device server process data and to
        provide the user with a set of utilities method.
    
        This class is implemented using the singleton design pattern.
        Therefore a device server process can have only one instance of this
        class and its constructor is not public. Example::
    
            util = tango.Util.instance()
                print(util.get_host_name())
        
    """
    _FileDb: typing.ClassVar[bool] = False
    _UseDb: typing.ClassVar[bool] = True
    @staticmethod
    def __init_orig(*args, **kwargs):
        ...
    @staticmethod
    def __init_orig__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def connect_db(*args, **kwargs):
        """
        
        
            connect_db(self) -> None
        
                    Connect the process to the TANGO database.
                    If the connection to the database failed, a message is
                    displayed on the screen and the process is aborted
        
                Parameters : None
                Return     : None
            
        """
    @staticmethod
    def get_database(*args, **kwargs):
        """
        
        
            get_database(self) -> Database
        
                    Get a reference to the TANGO database object
        
                Parameters : None
                Return     : (Database) the database
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_by_name(*args, **kwargs):
        """
        
        
            get_device_by_name(self, dev_name) -> DeviceImpl
        
                    Get a device reference from its name
        
                Parameters :
                    - dev_name : (str) The TANGO device name
                Return     : (DeviceImpl) The device reference
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_ior(*args, **kwargs):
        """
        
        
            get_device_ior(self, device) -> str
        
                Get the CORBA Interoperable Object Reference (IOR) associated with the device
        
                :param device: :class:`tango.LatestDeviceImpl` device object
                :type device: :class:`tango.LatestDeviceImpl`
        
                :return: the associated CORBA object reference
                :rtype: str
            
        """
    @staticmethod
    def get_device_list(*args, **kwargs):
        """
        
        
            get_device_list(self) -> sequence<DeviceImpl>
        
                    Get device list from name.
                    It is possible to use a wild card ('*') in the name parameter
                    (e.g. "*", "/tango/tangotest/n*", ...)
        
                Parameters : None
                Return     : (sequence<DeviceImpl>) the list of device objects
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_device_list_by_class(*args, **kwargs):
        """
        
        
            get_device_list_by_class(self, class_name) -> sequence<DeviceImpl>
        
                    Get the list of device references for a given TANGO class.
                    Return the list of references for all devices served by one implementation
                    of the TANGO device pattern implemented in the process.
        
                Parameters :
                    - class_name : (str) The TANGO device class name
        
                Return     : (sequence<DeviceImpl>) The device reference list
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_ds_exec_name(*args, **kwargs):
        """
        
        
            get_ds_exec_name(self) -> str
        
                    Get a COPY of the device server executable name.
        
                Parameters : None
                Return     : (str) a COPY of the device server executable name.
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_ds_inst_name(*args, **kwargs):
        """
        
        
            get_ds_inst_name(self) -> str
        
                    Get a COPY of the device server instance name.
        
                Parameters : None
                Return     : (str) a COPY of the device server instance name.
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_ds_name(*args, **kwargs):
        """
        
        
            get_ds_name(self) -> str
        
                    Get the device server name.
                    The device server name is the <device server executable name>/<the device server instance name>
        
                Parameters : None
                Return     : (str) device server name
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_dserver_device(*args, **kwargs):
        """
        
        
            get_dserver_device(self) -> DServer
        
                    Get a reference to the dserver device attached to the device server process
        
                Parameters : None
                Return     : (DServer) A reference to the dserver device
        
                New in PyTango 7.0.0
            
        
        
            get_dserver_device(self) -> DServer
        
                    Get a reference to the dserver device attached to the device server process.
        
                Parameters : None
                Return     : (DServer) the dserver device attached to the device server process
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_dserver_ior(*args, **kwargs):
        """
        
        
            get_dserver_ior(self, device_server) -> str
        
                Get the CORBA Interoperable Object Reference (IOR) associated with the device server
        
                :param device_server: :class:`DServer` device object
                :type device_server: :class:`DServer`
        
                :return: the associated CORBA object reference
                :rtype: str
            
        """
    @staticmethod
    def get_host_name(*args, **kwargs):
        """
        
        
            get_host_name(self) -> str
        
                    Get the host name where the device server process is running.
        
                Parameters : None
                Return     : (str) the host name where the device server process is running
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_pid(*args, **kwargs):
        """
        
        
            get_pid(self) -> TangoSys_Pid
        
                    Get the device server process identifier.
        
                Parameters : None
                Return     : (int) the device server process identifier
            
        """
    @staticmethod
    def get_pid_str(*args, **kwargs):
        """
        
        
            get_pid_str(self) -> str
        
                    Get the device server process identifier as a string.
        
                Parameters : None
                Return     : (str) the device server process identifier as a string
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def get_polling_threads_pool_size(*args, **kwargs):
        """
        
        
            get_polling_threads_pool_size(self) -> int
        
                    Get the polling threads pool size.
        
                Parameters : None
                Return     : (int) the maximun number of threads in the polling threads pool
            
        """
    @staticmethod
    def get_serial_model(*args, **kwargs):
        """
        
        
            get_serial_model(self) ->SerialModel
        
                    Get the serialization model.
        
                Parameters : None
                Return     : (SerialModel) the serialization model
            
        """
    @staticmethod
    def get_server_version(*args, **kwargs):
        """
        
        
            get_server_version(self) -> str
        
                    Get the device server version.
        
                Parameters : None
                Return     : (str) the device server version.
            
        """
    @staticmethod
    def get_sub_dev_diag(*args, **kwargs):
        """
        
        
            get_sub_dev_diag(self) -> SubDevDiag
        
                    Get the internal sub device manager
        
                Parameters : None
                Return     : (SubDevDiag) the sub device manager
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_tango_lib_release(*args, **kwargs):
        """
        
        
            get_tango_lib_release(self) -> int
        
                    Get the TANGO library version number.
        
                Parameters : None
                Return     : (int) The Tango library release number coded in
                             3 digits (for instance 550,551,552,600,....)
            
        """
    @staticmethod
    def get_trace_level(*args, **kwargs):
        """
        
        
            get_trace_level(self) -> int
        
                    Get the process trace level.
        
                Parameters : None
                Return     : (int) the process trace level.
            
        """
    @staticmethod
    def get_version_str(*args, **kwargs):
        """
        
        
            get_version_str(self) -> str
        
                    Get the IDL TANGO version.
        
                Parameters : None
                Return     : (str) the IDL TANGO version.
        
                New in PyTango 3.0.4
            
        """
    @staticmethod
    def init(args):
        """
        
            init(*args) -> Util
        
               Static method that creates and gets the singleton object reference.
               This method returns a reference to the object of the Util class.
               If the class singleton object has not been created, it will be instantiated
        
               :param str \\*args: the process commandline arguments
        
               :return: :class:`Util` the tango Util object
               :rtype: :class:`Util`
            
        """
    @staticmethod
    def instance(*args, **kwargs):
        """
        
        
            instance(exit = True) -> Util
        
                   Static method that gets the singleton object reference.
                   If the class has not been initialised with it's init method,
                   this method prints a message and aborts the device server process.
        
               :param bool exit: exit or throw DevFailed
        
               :returns: the tango :class:`Util` object
               :rtype: :class:`Util`
        
               :raises: :class:`DevFailed` instead of aborting if exit is set to False
            
        """
    @staticmethod
    def is_auto_alarm_on_change_event(*args, **kwargs):
        """
        
        
            is_auto_alarm_on_change_event(self) -> bool
        
                Returns True if alarm events are automatically pushed to subscribers when a device
                pushes a change event, and the attribute quality has changed to or from alarm.
        
                Can be configured in two ways:
        
                  - via the ``CtrlSystem`` free Tango database property
                    ``AutoAlarmOnChangeEvent`` (set to true or false),
                  - by calling the :meth:`tango.Util.set_auto_alarm_on_change_event`.
        
                Parameters : None
                Return     : bool
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def is_device_restarting(*args, **kwargs):
        """
        
        
            is_device_restarting(self, (str)dev_name) -> bool
        
                    Check if the device is actually restarted by the device server
                    process admin device with its DevRestart command
        
                Parameters :
                    dev_name : (str) device name
                Return     : (bool) True if the device is restarting.
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def is_svr_shutting_down(*args, **kwargs):
        """
        
        
            is_svr_shutting_down(self) -> bool
        
                    Check if the device server process is in its shutting down sequence
        
                Parameters : None
                Return     : (bool) True if the server is in its shutting down phase.
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def is_svr_starting(*args, **kwargs):
        """
        
        
            is_svr_starting(self) -> bool
        
                    Check if the device server process is in its starting phase
        
                Parameters : None
                Return     : (bool) True if the server is in its starting phase
        
                New in PyTango 8.0.0
            
        """
    @staticmethod
    def orb_run(*args, **kwargs):
        """
        
        
            orb_run(self) -> None
        
                    Run the CORBA event loop directly (EXPERT FEATURE!)
        
                    This method runs the CORBA event loop.  It may be useful if the
                    Util.server_run method needs to be bypassed.  Normally, that method
                    runs the CORBA event loop.
        
                Parameters : None
                Return     : None
            
        """
    @staticmethod
    def reset_filedatabase(*args, **kwargs):
        """
        
        
            reset_filedatabase(self) -> None
        
                    Reread the file database
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        
        
            reset_filedatabase(self) -> None
        
                    Reread the file database.
        
                Parameters : None
                Return     : None
            
        """
    @staticmethod
    def server_cleanup(*args, **kwargs):
        """
        
        
            server_cleanup(self) -> None
        
                Release device server resources (EXPERT FEATURE!)
        
                This method cleans up the Tango device server and relinquishes
                all computer resources before the process exits.  It is
                unnecessary to call this, unless Util.server_run has been bypassed.
        
            
        """
    @staticmethod
    def server_init(*args, **kwargs):
        """
        
        
            server_init(self, with_window = False) -> None
        
                    Initialize all the device server pattern(s) embedded in a device server process.
        
                Parameters :
                    - with_window : (bool) default value is False
                Return     : None
        
                Throws     : DevFailed If the device pattern initialistaion failed
            
        """
    @staticmethod
    def server_run(*args, **kwargs):
        """
        
        
            server_run(self) -> None
        
                    Run the CORBA event loop.
                    This method runs the CORBA event loop. For UNIX or Linux operating system,
                    this method does not return. For Windows in a non-console mode, this method
                    start a thread which enter the CORBA event loop.
        
                Parameters : None
                Return     : None
            
        """
    @staticmethod
    def server_set_event_loop(*args, **kwargs):
        """
        
        
            server_set_event_loop(self, event_loop) -> None
        
                This method registers an event loop function in a Tango server.
                This function will be called by the process main thread in an infinite loop
                The process will not use the classical ORB blocking event loop.
                It is the user responsability to code this function in a way that it implements
                some kind of blocking in order not to load the computer CPU. The following
                piece of code is an example of how you can use this feature::
        
                    _LOOP_NB = 1
                    def looping():
                        global _LOOP_NB
                        print "looping", _LOOP_NB
                        time.sleep(0.1)
                        _LOOP_NB += 1
                        return _LOOP_NB > 100
        
                    def main():
                        util = tango.Util(sys.argv)
        
                        # ...
        
                        U = tango.Util.instance()
                        U.server_set_event_loop(looping)
                        U.server_init()
                        U.server_run()
        
                Parameters : None
                Return     : None
        
                New in PyTango 8.1.0
            
        """
    @staticmethod
    def set_auto_alarm_on_change_event(*args, **kwargs):
        """
        
        
            set_auto_alarm_on_change_event(self, bool) -> None
        
                Toggles if alarm events are automatically pushed - see
                :meth:`tango.Util.is_auto_alarm_on_change_event`.
        
                This method takes priority over the value of the free property in the Tango database.
        
                Parameters : bool
                Return     : None
        
                .. versionadded:: 10.0.0
            
        """
    @staticmethod
    def set_interceptors(*args, **kwargs):
        ...
    @staticmethod
    def set_polling_threads_pool_size(*args, **kwargs):
        """
        
        
            set_polling_threads_pool_size(self, thread_nb) -> None
        
                    Set the polling threads pool size.
        
                Parameters :
                    - thread_nb : (int) the maximun number of threads in the polling threads pool
                Return     : None
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def set_serial_model(*args, **kwargs):
        """
        
        
            set_serial_model(self, ser) -> None
        
                    Set the serialization model.
        
                Parameters :
                    - ser : (SerialModel) the new serialization model. The serialization model must
                            be one of BY_DEVICE, BY_CLASS, BY_PROCESS or NO_SYNC
                Return     : None
            
        """
    @staticmethod
    def set_server_version(*args, **kwargs):
        """
        
        
            set_server_version(self, vers) -> None
        
                    Set the device server version.
        
                Parameters :
                    - vers : (str) the device server version
                Return     : None
            
        """
    @staticmethod
    def set_trace_level(*args, **kwargs):
        """
        
        
            set_trace_level(self, level) -> None
        
                    Set the process trace level.
        
                Parameters :
                    - level : (int) the new process level
                Return     : None
            
        """
    @staticmethod
    def set_use_db(*args, **kwargs):
        """
        
        
            set_use_db(self) -> None
        
               Set the database use Tango::Util::_UseDb flag.
               Implemented for device server started without database usage.
        
               Use with extreme care!
        
            
        """
    @staticmethod
    def trigger_attr_polling(*args, **kwargs):
        """
        
        
            trigger_attr_polling(self, dev, name) -> None
        
                    Trigger polling for polled attribute.
                    This method send the order to the polling thread to poll one object registered
                    with an update period defined as "externally triggerred"
        
                Parameters :
                    - dev : (DeviceImpl) the TANGO device
                    - name : (str) the attribute name which must be polled
                Return     : None
            
        """
    @staticmethod
    def trigger_cmd_polling(*args, **kwargs):
        """
        
        
            trigger_cmd_polling(self, dev, name) -> None
        
                    Trigger polling for polled command.
                    This method send the order to the polling thread to poll one object registered
                    with an update period defined as "externally triggerred"
        
                Parameters :
                    - dev : (DeviceImpl) the TANGO device
                    - name : (str) the command name which must be polled
                Return     : None
        
                Throws     : DevFailed If the call failed
            
        """
    @staticmethod
    def unregister_server(*args, **kwargs):
        """
        
        
            unregister_server(self) -> None
        
                    Unregister a device server process from the TANGO database.
                    If the database call fails, a message is displayed on the screen
                    and the process is aborted
        
                Parameters : None
                Return     : None
        
                New in PyTango 7.0.0
            
        
        
            unregister_server(self) -> None
        
                    Unregister a device server process from the TANGO database.
        
                Parameters : None
                Return     : None
            
        """
    def __init__(self, args):
        ...
    def add_Cpp_TgClass(self, device_class_name, tango_device_class_name):
        """
        Register a new C++ tango class.
        
            If there is a shared library file called MotorClass.so which
            contains a MotorClass class and a _create_MotorClass_class method. Example::
        
                util.add_Cpp_TgClass('MotorClass', 'Motor')
        
            .. note:: the parameter 'device_class_name' must match the shared
                      library name.
        
            .. deprecated:: 7.1.2
                Use :meth:`tango.Util.add_class` instead.
        """
    def add_TgClass(self, klass_device_class, klass_device, device_class_name = None):
        """
        Register a new python tango class. Example::
        
                util.add_TgClass(MotorClass, Motor)
                util.add_TgClass(MotorClass, Motor, 'Motor') # equivalent to previous line
        
            .. deprecated:: 7.1.2
                Use :meth:`tango.Util.add_class` instead.
        """
    def add_class(self, *args, **kwargs):
        """
        
            add_class(self, class<DeviceClass>, class<DeviceImpl>, language="python") -> None
        
                Register a new tango class ('python' or 'c++').
        
                If language is 'python' then args must be the same as
                :meth:`tango.Util.add_TgClass`. Otherwise, args should be the ones
                in :meth:`tango.Util.add_Cpp_TgClass`. Example::
        
                    util.add_class(MotorClass, Motor)
                    util.add_class('CounterClass', 'Counter', language='c++')
        
            New in PyTango 7.1.2
        """
    def create_device(self, klass_name, device_name, alias = None, cb = None):
        """
        
            create_device(self, klass_name, device_name, alias=None, cb=None) -> None
        
                Creates a new device of the given class in the database, creates a new
                DeviceImpl for it and calls init_device (just like it is done for
                existing devices when the DS starts up)
        
                An optional parameter callback is called AFTER the device is
                registered in the database and BEFORE the init_device for the
                newly created device is called
        
                Throws tango.DevFailed:
                    - the device name exists already or
                    - the given class is not registered for this DS.
                    - the cb is not a callable
        
            New in PyTango 7.1.2
        
            Parameters :
                - klass_name : (str) the device class name
                - device_name : (str) the device name
                - alias : (str) optional alias. Default value is None meaning do not create device alias
                - cb : (callable) a callback that is called AFTER the device is registered
                       in the database and BEFORE the init_device for the newly created
                       device is called. Typically you may want to put device and/or attribute
                       properties in the database here. The callback must receive a parameter:
                       device name (str). Default value is None meaning no callback
        
            Return     : None
        """
    def delete_device(self, klass_name, device_name):
        """
        
            delete_device(self, klass_name, device_name) -> None
        
                Deletes an existing device from the database and from this running
                server
        
                Throws tango.DevFailed:
                    - the device name doesn't exist in the database
                    - the device name doesn't exist in this DS.
        
            New in PyTango 7.1.2
        
            Parameters :
                - klass_name : (str) the device class name
                - device_name : (str) the device name
        
            Return     : None
        """
    def get_class_list(self):
        """
        
            get_class_list(self) -> seq<DeviceClass>
        
                    Returns a list of objects of inheriting from DeviceClass
        
                Parameters : None
        
                Return     : (seq<DeviceClass>) a list of objects of inheriting from DeviceClass
            
        """
class WAttribute(Attribute):
    """
    
        This class represents a Tango writable attribute.
        
    """
    @staticmethod
    def __init__(*args, **kwargs):
        """
        Raises an exception
        This class cannot be instantiated from Python
        """
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def get_max_value(*args, **kwargs):
        """
        
        
            get_max_value(self) -> obj
        
                Get attribute maximum value or throws an exception if the
                attribute does not have a maximum value.
        
                :returns: an object with the python maximum value
                :rtype: obj
            
        """
    @staticmethod
    def get_min_value(*args, **kwargs):
        """
        
        
            get_min_value(self) -> obj
        
                Get attribute minimum value or throws an exception if the
                attribute does not have a minimum value.
        
                :returns: an object with the python minimum value
                :rtype: obj
            
        """
    @staticmethod
    def get_write_value(*args, **kwargs):
        """
        
        
            get_write_value(self, extract_as=ExtractAs.Numpy) -> obj
        
                Retrieve the new value for writable attribute.
        
                :param extract_as: defaults to ExtractAs.Numpy
                :type extract_as: ExtractAs
        
                :returns: the attribute write value.
                :rtype: obj
            
        """
    @staticmethod
    def get_write_value_length(*args, **kwargs):
        """
        
        
            get_write_value_length(self) -> int
        
                Retrieve the new value length (data number) for writable attribute.
        
                :returns: the new value data length
                :rtype: int
            
        """
    @staticmethod
    def is_max_value(*args, **kwargs):
        """
        
        
            is_max_value(self, ) -> bool
        
                Check if the attribute has a maximum value.
        
                :returns: true if the attribute has a maximum value defined
                :rtype: bool
            
        """
    @staticmethod
    def is_min_value(*args, **kwargs):
        """
        
        
            is_min_value(self) -> bool
        
                Check if the attribute has a minimum value.
        
                :returns: true if the attribute has a minimum value defined
                :rtype: bool
            
        """
    @staticmethod
    def set_max_value(*args, **kwargs):
        """
        
        
            set_max_value(self, data)
        
                Set attribute maximum value.
        
                :param data: the attribute maximum value. python data type must be compatible
                             with the attribute data format and type.
            
        """
    @staticmethod
    def set_min_value(*args, **kwargs):
        """
        
        
            set_min_value(self, data)
        
                Set attribute minimum value.
        
                :param data: the attribute minimum value. python data type must be compatible
                             with the attribute data format and type.
            
        """
    @staticmethod
    def set_write_value(*args, **kwargs):
        """
        
        
            set_write_value(self, data, dim_x = 1, dim_y = 0)
        
               Set the writable attribute value.
        
               :param data: the data to be set. Data must be compatible with the attribute type and format.
                            for SPECTRUM and IMAGE attributes, data can be any type of sequence of elements
                            compatible with the attribute type
               :param dim_x: optional, the attribute set value x length
               :type dim_x: int
               :param dim_y: optional, the attribute set value y length
               :type dim_y: int
            
        """
class WPipe(Pipe):
    __instance_size__: typing.ClassVar[int] = 408
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
class _ImageFormat(Boost.Python.enum):
    JpegImage: typing.ClassVar[_ImageFormat]  # value = tango._tango._ImageFormat.JpegImage
    RawImage: typing.ClassVar[_ImageFormat]  # value = tango._tango._ImageFormat.RawImage
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'RawImage': tango._tango._ImageFormat.RawImage, 'JpegImage': tango._tango._ImageFormat.JpegImage}
    values: typing.ClassVar[dict]  # value = {0: tango._tango._ImageFormat.RawImage, 1: tango._tango._ImageFormat.JpegImage}
class __AttributeProxy(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 248
    __safe_for_unpickling__: typing.ClassVar[bool] = True
    @staticmethod
    def __getinitargs__(*args, **kwargs):
        ...
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _delete_property(*args, **kwargs):
        ...
    @staticmethod
    def _get_property(*args, **kwargs):
        ...
    @staticmethod
    def _put_property(*args, **kwargs):
        ...
    @staticmethod
    def get_device_proxy(*args, **kwargs):
        ...
    @staticmethod
    def name(*args, **kwargs):
        ...
    def delete_property(self, value):
        """
        
            delete_property(self, value) -> None
        
                Delete a the given of properties for this attribute.
                This method accepts the following types as value parameter:
        
                    1. string [in] - single property to be deleted
                    2. tango.DbDatum [in] - single property data to be deleted
                    3. tango.DbData [in] - several property data to be deleted
                    4. sequence<string> [in]- several property data to be deleted
                    5. sequence<DbDatum> [in] - several property data to be deleted
                    6. dict<str, obj> [in] - keys are property names to be deleted
                       (values are ignored)
                    7. dict<str, DbDatum> [in] - several DbDatum.name are property names
                       to be deleted (keys are ignored)
        
                Parameters :
                    - value : can be one of the following:
        
                        1. string [in] - single property data to be deleted
                        2. tango.DbDatum [in] - single property data to be deleted
                        3. tango.DbData [in] - several property data to be deleted
                        4. sequence<string> [in]- several property data to be deleted
                        5. sequence<DbDatum> [in] - several property data to be deleted
                        6. dict<str, obj> [in] - keys are property names to be deleted
                           (values are ignored)
                        7. dict<str, DbDatum> [in] - several DbDatum.name are property
                           names to be deleted (keys are ignored)
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed
                             DevFailed from device (DB_SQLError),
                             TypeError
            
        """
    def get_property(self, propname, value = None):
        """
        
            get_property(self, propname, value) -> DbData
        
                    Get a (list) property(ies) for an attribute.
        
                    This method accepts the following types as propname parameter:
                    1. string [in] - single property data to be fetched
                    2. sequence<string> [in] - several property data to be fetched
                    3. tango.DbDatum [in] - single property data to be fetched
                    4. tango.DbData [in,out] - several property data to be fetched.
                    5. sequence<DbDatum> - several property data to be feteched
        
                    Note: for cases 3, 4 and 5 the 'value' parameter if given, is IGNORED.
        
                    If value is given it must be a tango.DbData that will be filled with the
                    property values
        
                Parameters :
                    - propname : (str) property(ies) name(s)
                    - value : (tango.DbData) (optional, default is None meaning that the
                              method will create internally a tango.DbData and return
                              it filled with the property values
        
                Return     : (DbData) containing the property(ies) value(s). If a
                             tango.DbData is given as parameter, it returns the same
                             object otherwise a new tango.DbData is returned
        
                Throws     : NonDbDevice, ConnectionFailed (with database),
                             CommunicationFailed (with database),
                             DevFailed from database device
            
        """
    def put_property(self, value):
        """
        
            put_property(self, value) -> None
        
                    Insert or update a list of properties for this attribute.
                    This method accepts the following types as value parameter:
                    1. tango.DbDatum - single property data to be inserted
                    2. tango.DbData - several property data to be inserted
                    3. sequence<DbDatum> - several property data to be inserted
                    4. dict<str, DbDatum> - keys are property names and value has data to be inserted
                    5. dict<str, seq<str>> - keys are property names and value has data to be inserted
                    6. dict<str, obj> - keys are property names and str(obj) is property value
        
                Parameters :
                    - value : can be one of the following:
                        1. tango.DbDatum - single property data to be inserted
                        2. tango.DbData - several property data to be inserted
                        3. sequence<DbDatum> - several property data to be inserted
                        4. dict<str, DbDatum> - keys are property names and value has data to be inserted
                        5. dict<str, seq<str>> - keys are property names and value has data to be inserted
                        6. dict<str, obj> - keys are property names and str(obj) is property value
        
                Return     : None
        
                Throws     : ConnectionFailed, CommunicationFailed
                             DevFailed from device (DB_SQLError),
                             TypeError
            
        """
class __CallBackAutoDie(Boost.Python.instance):
    """
    INTERNAL CLASS - DO NOT USE IT
    """
    __instance_size__: typing.ClassVar[int] = 72
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def attr_read(*args, **kwargs):
        ...
    @staticmethod
    def attr_written(*args, **kwargs):
        ...
    @staticmethod
    def cmd_ended(*args, **kwargs):
        ...
class __CallBackPushEvent(Boost.Python.instance):
    """
    INTERNAL CLASS - DO NOT USE IT
    """
    __instance_size__: typing.ClassVar[int] = 64
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def push_event(*args, **kwargs):
        ...
class __Group(Boost.Python.instance):
    __instance_size__: typing.ClassVar[int] = 32
    @staticmethod
    def __init__(*args, **kwargs):
        ...
    @staticmethod
    def __reduce__(*args, **kwargs):
        ...
    @staticmethod
    def _add(*args, **kwargs):
        """
        
        
            add(self, patterns, timeout_ms=-1) -> None
        
                    Attaches any device which name matches one of the specified patterns.
        
                    This method first asks to the Tango database the list of device names
                    matching one the patterns. Devices are then attached to the group in
                    the order in which they are returned by the database.
        
                    Any device already present in the hierarchy (i.e. a device belonging to
                    the group or to one of its subgroups), is silently ignored but its
                    client side timeout is set to timeout_ms milliseconds if timeout_ms
                    is different from -1.
        
                Parameters :
                    - patterns   : (str | sequence<str>) can be a simple device name or
                                    a device name pattern (e.g. domain_*/ family/member_*),
                                    or a sequence of these.
                    - timeout_ms : (int) If timeout_ms is different from -1, the client
                                    side timeouts of all devices matching the
                                    specified patterns are set to timeout_ms
                                    milliseconds.
                Return     : None
        
                Throws     : TypeError, ArgumentError
            
        """
    @staticmethod
    def _remove(*args, **kwargs):
        """
        
        
            remove(self, patterns, forward=True) -> None
        
                    Removes any group or device which name matches the specified pattern.
        
                    The pattern parameter can be a group name, a device name or a device
                    name pattern (e.g domain_*/family/member_*).
        
                    Since we can have groups with the same name in the hierarchy, a group
                    name can be fully qualified to specify which group should be removed.
                    Considering the following group:
        
                        ::
        
                            -> gauges
                            | -> cell-01
                            |     |-> penning
                            |     |    |-> ...
                            |     |-> pirani
                            |          |-> ...
                            | -> cell-02
                            |     |-> penning
                            |     |    |-> ...
                            |     |-> pirani
                            |          |-> ...
                            | -> cell-03
                            |     |-> ...
                            |
                            | -> ...
        
                    A call to gauges->remove("penning") will remove any group named
                    "penning" in the hierarchy while gauges->remove("gauges.cell-02.penning")
                    will only remove the specified group.
        
                Parameters :
                    - patterns   : (str | sequence<str>) A string with the pattern or a
                                   list of patterns.
                    - forward    : (bool) If fwd is set to true (the default), the remove
                                   request is also forwarded to subgroups. Otherwise,
                                   it is only applied to the local set of elements.
                                   For instance, the following code remove any
                                   stepper motor in the hierarchy:
        
                                       root_group->remove("*/stepper_motor/*");
        
                Return     : None
        
                Throws     :
            
        """
    @staticmethod
    def command_inout_asynch(*args, **kwargs):
        """
        
        
            command_inout_asynch(self, cmd_name, forget=False, forward=True, reserved=-1 ) -> int
            command_inout_asynch(self, cmd_name, param, forget=False, forward=True, reserved=-1 ) -> int
            command_inout_asynch(self, cmd_name, param_list, forget=False, forward=True, reserved=-1 ) -> int
        
                    Executes a Tango command on each device in the group asynchronously.
                    The method sends the request to all devices and returns immediately.
                    Pass the returned request id to Group.command_inout_reply() to obtain
                    the results.
        
                Parameters :
                    - cmd_name   : (str) Command name
                    - param      : (any) parameter value
                    - param_list : (tango.DeviceDataList) sequence of parameters.
                                   When given, it's length must match the group size.
                    - forget     : (bool) Fire and forget flag. If set to true, it means that
                                   no reply is expected (i.e. the caller does not care
                                   about it and will not even try to get it)
                    - forward    : (bool) If it is set to true (the default) request is
                                    forwarded to subgroups. Otherwise, it is only applied
                                    to the local set of devices.
                    - reserved : (int) is reserved for internal purpose and should not be
                                    used. This parameter may disappear in a near future.
        
                Return     : (int) request id. Pass the returned request id to
                            Group.command_inout_reply() to obtain the results.
        
                Throws     :
            
        """
    @staticmethod
    def command_inout_reply(*args, **kwargs):
        """
        
        
            command_inout_reply(self, req_id, timeout_ms=0) -> sequence<GroupCmdReply>
        
                    Returns the results of an asynchronous command.
        
                Parameters :
                    - req_id     : (int) Is a request identifier previously returned by one
                                    of the command_inout_asynch methods
                    - timeout_ms : (int) For each device in the hierarchy, if the command
                                    result is not yet available, command_inout_reply
                                    wait timeout_ms milliseconds before throwing an
                                    exception. This exception will be part of the
                                    global reply. If timeout_ms is set to 0,
                                    command_inout_reply waits "indefinitely".
        
                Return     : (sequence<GroupCmdReply>)
        
                Throws     :
            
        """
    @staticmethod
    def contains(*args, **kwargs):
        """
        
        
            contains(self, pattern, forward=True) -> bool
        
                Parameters :
                    - pattern    : (str) The pattern can be a fully qualified or simple
                                    group name, a device name or a device name pattern.
                    - forward    : (bool) If fwd is set to true (the default), the remove
                                    request is also forwarded to subgroups. Otherwise,
                                    it is only applied to the local set of elements.
        
                Return     : (bool) Returns true if the hierarchy contains groups and/or
                             devices which name matches the specified pattern. Returns
                             false otherwise.
        
                Throws     :
            
        """
    @staticmethod
    def disable(*args, **kwargs):
        """
        
        Disables a group or a device element in a group.
        """
    @staticmethod
    def enable(*args, **kwargs):
        """
        
        Enables a group or a device element in a group.
        """
    @staticmethod
    def get_device(*args, **kwargs):
        """
        
        
            get_device(self, dev_name) -> DeviceProxy
            get_device(self, idx) -> DeviceProxy
        
                    Returns a reference to the specified device or None if there is no
                    device by that name in the group. Or, returns a reference to the
                    "idx-th" device in the hierarchy or NULL if the hierarchy contains
                    less than "idx" devices.
        
                    This method may throw an exception in case the specified device belongs
                    to the group but can't be reached (not registered, down...). See example
                    below:
        
                    ::
        
                        try:
                            dp = g.get_device("my/device/01")
                            if dp is None:
                                # my/device/01 does not belong to the group
                                pass
                        except DevFailed, f:
                            # my/device/01 belongs to the group but can't be reached
                            pass
        
                    The request is systematically forwarded to subgroups (i.e. if no device
                    named device_name could be found in the local set of devices, the
                    request is forwarded to subgroups).
        
                Parameters :
                    - dev_name    : (str) Device name.
                    - idx         : (int) Device number.
        
                Return     : (DeviceProxy) Be aware that this method returns a
                            different DeviceProxy referring to the same device each time.
                            So, do not use it directly for permanent things.
        
                Example:
                                # WRONG: The DeviceProxy will quickly go out of scope
                                # and disappear (thus, the event will be automatically
                                # unsubscribed)
                                g.get_device("my/device/01").subscribe_events('attr', callback)
        
                                # GOOD:
                                dp = g.get_device("my/device/01")
                                dp.subscribe_events('attr', callback)
        
                Throws     : DevFailed
            
        """
    @staticmethod
    def get_device_list(*args, **kwargs):
        """
        
        
            get_device_list(self, forward=True) -> sequence<str>
        
                    Considering the following hierarchy:
        
                    ::
        
                        g2.add("my/device/04")
                        g2.add("my/device/05")
        
                        g4.add("my/device/08")
                        g4.add("my/device/09")
        
                        g3.add("my/device/06")
                        g3.add(g4)
                        g3.add("my/device/07")
        
                        g1.add("my/device/01")
                        g1.add(g2)
                        g1.add("my/device/03")
                        g1.add(g3)
                        g1.add("my/device/02")
        
                    The returned vector content depends on the value of the forward option.
                    If set to true, the results will be organized as follows:
        
                    ::
        
                            dl = g1.get_device_list(True)
        
                        dl[0] contains "my/device/01" which belongs to g1
                        dl[1] contains "my/device/04" which belongs to g1.g2
                        dl[2] contains "my/device/05" which belongs to g1.g2
                        dl[3] contains "my/device/03" which belongs to g1
                        dl[4] contains "my/device/06" which belongs to g1.g3
                        dl[5] contains "my/device/08" which belongs to g1.g3.g4
                        dl[6] contains "my/device/09" which belongs to g1.g3.g4
                        dl[7] contains "my/device/07" which belongs to g1.g3
                        dl[8] contains "my/device/02" which belongs to g1
        
                    If the forward option is set to false, the results are:
        
                    ::
        
                            dl = g1.get_device_list(False);
        
                        dl[0] contains "my/device/01" which belongs to g1
                        dl[1] contains "my/device/03" which belongs to g1
                        dl[2] contains "my/device/02" which belongs to g1
        
        
                Parameters :
                    - forward : (bool) If it is set to true (the default), the request
                                is forwarded to sub-groups. Otherwise, it is only
                                applied to the local set of devices.
        
                Return     : (sequence<str>) The list of devices currently in the hierarchy.
        
                Throws     :
            
        """
    @staticmethod
    def get_fully_qualified_name(*args, **kwargs):
        """
        
        
                Get the complete (dpt-separated) name of the group. This takes into
                consideration the name of the group and its parents.
            
        """
    @staticmethod
    def get_group(*args, **kwargs):
        """
        
        
            get_group(self, group_name ) -> Group
        
                    Returns a reference to the specified group or None if there is no group
                    by that name. The group_name can be a fully qualified name.
        
                    Considering the following group:
        
                    ::
        
                        -> gauges
                            |-> cell-01
                            |    |-> penning
                            |    |    |-> ...
                            |    |-> pirani
                            |    |-> ...
                            |-> cell-02
                            |    |-> penning
                            |    |    |-> ...
                            |    |-> pirani
                            |    |-> ...
                            | -> cell-03
                            |    |-> ...
                            |
                            | -> ...
        
                    A call to gauges.get_group("penning") returns the first group named
                    "penning" in the hierarchy (i.e. gauges.cell-01.penning) while
                    gauges.get_group("gauges.cell-02.penning'') returns the specified group.
        
                    The request is systematically forwarded to subgroups (i.e. if no group
                    named group_name could be found in the local set of elements, the request
                    is forwarded to subgroups).
        
                Parameters :
                    - group_name : (str)
        
                Return     : (Group)
        
                Throws     :
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def get_name(*args, **kwargs):
        """
        
        
                Get the name of the group. Eg: Group('name').get_name() == 'name'
            
        """
    @staticmethod
    def get_parent(*args, **kwargs):
        ...
    @staticmethod
    def get_size(*args, **kwargs):
        """
        
        
            get_size(self, forward=True) -> int
        
                Parameters :
                    - forward : (bool) If it is set to true (the default), the request is
                                forwarded to sub-groups.
        
                Return     : (int) The number of the devices in the hierarchy
        
                Throws     :
            
        """
    @staticmethod
    def is_enabled(*args, **kwargs):
        """
        
        Check if a group is enabled.
        New in PyTango 7.0.0
        """
    @staticmethod
    def name_equals(*args, **kwargs):
        """
        
        New in PyTango 7.0.0
        """
    @staticmethod
    def name_matches(*args, **kwargs):
        """
        
        New in PyTango 7.0.0
        """
    @staticmethod
    def ping(*args, **kwargs):
        """
        
        
            ping(self, forward=True) -> bool
        
                    Ping all devices in a group.
        
                Parameters :
                    - forward    : (bool) If fwd is set to true (the default), the request
                                    is also forwarded to subgroups. Otherwise, it is
                                    only applied to the local set of devices.
        
                Return     : (bool) This method returns true if all devices in
                             the group are alive, false otherwise.
        
                Throws     :
            
        """
    @staticmethod
    def read_attribute_asynch(*args, **kwargs):
        """
        
        
            read_attribute_asynch(self, attr_name, forward=True, reserved=-1 ) -> int
        
                    Reads an attribute on each device in the group asynchronously.
                    The method sends the request to all devices and returns immediately.
        
                Parameters :
                    - attr_name : (str) Name of the attribute to read.
                    - forward   : (bool) If it is set to true (the default) request is
                                    forwarded to subgroups. Otherwise, it is only applied
                                    to the local set of devices.
                    - reserved  : (int) is reserved for internal purpose and should not be
                                    used. This parameter may disappear in a near future.
        
                Return     : (int) request id. Pass the returned request id to
                            Group.read_attribute_reply() to obtain the results.
        
                Throws     :
            
        """
    @staticmethod
    def read_attribute_reply(*args, **kwargs):
        """
        
        
            read_attribute_reply(self, req_id, timeout_ms=0 ) -> sequence<GroupAttrReply>
        
                    Returns the results of an asynchronous attribute reading.
        
                Parameters :
                    - req_id     : (int) a request identifier previously returned by read_attribute_asynch.
                    - timeout_ms : (int) For each device in the hierarchy, if the attribute
                                    value is not yet available, read_attribute_reply
                                    wait timeout_ms milliseconds before throwing an
                                    exception. This exception will be part of the
                                    global reply. If timeout_ms is set to 0,
                                    read_attribute_reply waits "indefinitely".
        
                Return     : (sequence<GroupAttrReply>)
        
                Throws     :
            
        """
    @staticmethod
    def read_attributes_asynch(*args, **kwargs):
        """
        
        
            read_attributes_asynch(self, attr_names, forward=True, reserved=-1 ) -> int
        
                    Reads the attributes on each device in the group asynchronously.
                    The method sends the request to all devices and returns immediately.
        
                Parameters :
                    - attr_names : (sequence<str>) Name of the attributes to read.
                    - forward    : (bool) If it is set to true (the default) request is
                                    forwarded to subgroups. Otherwise, it is only applied
                                    to the local set of devices.
                    - reserved   : (int) is reserved for internal purpose and should not be
                                    used. This parameter may disappear in a near future.
        
                Return     : (int) request id. Pass the returned request id to
                            Group.read_attributes_reply() to obtain the results.
        
                Throws     :
            
        """
    @staticmethod
    def read_attributes_reply(*args, **kwargs):
        """
        
        
            read_attributes_reply(self, req_id, timeout_ms=0 ) -> sequence<GroupAttrReply>
        
                    Returns the results of an asynchronous attribute reading.
        
                Parameters :
                    - req_id     : (int) a request identifier previously returned by read_attribute_asynch.
                    - timeout_ms : (int) For each device in the hierarchy, if the attribute
                                   value is not yet available, read_attribute_reply
                                   ait timeout_ms milliseconds before throwing an
                                   exception. This exception will be part of the
                                   global reply. If timeout_ms is set to 0,
                                   read_attributes_reply waits "indefinitely".
        
                Return     : (sequence<GroupAttrReply>)
        
                Throws     :
            
        """
    @staticmethod
    def remove_all(*args, **kwargs):
        """
        
        
            remove_all(self) -> None
        
                Removes all elements in the _RealGroup. After such a call, the _RealGroup is empty.
            
        """
    @staticmethod
    def set_timeout_millis(*args, **kwargs):
        """
        
        
            set_timeout_millis(self, timeout_ms) -> bool
        
                    Set client side timeout for all devices composing the group in
                    milliseconds. Any method which takes longer than this time to execute
                    will throw an exception.
        
                Parameters :
                    - timeout_ms : (int)
        
                Return     : None
        
                Throws     : (errors are ignored)
        
                New in PyTango 7.0.0
            
        """
    @staticmethod
    def write_attribute_asynch(*args, **kwargs):
        """
        
        
            write_attribute_asynch(self, attr_name, value, forward=True, multi=False ) -> int
        
                    Writes an attribute on each device in the group asynchronously.
                    The method sends the request to all devices and returns immediately.
        
                Parameters :
                    - attr_name : (str) Name of the attribute to write.
                    - value     : (any) Value to write. See DeviceProxy.write_attribute
                    - forward   : (bool) If it is set to true (the default) request is
                                  forwarded to subgroups. Otherwise, it is only applied
                                  to the local set of devices.
                    - multi     : (bool) If it is set to false (the default), the same
                                  value is applied to all devices in the group.
                                  Otherwise the value is interpreted as a sequence of
                                  values, and each value is applied to the corresponding
                                  device in the group. In this case len(value) must be
                                  equal to group.get_size()!
        
                Return     : (int) request id. Pass the returned request id to
                            Group.write_attribute_reply() to obtain the acknowledgements.
        
                Throws     :
            
        """
    @staticmethod
    def write_attribute_reply(*args, **kwargs):
        """
        
        
            write_attribute_reply(self, req_id, timeout_ms=0 ) -> sequence<GroupReply>
        
                    Returns the acknowledgements of an asynchronous attribute writing.
        
                Parameters :
                    - req_id     : (int) a request identifier previously returned by write_attribute_asynch.
                    - timeout_ms : (int) For each device in the hierarchy, if the acknowledgment
                                    is not yet available, write_attribute_reply
                                    wait timeout_ms milliseconds before throwing an
                                    exception. This exception will be part of the
                                    global reply. If timeout_ms is set to 0,
                                    write_attribute_reply waits "indefinitely".
        
                Return     : (sequence<GroupReply>)
        
                Throws     :
            
        """
class alarm_flags(Boost.Python.enum):
    __slots__: typing.ClassVar[tuple] = tuple()
    max_level: typing.ClassVar[alarm_flags]  # value = tango._tango.alarm_flags.max_level
    max_warn: typing.ClassVar[alarm_flags]  # value = tango._tango.alarm_flags.max_warn
    min_level: typing.ClassVar[alarm_flags]  # value = tango._tango.alarm_flags.min_level
    min_warn: typing.ClassVar[alarm_flags]  # value = tango._tango.alarm_flags.min_warn
    names: typing.ClassVar[dict]  # value = {'min_level': tango._tango.alarm_flags.min_level, 'max_level': tango._tango.alarm_flags.max_level, 'rds': tango._tango.alarm_flags.rds, 'min_warn': tango._tango.alarm_flags.min_warn, 'max_warn': tango._tango.alarm_flags.max_warn, 'numFlags': tango._tango.alarm_flags.numFlags}
    numFlags: typing.ClassVar[alarm_flags]  # value = tango._tango.alarm_flags.numFlags
    rds: typing.ClassVar[alarm_flags]  # value = tango._tango.alarm_flags.rds
    values: typing.ClassVar[dict]  # value = {0: tango._tango.alarm_flags.min_level, 1: tango._tango.alarm_flags.max_level, 2: tango._tango.alarm_flags.rds, 3: tango._tango.alarm_flags.min_warn, 4: tango._tango.alarm_flags.max_warn, 5: tango._tango.alarm_flags.numFlags}
class asyn_req_type(Boost.Python.enum):
    """
    
        An enumeration representing the asynchronous request type
    
            - POLLING
            - CALLBACK
            - ALL_ASYNCH
        
    """
    ALL_ASYNCH: typing.ClassVar[asyn_req_type]  # value = tango._tango.asyn_req_type.ALL_ASYNCH
    CALLBACK: typing.ClassVar[asyn_req_type]  # value = tango._tango.asyn_req_type.CALLBACK
    POLLING: typing.ClassVar[asyn_req_type]  # value = tango._tango.asyn_req_type.POLLING
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'POLLING': tango._tango.asyn_req_type.POLLING, 'CALLBACK': tango._tango.asyn_req_type.CALLBACK, 'ALL_ASYNCH': tango._tango.asyn_req_type.ALL_ASYNCH}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.asyn_req_type.POLLING, 1: tango._tango.asyn_req_type.CALLBACK, 2: tango._tango.asyn_req_type.ALL_ASYNCH}
class cb_sub_model(Boost.Python.enum):
    """
    
        An enumeration representing callback sub model
    
            - PUSH_CALLBACK
            - PULL_CALLBACK
        
    """
    PULL_CALLBACK: typing.ClassVar[cb_sub_model]  # value = tango._tango.cb_sub_model.PULL_CALLBACK
    PUSH_CALLBACK: typing.ClassVar[cb_sub_model]  # value = tango._tango.cb_sub_model.PUSH_CALLBACK
    __slots__: typing.ClassVar[tuple] = tuple()
    names: typing.ClassVar[dict]  # value = {'PUSH_CALLBACK': tango._tango.cb_sub_model.PUSH_CALLBACK, 'PULL_CALLBACK': tango._tango.cb_sub_model.PULL_CALLBACK}
    values: typing.ClassVar[dict]  # value = {0: tango._tango.cb_sub_model.PUSH_CALLBACK, 1: tango._tango.cb_sub_model.PULL_CALLBACK}
def __on_callback_parent_fades(*args, **kwargs):
    ...
def _get_tango_lib_release(*args, **kwargs):
    ...
def is_omni_thread(*args, **kwargs):
    """
    
    
        Determines if the calling thread is (or looks like) an omniORB thread.
        This includes user threads that have a dummy omniORB thread ID, such
        as that provided by EnsureOmniThread.
    
            Parameters : None
    
            Return     : (bool) True if the calling thread is an omnithread.
    
        New in PyTango 9.3.2
        
    """
def raise_asynch_exception(*args, **kwargs):
    ...
ConstDevString: CmdArgType  # value = tango._tango.CmdArgType.ConstDevString
DevBoolean: CmdArgType  # value = tango._tango.CmdArgType.DevBoolean
DevDouble: CmdArgType  # value = tango._tango.CmdArgType.DevDouble
DevEncoded: CmdArgType  # value = tango._tango.CmdArgType.DevEncoded
DevEnum: CmdArgType  # value = tango._tango.CmdArgType.DevEnum
DevFloat: CmdArgType  # value = tango._tango.CmdArgType.DevFloat
DevLong: CmdArgType  # value = tango._tango.CmdArgType.DevLong
DevLong64: CmdArgType  # value = tango._tango.CmdArgType.DevLong64
DevPipeBlob: CmdArgType  # value = tango._tango.CmdArgType.DevPipeBlob
DevShort: CmdArgType  # value = tango._tango.CmdArgType.DevShort
DevString: CmdArgType  # value = tango._tango.CmdArgType.DevString
DevUChar: CmdArgType  # value = tango._tango.CmdArgType.DevUChar
DevULong: CmdArgType  # value = tango._tango.CmdArgType.DevULong
DevULong64: CmdArgType  # value = tango._tango.CmdArgType.DevULong64
DevUShort: CmdArgType  # value = tango._tango.CmdArgType.DevUShort
DevVarBooleanArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarBooleanArray
DevVarCharArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarCharArray
DevVarDoubleArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarDoubleArray
DevVarDoubleStringArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarDoubleStringArray
DevVarFloatArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarFloatArray
DevVarLong64Array: CmdArgType  # value = tango._tango.CmdArgType.DevVarLong64Array
DevVarLongArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarLongArray
DevVarLongStringArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarLongStringArray
DevVarShortArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarShortArray
DevVarStateArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarStateArray
DevVarStringArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarStringArray
DevVarULong64Array: CmdArgType  # value = tango._tango.CmdArgType.DevVarULong64Array
DevVarULongArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarULongArray
DevVarUShortArray: CmdArgType  # value = tango._tango.CmdArgType.DevVarUShortArray
DevVoid: CmdArgType  # value = tango._tango.CmdArgType.DevVoid
FMT_UNKNOWN: AttrDataFormat  # value = tango._tango.AttrDataFormat.FMT_UNKNOWN
IMAGE: AttrDataFormat  # value = tango._tango.AttrDataFormat.IMAGE
READ: AttrWriteType  # value = tango._tango.AttrWriteType.READ
READ_WITH_WRITE: AttrWriteType  # value = tango._tango.AttrWriteType.READ_WITH_WRITE
READ_WRITE: AttrWriteType  # value = tango._tango.AttrWriteType.READ_WRITE
SCALAR: AttrDataFormat  # value = tango._tango.AttrDataFormat.SCALAR
SPECTRUM: AttrDataFormat  # value = tango._tango.AttrDataFormat.SPECTRUM
WRITE: AttrWriteType  # value = tango._tango.AttrWriteType.WRITE
WT_UNKNOWN: AttrWriteType  # value = tango._tango.AttrWriteType.WT_UNKNOWN
__tangolib_version__: str = '10.0.0'
PipeReqType = AttReqType
